;===========================================================================
;Special.St

;---------------------------------------------------------------------------
;Dash Punch (Start)
[Statedef 1000]
type    = S
movetype= A
physics = N
velset = 6,0
ctrl = 0
anim = 1000
poweradd = 100

[State 1000, Chain]
Type = VarSet
trigger1 = time = 0
var(55) = 0

[State 1000, Explod]
Type = Explod
trigger1 = !(time % 4)
anim = F120
pos = -10,0
removetime = 7

[State 1000, ChangeState]
Type = ChangeState
trigger1 = time = 20 + 10 * (var(50))
trigger2 = P2BodyDist X < 45
value = 1005

;---------------------------------------------------------------------------
;Dash Punch (Punch)
[Statedef 1005]
type    = S
movetype= A
physics = S
velset = 6,0
ctrl = 0
anim = 1005

[State 1000, PlaySnd]
type = PlaySnd
trigger1 = time = 0
value = 1000, 0
channel = 0

[State 1000, Chain]
Type = VarSet
trigger1 = time = 0
trigger2 = animelemtime(3) = 3
var(55) = 0

[State 1000, Special Cancel Flag]
Type = VarSet
trigger1 = time = 0
trigger1 = var(54) >= 2
var(45) = 10

[State 1000, Special Cancel Limiter]
Type = VarAdd
trigger1 = time = 0
trigger1 = var(54) >= 2
v = 49
value = -1

[State 1000, Chain Flag]
Type = VarSet
trigger1 = animelemtime(2) = 2
var(55) = 63232

[State 1000, MoveType]
Type = VarSet
trigger1 = 1
var(54) = 2

[State 1005, HitDef]
type = HitDef
trigger1 = var(47) >= 8
trigger1 = time = 0
attr = S, SA
damage = Floor((13 + (4 * Random/1000.0)) * fvar(28) + 0.5), Floor(fvar(28) + 0.5)
animtype = Heavy
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = 12, 12
guard.pausetime = 12,12
sparkno = 2
guard.sparkno = 0
sparkxy = -5, -44
hitsound = 5, 3
guardsound = 6, 0
ground.type = Low
ground.hittime = 15
ground.slidetime = 15
ground.velocity = -6.42721 + 4 * (var(49) = 0), -5.5 * (var(49) = 0)
guard.velocity = -6.46730
air.velocity = -2.42721, -6.50000
air.hittime = 60
air.type = Low
getpower = 40, 60
givepower = 40, 60
fall = (var(49) = 0)
air.fall = 1
fall.recover = 0
ground.cornerpush.veloff = 0

[State 1005, HitDef]
type = HitDef
trigger1 = var(47) < 8
trigger1 = time = 0
attr = S, SA
damage = Floor((13 + (4 * Random/1000.0)) * fvar(28) + 0.5), Floor(fvar(28) + 0.5)
animtype = Heavy
guardflag = M
hitflag = MA
priority = 4, Hit
pausetime = 12, 12
guard.pausetime = 12,12
sparkno = 2
guard.sparkno = 0
sparkxy = -5, -44
hitsound = 5, 2
guardsound = 6, 0
ground.type = Low
ground.hittime = 15
ground.slidetime = 15
ground.velocity = -6.42721 + 4 * (var(49) = 0), -5.5 * (var(49) = 0)
guard.velocity = -6.46730
air.velocity = -2.42721, -6.50000
air.hittime = 60
air.type = Low
getpower = 40, 60
givepower = 40, 60
fall = (var(49) = 0)
air.fall = 1
fall.recover = 0
ground.cornerpush.veloff = 0

[State 1005, DamageDampner]
Type = VarAdd
trigger1 = NumTarget > 0
trigger1 = MoveHit = 1
v = 51
value = 2 + Floor(4.0/ifelse(var(49) > 0, var(49), 1) + 0.5)
ignorehitpause = 1
persistent = 0

[State 1005, Juggle]
Type = VarAdd
trigger1 = MoveContact
trigger1 = numtarget > 0
trigger1 = Target, statetype = A
v = 47
value = -8
persistent = 0
ignorehitpause = 1

[State 1005, ChangeState]
Type = ChangeState
trigger1 = animtime = 0
value = 0
ctrl = 1

;---------------------------------------------------------------------------
;Dash Duck Punch (Start)
[Statedef 1010]
type    = S
movetype= A
physics = N
velset = 6,0
ctrl = 0
anim = 1000
poweradd = 100

[State 1000, Chain]
Type = VarSet
trigger1 = time = 0
var(55) = 0

[State 1000, Explod]
Type = Explod
trigger1 = !(time % 4)
anim = F120
pos = -10,0
removetime = 7

[State 1000, ChangeState]
Type = ChangeState
trigger1 = time = 20 + 10 * (var(50))
trigger2 = P2BodyDist X < 45
value = 1015

;---------------------------------------------------------------------------
;Crouch Dash Punch (Punch)
[Statedef 1015]
type    = S
movetype= A
physics = C
velset = 6,0
ctrl = 0
anim = 1015

[State 1000, PlaySnd]
type = PlaySnd
trigger1 = time = 0
value = 1000, 0
channel = 0

[State 1000, Chain]
Type = VarSet
trigger1 = time = 0
var(55) = 0

[State 1000, Special Cancel Flag]
Type = VarSet
trigger1 = time = 0
trigger1 = var(54) >= 2
var(45) = 10

[State 1000, Special Cancel Limiter]
Type = VarAdd
trigger1 = time = 0
trigger1 = var(54) >= 2
v = 49
value = -1

[State 1000, MoveType]
Type = VarSet
trigger1 = 1
var(54) = 2

[State 1005, HitDef]
type = HitDef
trigger1 = var(47) >= 8
trigger1 = time = 0
attr = C, SA
damage = Floor((9 + (4 * Random/1000.0)) * fvar(28) + 0.5), Floor(fvar(28) + 0.5)
animtype = Heavy
guardflag = L
hitflag = MAF
priority = 4, Hit
pausetime = 12, 12
guard.pausetime = 12,12
sparkno = 2
guard.sparkno = 0
sparkxy = -5, -26
hitsound = 5, 3
guardsound = 6, 0
ground.type = Low
ground.hittime = 15
ground.slidetime = 15
ground.velocity = -2.42721, -5.5
guard.velocity = -6.46730
air.velocity = -2.42721, -5.50000
air.hittime = 60
air.type = Low
getpower = 40, 60
givepower = 40, 60
fall = 1
air.fall = 1
fall.recover = 0
ground.cornerpush.veloff = 0

[State 1005, HitDef]
type = HitDef
trigger1 = var(47) < 8
trigger1 = time = 0
attr = C, SA
damage = Floor((9 + (4 * Random/1000.0)) * fvar(28) + 0.5), Floor(fvar(28) + 0.5)
animtype = Heavy
guardflag = M
hitflag = MA
priority = 4, Hit
pausetime = 12, 12
guard.pausetime = 12,12
sparkno = 2
guard.sparkno = 0
sparkxy = -5, -26
hitsound = 5, 2
guardsound = 6, 0
ground.type = Low
ground.hittime = 15
ground.slidetime = 15
ground.velocity = -2.42721, -6.5
guard.velocity = -6.46730
air.velocity = -2.42721, -6.50000
air.hittime = 60
air.type = Low
getpower = 40, 60
givepower = 40, 60
fall = 1
air.fall = 1
fall.recover = 0
ground.cornerpush.veloff = 0

[State 1005, DamageDampner]
Type = VarAdd
trigger1 = NumTarget > 0
trigger1 = MoveHit = 1
v = 51
value = 2 + Floor(4.0/ifelse(var(49) > 0, var(49), 1) + 0.5)
ignorehitpause = 1
persistent = 0

[State 1005, Juggle]
Type = VarAdd
trigger1 = MoveContact
trigger1 = numtarget > 0
trigger1 = Target, statetype = A
v = 47
value = -8
persistent = 0
ignorehitpause = 1

[State 1005, ChangeState]
Type = ChangeState
trigger1 = animtime = 0
value = 11
ctrl = 1

;---------------------------------------------------------------------------
;Dash Upper (Start)
[Statedef 1100]
type    = S
movetype= A
physics = N
velset = 6,0
ctrl = 0
anim = 1100
poweradd = 150

[State 1100, Chain]
Type = VarSet
trigger1 = time = 0
var(55) = 0

[State 1100, Explod]
Type = Explod
trigger1 = !(time % 4)
anim = F120
pos = -10,0
removetime = 7

[State 1100, ChangeState]
Type = ChangeState
trigger1 = time = 20 + 10 * (var(50))
trigger2 = P2BodyDist X < 45
value = 1105

;---------------------------------------------------------------------------
;Dash Punch (Punch)
[Statedef 1105]
type    = S
movetype= A
physics = S
velset = 6,0
ctrl = 0
anim = 1105

[State 1000, PlaySnd]
type = PlaySnd
trigger1 = time = 0
value = 1000, 0
channel = 0

[State 1000, Chain]
Type = VarSet
trigger1 = time = 0
trigger2 = animelemtime(3) = 6
var(55) = 0

[State 1000, Special Cancel Flag]
Type = VarSet
trigger1 = time = 0
trigger1 = var(54) >= 2
var(45) = 10

[State 1000, Special Cancel Limiter]
Type = VarAdd
trigger1 = time = 0
trigger1 = var(54) >= 2
v = 49
value = -1

[State 1100, Chain Flag]
Type = VarSet
trigger1 = animelemtime(2) = 8
var(55) = 63104

[State 1100, MoveType]
Type = VarSet
trigger1 = 1
var(54) = 2

[State 1105, HitDef]
type = HitDef
trigger1 = var(47) >= 8
trigger1 = time = 0
attr = S, SA
damage = Floor((13 + (4 * Random/1000.0)) * fvar(28) + 0.5), Floor(2 * fvar(28) + 0.5)
animtype = Heavy
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = 12, 12
guard.pausetime = 12,12
sparkno = 2
guard.sparkno = 0
sparkxy = -5, -44
hitsound = 5, 3
guardsound = 6, 0
ground.type = High
ground.hittime = 15
ground.slidetime = 15
ground.velocity = -6.42721 + 5 * (var(49) = 0), -7 * (var(49) = 0)
guard.velocity = -6.46730
air.velocity = -2.42721, -6.50000
air.hittime = 60
air.type = Low
getpower = 40, 60
givepower = 40, 60
fall = (var(49) = 0)
air.fall = 1
fall.recover = 0
ground.cornerpush.veloff = 0

[State 1105, HitDef]
type = HitDef
trigger1 = var(47) < 8
trigger1 = time = 0
attr = S, SA
damage = Floor((13 + (4 * Random/1000.0)) * fvar(28) + 0.5), Floor(2 * fvar(28) + 0.5)
animtype = Heavy
guardflag = M
hitflag = MA
priority = 4, Hit
pausetime = 12, 12
guard.pausetime = 12,12
sparkno = 2
guard.sparkno = 0
sparkxy = -5, -44
hitsound = 5, 3
guardsound = 6, 0
ground.type = High
ground.hittime = 15
ground.slidetime = 15
ground.velocity = -6.42721 + 5 * (var(49) = 0), -7 * (var(49) = 0)
guard.velocity = -6.46730
air.velocity = -2.42721, -6.50000
air.hittime = 60
air.type = Low
getpower = 40, 60
givepower = 40, 60
fall = (var(49) = 0)
air.fall = 1
fall.recover = 0
ground.cornerpush.veloff = 0

[State 1005, DamageDampner]
Type = VarAdd
trigger1 = NumTarget > 0
trigger1 = MoveHit = 1
v = 51
value = 2 + Floor(4.0/ifelse(var(49) > 0, var(49), 1) + 0.5)
ignorehitpause = 1
persistent = 0

[State 1005, Juggle]
Type = VarAdd
trigger1 = NumTarget > 0
trigger1 = MoveContact
v = 47
value = -4
persistent = 0
ignorehitpause = 1

[State 1005, ChangeState]
Type = ChangeState
trigger1 = animtime = 0
value = 0
ctrl = 1

;---------------------------------------------------------------------------
;Dash Duck Upper (Start)
[Statedef 1110]
type    = S
movetype= A
physics = N
velset = 6,0
ctrl = 0
anim = 1100
poweradd = 100

[State 1100, Chain]
Type = VarSet
trigger1 = time = 0
var(55) = 0

[State 1100, Explod]
Type = Explod
trigger1 = !(time % 4)
anim = F120
pos = -10,0
removetime = 7

[State 1100, ChangeState]
Type = ChangeState
trigger1 = time = 20 + 10 * (var(50))
trigger2 = P2BodyDist X < 45
value = 1115

;---------------------------------------------------------------------------
;Crouch Dash Upper (Punch)
[Statedef 1115]
type    = S
movetype= A
physics = S
velset = 6,0
ctrl = 0
anim = 1115

[State 1000, PlaySnd]
type = PlaySnd
trigger1 = time = 0
value = 1000, 0
channel = 0

[State 1000, Chain]
Type = VarSet
trigger1 = time = 0
trigger2 = animelemtime(3) = 6
var(55) = 0

[State 1000, Special Cancel Flag]
Type = VarSet
trigger1 = time = 0
trigger1 = var(54) >= 2
var(45) = 10

[State 1000, Special Cancel Limiter]
Type = VarAdd
trigger1 = time = 0
trigger1 = var(54) >= 2
v = 49
value = -1

[State 1100, Chain Flag]
Type = VarSet
trigger1 = animelemtime(2) = 8
var(55) = 63104

[State 1100, MoveType]
Type = VarSet
trigger1 = 1
var(54) = 2

[State 1105, HitDef 1]
type = HitDef
trigger1 = var(47) >= 8
trigger1 = time = 0
attr = C, SA
damage = Floor((10 + (4 * Random/1000.0)) * fvar(28) + 0.5), Floor(2 * fvar(28) + 0.5)
animtype = Heavy
guardflag = M
hitflag = HAF
priority = 4, Hit
pausetime = 12, 12
guard.pausetime = 12,12
sparkno = 2
guard.sparkno = 0
sparkxy = -5, -44
hitsound = 5, 3
guardsound = 6, 0
ground.type = High
ground.hittime = 15
ground.slidetime = 15
ground.velocity = -1.62721, -7
guard.velocity = -6.46730
air.velocity = -1.62721, -7
air.hittime = 60
air.type = Low
getpower = 40, 60
givepower = 40, 60
fall = 1
air.fall = 1
fall.recover = 0
ground.cornerpush.veloff = 0

[State 1105, HitDef]
type = HitDef
trigger1 = var(47) < 8
trigger1 = time = 0
attr = C, SA
damage = Floor((10 + (4 * Random/1000.0)) * fvar(28) + 0.5), Floor(2 * fvar(28) + 0.5)
animtype = Heavy
guardflag = M
hitflag = HA
priority = 4, Hit
pausetime = 12, 12
guard.pausetime = 12,12
sparkno = 2
guard.sparkno = 0
sparkxy = -5, -44
hitsound = 5, 3
guardsound = 6, 0
ground.type = High
ground.hittime = 15
ground.slidetime = 15
ground.velocity = -1.62721, -7
guard.velocity = -6.46730
air.velocity = -1.62721, -7
air.hittime = 60
air.type = Low
getpower = 40, 60
givepower = 40, 60
fall = 1
air.fall = 1
fall.recover = 0
ground.cornerpush.veloff = 0

[State 1005, DamageDampner]
Type = VarAdd
trigger1 = NumTarget > 0
trigger1 = MoveHit = 1
v = 51
value = 2 + Floor(4.0/ifelse(var(49) > 0, var(49), 1) + 0.5)
ignorehitpause = 1
persistent = 0

[State 1005, Juggle]
Type = VarAdd
trigger1 = NumTarget > 0
trigger1 = MoveContact
v = 47
value = -4
persistent = 0
ignorehitpause = 1

[State 1005, ChangeState]
Type = ChangeState
trigger1 = animtime = 0
value = 0
ctrl = 1

;---------------------------------------------------------------------------
;Turn Punch
[Statedef 1200]
Type = S
movetype = A
Physics = N
velset = 0,0
anim = 1200
ctrl = 0
poweradd = 200

[State 1200, Don't move]
Type = VarSet
trigger1 = time = 0
var(55) = 0

[State 3100, NotHitBy]
Type = NotHitBy
trigger1 = animelemtime(3) < 5
value = ,AP

[State 1200, Cap var(38)]
Type = VarSet
trigger1 = time = 0
var(38) = floor(log(4, var(38)/30 + 1) + 0.5)

[State 1200, Cap var(38)]
Type = VarSet
trigger1 = var(38) >= 10
var(38) = 15

[State 1000, PlaySnd]
type = PlaySnd
trigger1 = time = 0
value = 1200, var(38)
channel = 0

[State 1200, ChangeState]
Type = ChangeState
trigger1 = animtime = 0
value = 1205

;---------------------------------------------------------------------------
;Turn Punch (Run)
[Statedef 1205]
type    = S
movetype= A
physics = N
velset = 6,0
ctrl = 0
anim = 1205

[State 1000, Chain]
Type = VarSet
trigger1 = time = 0
var(55) = 0

[State 1000, Explod]
Type = Explod
trigger1 = !(time % 4)
anim = F120
pos = -10,0
removetime = 7

[State 1000, ChangeState]
Type = ChangeState
trigger1 = time = floor(var(38) * 2) + 10
trigger2 = P2BodyDist X < 45
value = 1210

;---------------------------------------------------------------------------
;Turn Punch (Punch)
[Statedef 1210]
type    = S
movetype= A
physics = S
velset = 7,0
ctrl = 0
anim = 1210

[State 1210, Chain]
Type = VarSet
trigger1 = time = 0
var(55) = 0

[State 1210, Special Cancel Flag]
Type = VarSet
trigger1 = time = 0
trigger1 = var(54) >= 2
var(45) = 10

[State 1210, Special Cancel Limiter]
Type = VarAdd
trigger1 = time = 0
trigger1 = var(54) >= 2
v = 49
value = -1

[State 1210, MoveType]
Type = VarSet
trigger1 = 1
var(54) = 2

[State 1210, VarSet]
Type = VarSet
trigger1 = var(38) >= 10
var(38) = 17

[State 1210, HitDef]
type = HitDef
trigger1 = var(47) >= 8
trigger1 = time = 0
attr = S, SA
damage = Floor((12 + (4 * Random/1000.0) + 3 * var(38)) * fvar(28) + 0.5), Floor(var(38) * fvar(28) + 0.5)
animtype = Heavy
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = 12 + 18 * (var(38) = 17),12 + 18 * (var(38) = 17)
guard.pausetime = 12 + 18 * (var(38) = 17),12 + 18 * (var(38) = 17)
sparkno = 2
guard.sparkno = 0
sparkxy = -5, -44
hitsound = 5, 3
guardsound = 6, 0
ground.type = Low
ground.hittime = 15
ground.slidetime = 15
ground.velocity = -6.42721; -(var(38)/5.0)
guard.velocity = -6.46730; -(var(38)/5.0)
air.velocity = -2.42721, -6.50000
air.hittime = 60
air.type = Low
getpower = 60, 90
givepower = 40, 60
fall = 0
air.fall = 1
fall.recover = 0
ground.cornerpush.veloff = 0
envshake.time = 30 * (var(38) = 17)
envshake.freq = 60 * (var(38) = 17)
envshake.ampl = -8 * (var(38) = 17)

[State 1005, HitDef]
type = HitDef
trigger1 = var(47) < 8
trigger1 = time = 0
attr = S, SA
damage = Floor((12 + (4 * Random/1000.0) + 3 * var(38)) * fvar(28) + 0.5), Floor(var(38) * fvar(28) + 0.5)
animtype = Heavy
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = 12 + 18 * (var(38) = 17),12 + 18 * (var(38) = 17)
guard.pausetime = 12 + 18 * (var(38) = 17),12 + 18 * (var(38) = 17)
sparkno = 2
guard.sparkno = 0
sparkxy = -5, -44
hitsound = 5, 3
guardsound = 6, 0
ground.type = Low
ground.hittime = 15
ground.slidetime = 15
ground.velocity = -6.42721; -(var(38)/5.0)
guard.velocity = -6.46730; -(var(38)/5.0)
air.velocity = -2.42721, -6.50000
air.hittime = 60
air.type = Low
getpower = 60, 90
givepower = 40, 60
fall = 0
air.fall = 1
fall.recover = 0
ground.cornerpush.veloff = 0
envshake.time = 30 * (var(38) = 17)
envshake.freq = 60 * (var(38) = 17)
envshake.ampl = -8 * (var(38) = 17)

[State 1005, DamageDampner]
Type = VarAdd
trigger1 = NumTarget > 0
trigger1 = MoveHit = 1
v = 51
value = 2 + Floor(4.0/ifelse(var(49) > 0, var(49), 1) + 0.5)
ignorehitpause = 1
persistent = 0

[State 1005, Juggle]
Type = VarSet
trigger1 = NumTarget > 0
trigger1 = target, statetype = A
v = 47
value = -1
persistent = 0
ignorehitpause = 1

[State 1005, ChangeState]
Type = ChangeState
trigger1 = animtime = 0
value = 0
ctrl = 1

;---------------------------------------------------------------------------
;Rising Headbutt
[Statedef 1300]
type    = A
movetype= A
physics = N
velset = 2.5 + 1 * (var(50) = 2), -4.2
anim = 1300 + 10 * (var(50) = 2)
poweradd = 100
ctrl = 0

[State 1000, PlaySnd]
type = PlaySnd
trigger1 = time = 0
value = 200, 0
channel = 0

[State 1000, Chain]
Type = VarSet
trigger1 = time = 0
var(55) = 0
ignorehitpause = 1

[State 1000, Chain]
Type = Gravity
trigger1 = 1

[State 1000, NotHitBy]
Type = NotHitBy
trigger1 = time = 0
value = , AP
time = 16

[State 1000, Special Cancel Flag]
Type = VarSet
trigger1 = time = 0
trigger1 = var(54) >= 2
var(45) = 10

[State 1000, Special Cancel Limiter]
Type = VarAdd
trigger1 = time = 0
trigger1 = var(54) >= 2
v = 49
value = -1

[State 1000, MoveType]
Type = VarSet
trigger1 = 1
var(54) = 2

[State 1005, HitDef]
type = HitDef
trigger1 = var(47) >= 8
trigger1 = time = 0
attr = A, SA
damage = Floor((12 + (4 * Random/1000.0)) * fvar(28) + 0.5), Floor(fvar(28) + 0.5)
animtype = Heavy
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = 12, 12
guard.pausetime = 12,12
sparkno = 2
guard.sparkno = 0
sparkxy = -5, -44
hitsound = 5, 3
guardsound = 6, 0
ground.type = High
ground.hittime = 20
ground.slidetime = 20
ground.velocity = -6.42721 + 4 * (var(49) = 0), -5.5 * (var(49) = 0)
guard.velocity = -6.46730
air.velocity = -2.42721, -6.50000
air.hittime = 60
air.type = Low
getpower = 40, 60
givepower = 40, 60
fall = (var(49) = 0)
air.fall = 1
fall.recover = 0
ground.cornerpush.veloff = 0

[State 1005, HitDef]
type = HitDef
trigger1 = var(47) < 8
trigger1 = time = 0
attr = A, SA
damage = Floor((12 + (4 * Random/1000.0)) * fvar(28) + 0.5), Floor(fvar(28) + 0.5)
animtype = Heavy
guardflag = M
hitflag = MA
priority = 4, Hit
pausetime = 12, 12
guard.pausetime = 12,12
sparkno = 2
guard.sparkno = 0
sparkxy = -5, -44
hitsound = 5, 2
guardsound = 6, 0
ground.type = High
ground.hittime = 20
ground.slidetime = 20
ground.velocity = -6.42721 + 4 * (var(49) = 0), -5.5 * (var(49) = 0)
guard.velocity = -6.46730
air.velocity = -2.42721, -6.50000
air.hittime = 60
air.type = Low
getpower = 40, 60
givepower = 40, 60
fall = (var(49) = 0)
air.fall = 1
fall.recover = 0
ground.cornerpush.veloff = 0

[State 1005, DamageDampner]
Type = VarAdd
trigger1 = NumTarget > 0
trigger1 = MoveHit = 1
v = 51
value = 2 + Floor(4.0/ifelse(var(49) > 0, var(49), 1) + 0.5)
ignorehitpause = 1
persistent = 0

[State 1005, Juggle]
Type = VarAdd
trigger1 = MoveContact
trigger1 = numtarget > 0
trigger1 = Target, statetype = A
v = 47
value = -8
persistent = 0
ignorehitpause = 1

[State 1005, ChangeState]
Type = ChangeState
trigger1 = pos y >= 0
trigger1 = time > 0
value = 1305
ctrl = 0

;---------------------------------------------------------------------------
;Rising Headbutt End
[Statedef 1305]
type    = C
movetype= A
physics = C
velset = 0.5,0
ctrl = 0
anim = 1305

[State 1305, Chain]
Type = PosSet
trigger1 = time = 0
y = 0

[State 1305, Chain]
Type = VarSet
trigger1 = time = 0
var(55) = 61824

[State 1305, Chain]
Type = VarSet
trigger1 = time = 15
var(55) = 0

[State 1305, ChangeState]
Type = ChangeState
trigger1 = animtime = 0
value = 11
ctrl = 1

;---------------------------------------------------------------------------
;Wild Smash
[Statedef 1400]
type    = S
movetype= A
physics = S
velset = 0,0
poweradd = 150
ctrl = 0
anim = 1400 + 10 * (var(50) = 2)

[State 1400, PlaySnd]
type = PlaySnd
trigger1 = time = 0
value = 1000, 0
channel = 0

[State 1400, Chain]
Type = VarSet
trigger1 = time = 0
trigger2 = animelemtime(4) = 3
var(55) = 0

[State 1400, Special Cancel Flag]
Type = VarSet
trigger1 = time = 0
trigger1 = var(54) >= 2
var(45) = 10

[State 1400, Special Cancel Limiter]
Type = VarAdd
trigger1 = time = 0
trigger1 = var(54) >= 2
v = 49
value = -1

[State 1400, Chain Flag]
Type = VarSet
trigger1 = animelemtime(3) = 1
var(55) = 61824

[State 1400, MoveType]
Type = VarSet
trigger1 = 1
var(54) = 2

[State 1400, HitDef]
type = HitDef
trigger1 = var(47) >= 8
trigger1 = time = 0
attr = S, SA
damage = Floor((12 + (4 * Random/1000.0)) * fvar(28) + 0.5), Floor(fvar(28) + 0.5)
animtype = Heavy
guardflag = H
hitflag = HAF
priority = 4, Hit
pausetime = 12, 12
guard.pausetime = 12,12
sparkno = 2
guard.sparkno = 0
sparkxy = -5, -54
hitsound = 5, 3
guardsound = 6, 0
ground.type = Low
ground.hittime = 15
ground.slidetime = 15
ground.velocity = -1.82721, -7.5
guard.velocity = -6.46730
air.velocity = -2.42721, -8.50000
air.hittime = 60
air.type = Low
getpower = 40, 60
givepower = 40, 60
id = 1400
nochainid = 1400
fall = 1
air.fall = 1
fall.recover = 0
ground.cornerpush.veloff = 0

[State 1400, HitDef]
type = HitDef
trigger1 = var(47) < 8
trigger1 = time = 0
attr = S, SA
damage = Floor((12 + (4 * Random/1000.0)) * fvar(28) + 0.5), Floor(fvar(28) + 0.5)
animtype = Heavy
guardflag = M
hitflag = MA
priority = 4, Hit
pausetime = 12, 12
guard.pausetime = 12,12
sparkno = 2
guard.sparkno = 0
sparkxy = -5, -54
hitsound = 5, 2
guardsound = 6, 0
ground.type = Low
ground.hittime = 15
ground.slidetime = 15
ground.velocity = -1.82721, -7.5
guard.velocity = -6.46730
air.velocity = -2.12721, -8.50000
air.hittime = 60
air.type = Low
getpower = 40, 60
givepower = 40, 60
id = 1400
nochainid = 1400
fall = 1
air.fall = 1
fall.recover = 0
ground.cornerpush.veloff = 0

[State 1400, DamageDampner]
Type = VarAdd
trigger1 = NumTarget > 0
trigger1 = MoveHit = 1
v = 51
value = 2 + Floor(4.0/ifelse(var(49) > 0, var(49), 1) + 0.5)
ignorehitpause = 1
persistent = 0

[State 1400, Juggle]
Type = VarAdd
trigger1 = MoveContact
trigger1 = numtarget > 0
trigger1 = Target, statetype = A
v = 47
value = -3
persistent = 0
ignorehitpause = 1

[State 1400, ChangeState]
Type = ChangeState
trigger1 = animtime = 0
value = 0
ctrl = 1

;---------------------------------------------------------------------------
;Dash Punch (Start)
[Statedef 1500]
type    = S
movetype= A
physics = N
velset = 0,0
ctrl = 0
anim = 1500
poweradd = -200

[State 1000, Chain]
Type = VarSet
trigger1 = time = 0
var(55) = 0

[State 1500, VelSet]
Type = VelSet
trigger1 = animelemtime(2) = 0
x = 7

[State 1000, Explod]
Type = Explod
trigger1 = animelemtime(2) >= 0
trigger1 = !(time % 4)
anim = F120
pos = -10,0
removetime = 7

[State 1000, ChangeState]
Type = ChangeState
trigger1 = animelemtime(2) >= 0
trigger1 = time = 30
trigger2 = P2BodyDist X < 55
value = 1500 + (10 * var(50))

;---------------------------------------------------------------------------
;Dash Punch (Punch)
[Statedef 1510]
type    = S
movetype= A
physics = S
velset = 7,0
ctrl = 0
anim = 1510

[State 1000, PlaySnd]
type = PlaySnd
trigger1 = time = 0
value = 1000, 0
channel = 0

[State 1000, Chain]
Type = VarSet
trigger1 = time = 0
trigger2 = animelemtime(3) = 3
var(55) = 0

[State 1000, Special Cancel Flag]
Type = VarSet
trigger1 = time = 0
trigger1 = var(54) >= 2
var(45) = 10

[State 1000, Special Cancel Limiter]
Type = VarAdd
trigger1 = time = 0
trigger1 = var(54) >= 2
v = 49
value = -1

[State 1000, Chain Flag]
Type = VarSet
trigger1 = animelemtime(2) = 2
var(55) = 63232

[State 1000, MoveType]
Type = VarSet
trigger1 = 1
var(54) = 2

[State 1005, HitDef]
type = HitDef
trigger1 = var(47) >= 8
trigger1 = time = 0
attr = S, SA
damage = Floor((14 + (4 * Random/1000.0)) * fvar(28) + 0.5), Floor(fvar(28) + 0.5)
animtype = Heavy
guardflag = H
hitflag = MAF
priority = 4, Hit
pausetime = 12, 18
guard.pausetime = 12,18
sparkno = 2
guard.sparkno = 0
sparkxy = -5, -44
hitsound = 5, 3
guardsound = 6, 0
ground.type = Low
ground.hittime = 15
ground.slidetime = 15
ground.velocity = -2.42721, -5.5
guard.velocity = -6.46730
air.velocity = -2.42721, -6.50000
air.hittime = 60
air.type = Low
getpower = 0, 0
givepower = 40, 60
fall = 1
air.fall = 1
fall.recover = 0
ground.cornerpush.veloff = 0

[State 1005, HitDef]
type = HitDef
trigger1 = var(47) < 8
trigger1 = time = 0
attr = S, SA
damage = Floor((14 + (4 * Random/1000.0)) * fvar(28) + 0.5), Floor(fvar(28) + 0.5)
animtype = Heavy
guardflag = H
hitflag = MA
priority = 4, Hit
pausetime = 12, 18
guard.pausetime = 12, 18
sparkno = 2
guard.sparkno = 0
sparkxy = -5, -44
hitsound = 5, 2
guardsound = 6, 0
ground.type = Low
ground.hittime = 15
ground.slidetime = 15
ground.velocity = -2.42721, -5.5
guard.velocity = -6.46730
air.velocity = -2.42721, -6.50000
air.hittime = 60
air.type = Low
getpower = 0, 0
givepower = 40, 60
fall = 1
air.fall = 1
fall.recover = 0
ground.cornerpush.veloff = 0

[State 1005, DamageDampner]
Type = VarAdd
trigger1 = NumTarget > 0
trigger1 = MoveHit = 1
v = 51
value = 2 + Floor(4.0/ifelse(var(49) > 0, var(49), 1) + 0.5)
ignorehitpause = 1
persistent = 0

[State 1005, Juggle]
Type = VarSet
trigger1 = MoveContact
trigger1 = numtarget > 0
trigger1 = Target, statetype = A
v = 47
value = -1
persistent = 0
ignorehitpause = 1

[State 1005, ChangeState]
Type = ChangeState
trigger1 = animtime = 0
value = 0
ctrl = 1

;---------------------------------------------------------------------------
;Dash Punch (Punch)
[Statedef 1520]
type    = S
movetype= A
physics = S
velset = 7,0
ctrl = 0
anim = 1400

[State 1000, PlaySnd]
type = PlaySnd
trigger1 = time = 0
value = 1000, 0
channel = 0

[State 1000, Chain]
Type = VarSet
trigger1 = time = 0
trigger2 = animelemtime(3) = 3
var(55) = 0

[State 1000, Special Cancel Flag]
Type = VarSet
trigger1 = time = 0
trigger1 = var(54) >= 2
var(45) = 10

[State 1000, Special Cancel Limiter]
Type = VarAdd
trigger1 = time = 0
trigger1 = var(54) >= 2
v = 49
value = -1

[State 1000, Chain Flag]
Type = VarSet
trigger1 = animelemtime(2) = 2
var(55) = 63232

[State 1000, MoveType]
Type = VarSet
trigger1 = 1
var(54) = 2

[State 1005, HitDef]
type = HitDef
trigger1 = var(47) >= 8
trigger1 = time = 0
attr = S, SA
damage = Floor((14 + (4 * Random/1000.0)) * fvar(28) + 0.5), Floor(fvar(28) + 0.5)
animtype = Heavy
guardflag = M
hitflag = HAF
priority = 4, Hit
pausetime = 12, 18
guard.pausetime = 12,18
sparkno = 2
guard.sparkno = 0
sparkxy = -5, -54
hitsound = 5, 3
guardsound = 6, 0
ground.type = Low
ground.hittime = 15
ground.slidetime = 15
ground.velocity = -1.42721, -7.5
guard.velocity = -6.46730
air.velocity = -1.42721, -8.50000
air.hittime = 60
air.type = Low
getpower = 0, 0
givepower = 40, 60
fall = 1
air.fall = 1
fall.recover = 0
ground.cornerpush.veloff = 0

[State 1005, HitDef]
type = HitDef
trigger1 = var(47) < 8
trigger1 = time = 0
attr = S, SA
damage = Floor((14 + (4 * Random/1000.0)) * fvar(28) + 0.5), Floor(fvar(28) + 0.5)
animtype = Heavy
guardflag = H
hitflag = HA
priority = 4, Hit
pausetime = 12, 18
guard.pausetime = 12, 18
sparkno = 2
guard.sparkno = 0
sparkxy = -5, -54
hitsound = 5, 2
guardsound = 6, 0
ground.type = Low
ground.hittime = 15
ground.slidetime = 15
ground.velocity = -1.42721, -7.5
guard.velocity = -6.46730
air.velocity = -1.42721, -8.50000
air.hittime = 60
air.type = Low
getpower = 0, 0
givepower = 40, 60
fall = 1
air.fall = 1
fall.recover = 0
ground.cornerpush.veloff = 0

[State 1005, DamageDampner]
Type = VarAdd
trigger1 = NumTarget > 0
trigger1 = MoveHit = 1
v = 51
value = 2 + Floor(4.0/ifelse(var(49) > 0, var(49), 1) + 0.5)
ignorehitpause = 1
persistent = 0

[State 1005, Juggle]
Type = VarAdd
trigger1 = MoveContact
trigger1 = numtarget > 0
trigger1 = Target, statetype = A
v = 47
value = -4
persistent = 0
ignorehitpause = 1

[State 1005, ChangeState]
Type = ChangeState
trigger1 = animtime = 0
value = 0
ctrl = 1

;---------------------------------------------------------------------------
;Crazy Buffalo
[Statedef 3000]
type    = C
movetype= A
physics = C
velset = 0,0
ctrl = 0
anim = 3000

[State 3000, PlaySnd]
Type = PlaySnd
trigger1 = time = 0
value = 3000,0
channel = 0

[State 3000, Special Cancel Flag]
Type = VarSet
trigger1 = time = 0
trigger1 = var(54) >= 2
var(45) = 10

[State 3000, DamageDampner]
Type = VarAdd
trigger1 = time = 0
trigger1 = var(54) >= 1
v = 51
value = 5 + 5 * (var(54) > 2)
ignorehitpause = 1
persistent = 0

[State 3000, PowerAdd]
Type = PowerAdd
trigger1 = time = 0
value = -1000

[State 3000, Chain Flag]
Type = VarSet
trigger1 = time = 0
var(55) = 0

[State 3000, MoveType]
Type = VarSet
trigger1 = time = 0
var(54) = 3

[State 3000, After Image]
Type = AfterImage
trigger1 = time = 0
time = 2
length = 9
timegap = 3
trans = add

[State 3000, AfterImagetime]
Type = AfterImageTime
trigger1 = time % 2
time = 3

[State 3000, SuperPause]
Type = SuperPause
trigger1 = time = 0
time = 40
anim = 100
pos = 0, -58 * const(size.yscale)
movetime = 9
sound = 20, 0
p2defmul = 1

[State 3000, ChangeState]
Type = ChangeState
trigger1 = animtime = 0
trigger1 = var(43) := 5
value = 3010

;---------------------------------------------------------------------------
;Crazy Buffalo Run
[Statedef 3010]
type    = A
movetype= A
physics = N
velset = 6,0
ctrl = 0
anim = 1000

[State 3000, AfterImagetime]
Type = AfterImageTime
trigger1 = time % 2
time = 3

[State 1000, Chain]
Type = VarSet
trigger1 = time = 0
var(55) = 0

[State 1000, Explod]
Type = Explod
trigger1 = !(time % 4)
anim = F120
pos = -10,0
removetime = 7

[State 1000, ChangeState]
Type = ChangeState
trigger1 = time = 40
trigger2 = P2BodyDist X < 45
value = 3015

;---------------------------------------------------------------------------
;Crazy Buffalo Punch
[Statedef 3015]
type    = S
movetype= A
physics = S
velset = 6,0
ctrl = 0
anim = 3005

[State 3000, PlaySnd]
Type = PlaySnd
trigger1 = time = 0
value = 1000,0
channel = 0

[State 3000, AfterImagetime]
Type = AfterImageTime
trigger1 = time % 2
time = 3

[State 1000, Chain]
Type = VarSet
trigger1 = time = 0
var(55) = 0

[State 1000, Special Cancel Flag]
Type = VarSet
trigger1 = time = 0
trigger1 = var(54) >= 2
var(45) = 10

[State 1000, Special Cancel Limiter]
Type = VarAdd
trigger1 = time = 0
trigger1 = var(54) >= 2
v = 49
value = -1

[State 1000, MoveType]
Type = VarSet
trigger1 = 1
var(54) = 2

[State 1005, HitDef 1]
type = HitDef
trigger1 = var(47) >= 0
trigger1 = time = 0
attr = S, HA
damage = Floor((8 + (2 * Random/1000.0)) * fvar(28) + 0.5), Floor(2 * fvar(28) + 0.5)
animtype = Heavy
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = 10, 12
guard.pausetime = 10,12
sparkno = 2
guard.sparkno = 1
sparkxy = -5, -44
hitsound = 5, 3
guardsound = 6, 0
ground.type = Low
ground.hittime = 35
ground.slidetime = 35
ground.velocity = -3.42721
guard.velocity = -3.46730
air.velocity = -2.42721, -6.50000
air.hittime = 60
air.type = Low
getpower = 0,0
givepower = 40, 60
fall = 0
air.fall = 1
fall.recover = 0
ground.cornerpush.veloff = 0

[State 1005, HitDef 2]
type = HitDef
trigger1 = var(47) < 0
trigger1 = time = 0
attr = S, HA
damage = Floor((8 + (2 * Random/1000.0)) * fvar(28) + 0.5), Floor(2 * fvar(28) + 0.5)
animtype = Heavy
guardflag = M
hitflag = MA
priority = 4, Hit
pausetime = 10, 12
guard.pausetime = 10,12
sparkno = 2
guard.sparkno = 1
sparkxy = -5, -44
hitsound = 5, 2
guardsound = 6, 0
ground.type = Low
ground.hittime = 17
ground.slidetime = 17
ground.velocity = -3.42721
guard.velocity = -3.46730
air.velocity = -2.42721, -6.50000
air.hittime = 60
air.type = Low
getpower = 0,0
givepower = 40, 60
fall = 0
air.fall = 1
fall.recover = 0
ground.cornerpush.veloff = 0

[State 1005, DamageDampner]
Type = VarAdd
trigger1 = NumTarget > 0
trigger1 = MoveHit = 1
v = 51
value = 2 + Floor(4.0/ifelse(var(49) > 0, var(49), 1) + 0.5)
ignorehitpause = 1
persistent = 0

[State 1005, Juggle]
Type = VarAdd
trigger1 = MoveContact
trigger1 = target, statetype = A
v = 47
value = -2
persistent = 0
ignorehitpause = 1

[State 1005, ChangeState]
Type = ChangeState
trigger1 = animtime = 0
trigger1 = var(43) := var(43) - 1
value = 3010
ctrl = 1

[State 1105, ChangeState]
Type = ChangeState
trigger1 = animtime = 0
trigger1 = var(43) = 0
value = 3020

;---------------------------------------------------------------------------
;Irish Whip (End)
[Statedef 3020]
type    = S
movetype= A
physics = N
velset = 0,0
ctrl = 0
anim = 3020

[State 3000, AfterImagetime]
Type = AfterImageTime
trigger1 = time % 2
time = 3

[State 1100, Chain]
Type = VarSet
trigger1 = time = 0
var(55) = 0

[State 1100, Explod]
Type = Explod
trigger1 = !(time % 4)
anim = F120
pos = -10,0
removetime = 7

[State 1100, ChangeState]
Type = ChangeState
trigger1 = animtime = 0
value = 3025

;---------------------------------------------------------------------------
;Dash Punch (Punch)
[Statedef 3025]
type    = S
movetype= A
physics = S
velset = 9,0
ctrl = 0
anim = 1005

[State 1000, PlaySnd]
type = PlaySnd
trigger1 = time = 0
value = 1000, 0
channel = 0

[State 1000, Chain]
Type = VarSet
trigger1 = time = 0
trigger2 = animelemtime(3) > 3
var(55) = 0

[State 3000, AfterImagetime]
Type = AfterImageTime
trigger1 = time % 2
time = 3

[State 1000, Special Cancel Flag]
Type = VarSet
trigger1 = time = 0
trigger1 = var(54) >= 2
var(45) = 10

[State 1000, Special Cancel Limiter]
Type = VarAdd
trigger1 = time = 0
trigger1 = var(54) >= 2
v = 49
value = -1

[State 1100, Chain Flag]
Type = VarSet
trigger1 = animelemtime(2) = 2
var(55) = 24576

[State 1100, MoveType]
Type = VarSet
trigger1 = 1
var(54) = 2

[State 1105, HitDef]
type = HitDef
trigger1 = var(47) >= 0
trigger1 = time = 0
attr = S, HA
damage = Floor((10 + (Random/1000.0)) * fvar(28) + 0.5), Floor(2 * fvar(28) + 0.5)
animtype = Heavy
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = 12, 12
guard.pausetime = 12,12
sparkno = 2
guard.sparkno = 0
sparkxy = -5, -44
hitsound = 5, 3
guardsound = 6, 0
ground.type = High
ground.hittime = 20
ground.slidetime = 20
ground.velocity = -2.22721, -5
guard.velocity = -6.46730
air.velocity = -2.22721, -5
air.hittime = 60
air.type = Low
getpower = 0,0
givepower = 40, 60
fall = 1
air.fall = 1
fall.recover = 0
ground.cornerpush.veloff = 0

[State 1105, HitDef]
type = HitDef
trigger1 = var(47) < 0
trigger1 = time = 0
attr = S, HA
damage = Floor((10 + (Random/1000.0)) * fvar(28) + 0.5), Floor(2 * fvar(28) + 0.5)
animtype = Heavy
guardflag = M
hitflag = MA
priority = 4, Hit
pausetime = 12, 12
guard.pausetime = 12,12
sparkno = 2
guard.sparkno = 0
sparkxy = -5, -44
hitsound = 5, 3
guardsound = 6, 0
ground.type = High
ground.hittime = 15
ground.slidetime = 15
ground.velocity = -2.22721, -5
guard.velocity = -6.46730
air.velocity = -2.22721, -5
air.hittime = 60
air.type = Low
getpower = 0, 0
givepower = 40, 60
fall = 1
air.fall = 1
fall.recover = 0
ground.cornerpush.veloff = 0

[State 1005, DamageDampner]
Type = VarAdd
trigger1 = NumTarget > 0
trigger1 = MoveHit = 1
v = 51
value = 2 + Floor(4.0/ifelse(var(49) > 0, var(49), 1) + 0.5)
ignorehitpause = 1
persistent = 0

[State 1005, Juggle]
Type = VarSet
trigger1 = NumTarget > 0
trigger1 = MoveContact
v = 47
value = 0
persistent = 0
ignorehitpause = 1

[State 1005, ChangeState]
Type = ChangeState
trigger1 = animtime = 0
value = 0
ctrl = 1

;---------------------------------------------------------------------------
;Buffalo Rush
[StateDef 3100]
Type = S
movetype= A
Physics = N
velset = 0,0
anim = 3100
ctrl = 0

[State 3000, PlaySnd]
Type = PlaySnd
trigger1 = time = 0
value = 3000,0
channel = 0

[State 3100, Special Cancel Flag]
Type = VarSet
trigger1 = time = 0
trigger1 = var(54) >= 2
var(45) = 10

[State 3100, DamageDampner]
Type = VarAdd
trigger1 = time = 0
trigger1 = var(54) >= 1
v = 51
value = 5 + 5 * (var(54) > 2)
ignorehitpause = 1
persistent = 0

[State 3100, PowerAdd]
Type = PowerAdd
trigger1 = time = 0
value = -1000

[State 3100, Chain Flag]
Type = VarSet
trigger1 = time = 0
var(55) = 0

[State 3100, MoveType]
Type = VarSet
trigger1 = time = 0
var(54) = 3

[State 3100, After Image]
Type = AfterImage
trigger1 = time = 0
time = 2
length = 9
timegap = 3
trans = add

[State 3100, AfterImagetime]
Type = AfterImageTime
trigger1 = time % 2
time = 3

[State 3100, NotHitBy]
Type = NotHitBy
trigger1 = time = 0
value = , AA, AP
time = 25

[State 3100, SuperPause]
Type = SuperPause
trigger1 = time = 0
time = 40
anim = 100
pos = 0, -58 * const(size.yscale)
movetime = 9
sound = 20, 0
p2defmul = 1

[State 3100, Empower]
Type = VarSet
trigger1 = time = 0
var(38) = 0

[State 3100, Empower]
Type = VarAdd
trigger1 = animelemtime(2) >= 0
trigger1 = !(time % 3)
var(38) = 1

[State 3100, ChangeState]
Type = ChangeState
trigger1 = animelemtime(2) >= 10
trigger1 = command != "hold_x" && command != "hold_y"
trigger2 = var(38) = 40
value = 3105

;---------------------------------------------------------------------------
;Buffalo Rush (Punch)
[Statedef 3105]
type    = S
movetype= A
physics = S
velset = 7.5,0
ctrl = 0
anim = 3105

[State 1000, PlaySnd]
type = PlaySnd
trigger1 = time = 0
value = 3100, 0
channel = 0

[State 3005, Chain]
Type = VarSet
trigger1 = time = 0
trigger2 = animelemtime(3) = 0
var(55) = 0

[State 3005, Friction]
Type = VelSet
trigger1 = animelemtime(2) < 15
x = 5

[State 3005, VarSet]
Type = VarSet
trigger1 = animelemtime(2) = 10
var(55) = 8192

[State 3005, AfterImagetime]
Type = AfterImageTime
trigger1 = time % 2
time = 3

[State 3005, HitDef]
type = HitDef
trigger1 = var(47) >= 8
trigger1 = time = 0
trigger1 = var(38) < 40
attr = S, HA
damage = Floor((18 + (4 * Random/1000.0) + var(38)) * fvar(28) + 0.5), Floor(var(38)/4 + fvar(28) + 0.5)
animtype = Heavy
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = 12, 12
guard.pausetime = 12,12
sparkno = 2
guard.sparkno = 0
sparkxy = -5, -44
hitsound = 5, 3
guardsound = 6, 0
ground.type = Low
ground.hittime = 20
ground.slidetime = 20
ground.velocity = -3.42721 , -6.5
guard.velocity = -6.46730
air.velocity = -3.42721, -6.50000
air.hittime = 60
air.type = Low
getpower = 0, 0
givepower = 40, 60
fall = 1
air.fall = 1
fall.recover = 0
ground.cornerpush.veloff = 0

[State 3005, HitDef]
type = HitDef
trigger1 = var(47) < 8
trigger1 = time = 0
trigger1 = var(38) < 40
attr = S, SA
damage = Floor((18 + (4 * Random/1000.0) + var(38)) * fvar(28) + 0.5), Floor(var(38)/4 + fvar(28) + 0.5)
animtype = Heavy
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = 12, 12
guard.pausetime = 12,12
sparkno = 2
guard.sparkno = 0
sparkxy = -5, -44
hitsound = 5, 3
guardsound = 6, 0
ground.type = Low
ground.hittime = 20
ground.slidetime = 20
ground.velocity = -3.42721 , -6.5
guard.velocity = -6.46730
air.velocity = -3.42721, -6.50000
air.hittime = 60
air.type = Low
getpower = 0, 0
givepower = 40, 60
fall = 1
air.fall = 1
fall.recover = 0
ground.cornerpush.veloff = 0

[State 3005, HitDef]
type = HitDef
trigger1 = var(47) >= 8
trigger1 = time = 0
trigger1 = var(38) = 40
attr = S, HA
damage = Floor((28 + (4 * Random/1000.0) + var(38)) * fvar(28) + 0.5), Floor(var(38)/4 + fvar(28) + 0.5)
animtype = Heavy
guardflag = 
hitflag = MAF
priority = 4, Hit
pausetime = 32, 32
guard.pausetime = 32,32
sparkno = 2
guard.sparkno = 0
sparkxy = -5, -44
hitsound = 5, 3
guardsound = 6, 0
ground.type = Low
ground.hittime = 20
ground.slidetime = 20
ground.velocity = -5.42721 , -6.5
guard.velocity = -6.46730
air.velocity = -3.42721, -6.50000
air.hittime = 60
air.type = Low
getpower = 0, 0
givepower = 40, 60
fall = 1
air.fall = 1
fall.recover = 0
ground.cornerpush.veloff = 0
envshake.time = 30
envshake.freq = 60
envshake.ampl = -8

[State 3005, HitDef]
type = HitDef
trigger1 = var(47) < 8
trigger1 = time = 0
trigger1 = var(38) = 40
attr = S, SA
damage = Floor((28 + (4 * Random/1000.0) + var(38)) * fvar(28) + 0.5), Floor(var(38)/4 + fvar(28) + 0.5)
animtype = Heavy
guardflag = 
hitflag = MAF
priority = 4, Hit
pausetime = 32, 32
guard.pausetime = 32,32
sparkno = 2
guard.sparkno = 0
sparkxy = -5, -44
hitsound = 5, 3
guardsound = 6, 0
ground.type = Low
ground.hittime = 20
ground.slidetime = 20
ground.velocity = -5.42721 , -6.5
guard.velocity = -6.46730
air.velocity = -3.42721, -6.50000
air.hittime = 60
air.type = Low
getpower = 0, 0
givepower = 40, 60
fall = 1
air.fall = 1
fall.recover = 0
ground.cornerpush.veloff = 0
envshake.time = 30
envshake.freq = 60
envshake.ampl = -8

[State 3105, DamageDampner]
Type = VarAdd
trigger1 = NumTarget > 0
trigger1 = MoveHit = 1
v = 51
value = 2 + Floor(4.0/ifelse(var(49) > 0, var(49), 1) + 0.5)
ignorehitpause = 1
persistent = 0

[State 3105, Juggle]
Type = VarSet
trigger1 = NumTarget > 0
trigger1 = target, statetype = A
v = 47
value = -1
persistent = 0
ignorehitpause = 1

[State 3105, ChangeState]
Type = ChangeState
trigger1 = animtime = 0
value = 0
ctrl = 1

;---------------------------------------------------------------------------
;Gigaton Upper
[Statedef 3200]
Type = S
movetype= A
Physics = N
velset = 0,0
anim = 3200
ctrl = 0

[State 3000, PlaySnd]
Type = PlaySnd
trigger1 = time = 0
value = 3000,0
channel = 0

[State 3100, Special Cancel Flag]
Type = VarSet
trigger1 = time = 0
trigger1 = var(54) >= 2
var(45) = 10

[State 3100, DamageDampner]
Type = VarAdd
trigger1 = time = 0
trigger1 = var(54) >= 1
v = 51
value = 5 + 5 * (var(54) > 2)
ignorehitpause = 1
persistent = 0

[State 3100, PowerAdd]
Type = PowerAdd
trigger1 = time = 0
value = -1000

[State 3100, Chain Flag]
Type = VarSet
trigger1 = time = 0
var(55) = 0

[State 3100, MoveType]
Type = VarSet
trigger1 = time = 0
var(54) = 3

[State 3100, After Image]
Type = AfterImage
trigger1 = time = 0
time = 2
length = 9
timegap = 3
trans = add

[State 3100, AfterImagetime]
Type = AfterImageTime
trigger1 = time % 2
time = 3

[State 3100, NotHitBy]
Type = NotHitBy
trigger1 = time = 0
value = , AA, AP
time = 22

[State 3100, SuperPause]
Type = SuperPause
trigger1 = time = 0
time = 40
anim = 100
pos = 0, -58 * const(size.yscale)
movetime = 9
sound = 20, 0
p2defmul = 1

[State 3100, ChangeState]
Type = ChangeState
trigger1 = animtime = 0
value = 3205

;---------------------------------------------------------------------------
;Gigaton Punch (First Hit)
[Statedef 3205]
type    = S
movetype= A
physics = S
velset = 2,0
ctrl = 0
anim = 3205

[State 1000, PlaySnd]
type = PlaySnd
trigger1 = time = 0
value = 220, 0
channel = 0

[State 3205, Chain]
Type = VarSet
trigger1 = time = 0
var(55) = 0

[State 3205, AfterImagetime]
Type = AfterImageTime
trigger1 = time % 2
time = 3

[State 3205, HitDef]
type = HitDef
trigger1 = var(47) >= 0
trigger1 = time = 0
attr = S, HA
damage = Floor((12 + (4 * Random/1000.0)) * fvar(28) + 0.5), Floor(3 * fvar(28) + 0.5)
animtype = Up
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = 6, 16
guard.pausetime = 6,16
sparkno = 2
guard.sparkno = 0
sparkxy = -5, -44
hitsound = 5, 2
guardsound = 6, 0
ground.type = Low
ground.hittime = 20
ground.slidetime = 20
ground.velocity = -0.42721 , -6.5
guard.velocity = -6.46730
air.velocity = -0.42721, -6.50000
air.hittime = 60
air.type = Low
getpower = 0, 0
givepower = 40, 60
fall = 1
air.fall = 1
fall.recover = 0
ground.cornerpush.veloff = 0

[State 3205, HitDef]
type = HitDef
trigger1 = var(47) < 0
trigger1 = time = 0
attr = S, SA
damage = Floor((12 + (4 * Random/1000.0)) * fvar(28) + 0.5), Floor(3 * fvar(28) + 0.5)
animtype = Up
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = 6, 16
guard.pausetime = 6,16
sparkno = 2
guard.sparkno = 0
sparkxy = -5, -44
hitsound = 5, 2
guardsound = 6, 0
ground.type = Low
ground.hittime = 20
ground.slidetime = 20
ground.velocity = -0.42721 , -6.5
guard.velocity = -6.46730
air.velocity = -0.42721, -6.50000
air.hittime = 60
air.type = Low
getpower = 0, 0
givepower = 40, 60
fall = 1
air.fall = 1
fall.recover = 0
ground.cornerpush.veloff = 0

[State 3205, DamageDampner]
Type = VarAdd
trigger1 = NumTarget > 0
trigger1 = MoveHit = 1
v = 51
value = 2 + Floor(4.0/ifelse(var(49) > 0, var(49), 1) + 0.5)
ignorehitpause = 1
persistent = 0

[State 3205, Juggle]
Type = VarSet
trigger1 = NumTarget > 0
trigger1 = target, statetype = A
v = 47
value = 8
persistent = 0
ignorehitpause = 1

[State 3205, ChangeState]
Type = ChangeState
trigger1 = animtime = 0
value = 3210

;---------------------------------------------------------------------------
;Gigaton Upper (Second Hit)
[StateDef 3210]
Type = S
movetype = A
Physics = N
velset = 0,0
anim = 3210
ctrl = 0
sprpriority = 2

[State 1000, PlaySnd]
type = PlaySnd
trigger1 = time = 0
value = 1000, 0
channel = 0

[State 3205, Chain]
Type = VarSet
trigger1 = time = 0
trigger2 = animelemtime(3) > 4
var(55) = 0

[State 3205, Chain]
Type = VarSet
trigger1 = animelemtime(1) > 2
var(55) = 20480

[State 3205, AfterImagetime]
Type = AfterImageTime
trigger1 = time % 2
time = 3

[State 3205, HitDef]
type = HitDef
trigger1 = var(47) >= 0
trigger1 = time = 0
attr = S, HA
damage = Floor((20 + (4 * Random/1000.0)) * fvar(28) + 0.5), Floor(3 * fvar(28) + 0.5)
animtype = Up
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = 8, 8
guard.pausetime = 8,8
sparkno = 2
guard.sparkno = 0
sparkxy = -5, -54
hitsound = 5, 3
guardsound = 6, 0
ground.type = Low
ground.hittime = 20
ground.slidetime = 20
ground.velocity = -1.42721 , -11.5
guard.velocity = -6.46730
air.velocity = -1.42721, -11.50000
air.hittime = 60
air.type = Low
getpower = 0, 0
givepower = 40, 60
fall = 1
air.fall = 1
fall.recover = 0
ground.cornerpush.veloff = 0

[State 3205, HitDef]
type = HitDef
trigger1 = var(47) < 0
trigger1 = time = 0
attr = S, SA
damage = Floor((20 + (4 * Random/1000.0)) * fvar(28) + 0.5), Floor(3 * fvar(28) + 0.5)
animtype = Up
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = 8, 8
guard.pausetime = 8,8
sparkno = 2
guard.sparkno = 0
sparkxy = -5, -44
hitsound = 5, 3
guardsound = 6, 0
ground.type = Low
ground.hittime = 20
ground.slidetime = 20
ground.velocity = -1.42721 , -11.5
guard.velocity = -6.46730
air.velocity = -1.42721, -11.50000
air.hittime = 60
air.type = Low
getpower = 0, 0
givepower = 40, 60
fall = 1
air.fall = 1
fall.recover = 0
ground.cornerpush.veloff = 0

[State 3205, DamageDampner]
Type = VarAdd
trigger1 = NumTarget > 0
trigger1 = MoveHit = 1
v = 51
value = 2 + Floor(4.0/ifelse(var(49) > 0, var(49), 1) + 0.5)
ignorehitpause = 1
persistent = 0

[State 3205, Juggle]
Type = VarSet
trigger1 = NumTarget > 0
trigger1 = target, statetype = A
v = 47
value = -1
persistent = 0
ignorehitpause = 1

[State 3205, ChangeState]
Type = ChangeState
trigger1 = animtime = 0
value = 0
ctrl = 1

;---------------------------------------------------------------------------
;Gigaton Blow
[Statedef 3300]
Type = S
movetype = A
Physics = N
velset = 0,0
anim = 1200
ctrl = 0
poweradd = 0

[State 3300, After Image]
Type = AfterImage
trigger1 = time = 0
time = 2
length = 9
timegap = 3
trans = add

[State 3300, AfterImagetime]
Type = AfterImageTime
trigger1 = time % 2
time = 3

[State 3300, PowerAdd]
Type = PowerAdd
trigger1 = time = 0
value = -3000

[State 3300, Special Cancel Flag]
Type = VarSet
trigger1 = time = 0
trigger1 = var(54) >= 2
var(45) = 10

[State 3300, DamageDampner]
Type = VarAdd
trigger1 = time = 0
trigger1 = var(51) < 5
v = 51
value = 5
ignorehitpause = 1
persistent = 0

[State 3300, Chain Flag]
Type = VarSet
trigger1 = 1
var(55) = 0

[State 3300, MoveType]
Type = VarSet
trigger1 = time = 0
var(54) = 3

[State 3300, SuperPause]
Type = SuperPause
trigger1 = time = 0
time = 60
anim = 100
pos = 0, -58
movetime = 1
sound = 20, 0
p2defmul = 1

[State 3300, NotHitBy]
Type = NotHitBy
trigger1 = time = 0
value = , AA, AP
time = 30

[State 3300, PlaySnd]
Type = PlaySnd
trigger1 = time = 0
value = 3000,0
channel = 0

[State 3300, ChangeState]
Type = ChangeState
trigger1 = animtime = 0
value = 3310

;---------------------------------------------------------------------------
;Gigatoooooon BLOW! (Run)
[StateDef 3310]
Type = S
movetype = A
Physics = N
velset = 6,0
anim = 1000
ctrl = 0
sprpriority = 2

[State 3000, AfterImagetime]
Type = AfterImageTime
trigger1 = time % 2
time = 3

[State 1000, Chain]
Type = VarSet
trigger1 = time = 0
var(55) = 0

[State 1000, Explod]
Type = Explod
trigger1 = !(time % 4)
anim = F120
pos = -10,0
removetime = 7

[State 1000, ChangeState]
Type = ChangeState
trigger1 = time = 40
trigger2 = P2BodyDist X < 45
value = 3315

;---------------------------------------------------------------------------
;Gigatoooooon BLOW! (Punch, Punch, Punch :D)
[StateDef 3315]
Type = S
movetype = A
Physics = S
velset = 6,0
anim = 3300
ctrl = 0
sprpriority = 2

[State 1000, PlaySnd]
type = PlaySnd
trigger1 = time = 0
value = 1000, 0
channel = 0

[State 3005, Chain]
Type = VarSet
trigger1 = time = 0
var(55) = 0

[State 3005, Friction]
Type = VelSet
trigger1 = animelemtime(2) < 20
x = 5
ignorehitpause = 1 

[State 3005, AfterImagetime]
Type = AfterImageTime
trigger1 = time % 2
time = 3

[State 3005, HitDef]
type = HitDef
trigger1 = var(47) >= 0
trigger1 = !(movecontact % 2)
attr = S, HA
damage = Floor((4 + (38 * (hitcount = 0)) + (Random/1000.0)) * fvar(28) + 0.5), Floor(2 * fvar(28) + 0.5)
animtype = Heavy
guardflag = M
hitflag = MAF
priority = 6, Hit
pausetime = 3, 8
guard.pausetime = 3,8
sparkno = 2
guard.sparkno = 0
sparkxy = -10, -44
hitsound = 5, 3
guardsound = 6, 0
ground.type = Low
ground.hittime = 20
ground.slidetime = 20
ground.velocity = -3.42721 , -6.5
guard.velocity = -6.46730
air.velocity = -3.42721, -6.50000
air.hittime = 60
air.type = Low
getpower = 0, 0
givepower = 40, 60
fall = 1
air.fall = 1
fall.recover = 0
ground.cornerpush.veloff = 0
envshake.time = 45 * (hitcount = 0)
envshake.freq = 60 * (hitcount = 0)
envshake.ampl = -8 * (hitcount = 0)

[State 3005, HitDef]
type = HitDef
trigger1 = var(47) < 0
trigger1 = !(movecontact % 2)
attr = S, SA
damage = Floor((3 + (38 * (hitcount = 0)) + (2 * Random/1000.0)) * fvar(28) + 0.5), Floor(2 * fvar(28) + 0.5)
animtype = Heavy
guardflag = M
hitflag = MA
priority = 6, Hit
pausetime = 3, 8
guard.pausetime = 3,8
sparkno = 2
guard.sparkno = 0
sparkxy = -10, -44
hitsound = 5, 3
guardsound = 6, 0
ground.type = Low
ground.hittime = 20
ground.slidetime = 20
ground.velocity = -3.42721 , -6.5
guard.velocity = -6.46730
air.velocity = -3.42721, -6.50000
air.hittime = 60
air.type = Low
getpower = 0, 0
givepower = 40, 60
fall = 1
air.fall = 1
fall.recover = 0
ground.cornerpush.veloff = 0
envshake.time = 35 * (hitcount = 0)
envshake.freq = 60 * (hitcount = 0)
envshake.ampl = -8 * (hitcount = 0)

[State 3105, DamageDampner]
Type = VarAdd
trigger1 = NumTarget > 0
trigger1 = MoveHit = 1
v = 51
value = 2 + Floor(4.0/ifelse(var(49) > 0, var(49), 1) + 0.5)
ignorehitpause = 1
persistent = 0

[State 3105, Juggle]
Type = VarSet
trigger1 = NumTarget > 0
trigger1 = target, statetype = A
v = 47
value = 0
persistent = 0
ignorehitpause = 1

[State 3105, ChangeState]
Type = ChangeState
trigger1 = animtime = 0
value = 0
ctrl = 1

;---------------------------------------------------------------------------
;Dreamland Express
[Statedef 3400]
Type = S
movetype= A
Physics = N
velset = 0,0
anim = 3400
ctrl = 0

[State 3400, Special Cancel Flag]
Type = VarSet
trigger1 = time = 0
trigger1 = var(54) >= 2
var(45) = 10

[State 3400, DamageDampner]
Type = VarAdd
trigger1 = time = 0
trigger1 = var(54) >= 1
v = 51
value = 5 + 5 * (var(54) > 2)
ignorehitpause = 1
persistent = 0

[State 3400, PowerAdd]
Type = PowerAdd
trigger1 = time = 0
value = -3000

[State 3400, Chain Flag]
Type = VarSet
trigger1 = time = 0
var(55) = 0

[State 3400, MoveType]
Type = VarSet
trigger1 = time = 0
var(54) = 3

[State 3400, After Image]
Type = AfterImage
trigger1 = time = 0
time = 2
length = 9
timegap = 3
trans = add

[State 3400, AfterImagetime]
Type = AfterImageTime
trigger1 = time % 2
time = 3

[State 3400, NotHitBy]
Type = NotHitBy
trigger1 = time = 0
value = , AA, AP, NT, ST
time = 8

[State 3100, SuperPause]
Type = SuperPause
trigger1 = time = 0
time = 40
anim = 100
pos = 0, -58
movetime = 9
sound = 20, 0
p2defmul = 1

[State 3400, PalFx]
Type = PalFx
trigger1 = animelemtime(1) = 20
sinadd = 64,64,64,2
time = 10

[State 3405, PlaySnd]
type = PlaySnd
trigger1 = Animelemtime(2) = 0
value = 220, 0
channel = 0

[State 3405, Chain]
Type = VarSet
trigger1 = time = 0
var(55) = 0

[State 3405, HitDef]
type = HitDef
trigger1 = var(47) >= 0
trigger1 = animelemtime(3) = 0
attr = S, HA
damage = Floor((20 + (4 * Random/1000.0)) * fvar(28) + 0.5), Floor(3 * fvar(28) + 0.5)
animtype = Up
guardflag = 
hitflag = MAF
priority = 4, Hit
pausetime = 6, 16
guard.pausetime = 6,16
sparkno = 2
guard.sparkno = 0
sparkxy = -5, -44
hitsound = 5, 2
guardsound = 6, 0
ground.type = Low
ground.hittime = 20
ground.slidetime = 20
ground.velocity = -0.42721 , 0
guard.velocity = -6.46730
air.velocity = -0.42721, -2.50000
air.hittime = 60
air.type = Low
getpower = 0, 0
givepower = 40, 60
fall = 0
air.fall = 1
fall.recover = 0
ground.cornerpush.veloff = 0
envshake.time = 15

[State 3405, HitDef]
type = HitDef
trigger1 = var(47) < 0
trigger1 = animelemtime(3) = 0
attr = S, SA
damage = Floor((20 + (4 * Random/1000.0)) * fvar(28) + 0.5), Floor(3 * fvar(28) + 0.5)
animtype = Up
guardflag = 
hitflag = MAF
priority = 4, Hit
pausetime = 6, 16
guard.pausetime = 6,16
sparkno = 2
guard.sparkno = 0
sparkxy = -5, -44
hitsound = 5, 2
guardsound = 6, 0
ground.type = Low
ground.hittime = 20
ground.slidetime = 20
ground.velocity = -0.42721 , 0
guard.velocity = -6.46730
air.velocity = -0.42721, -6.50000
air.hittime = 60
air.type = Low
getpower = 0, 0
givepower = 40, 60
fall = 0
air.fall = 1
fall.recover = 0
ground.cornerpush.veloff = 0
envshake.time = 15

[State 3205, Juggle]
Type = VarSet
trigger1 = NumTarget > 0
trigger1 = target, statetype = A
v = 47
value = 8
persistent = 0
ignorehitpause = 1

[State 3205, ChangeState]
Type = ChangeState
trigger1 = animtime = 0
value = 3410

;---------------------------------------------------------------------------
;Dreamland Express (Second Hit)
[StateDef 3410]
Type = S
movetype = A
Physics = N
velset = 0,0
anim = 3410
ctrl = 0
sprpriority = 2

[State 3410, Chain]
Type = VarSet
trigger1 = time = 0
var(55) = 0

[State 3410, AfterImagetime]
Type = AfterImageTime
trigger1 = time % 2
time = 3

[State 3410, HitDef]
type = HitDef
trigger1 = var(47) >= 0
trigger1 = time = 0
attr = S, HA
damage = Floor((30 + (4 * Random/1000.0)) * fvar(28) + 0.5), Floor(3 * fvar(28) + 0.5)
animtype = Up
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = 6, 16
guard.pausetime = 6,16
sparkno = 2
guard.sparkno = 0
sparkxy = -5, -54
hitsound = 5, 4
guardsound = 6, 0
ground.type = Low
ground.hittime = 20
ground.slidetime = 20
ground.velocity = -0.42721 , 0
guard.velocity = -6.46730
air.velocity = -1.42721, -3.50000
air.hittime = 60
air.type = Low
getpower = 0, 0
givepower = 40, 60
fall = 0
air.fall = 1
fall.recover = 0
ground.cornerpush.veloff = 0
envshake.time = 15

[State 3410, HitDef]
type = HitDef
trigger1 = var(47) < 0
trigger1 = time = 0
attr = S, HA
damage = Floor((30 + (4 * Random/1000.0)) * fvar(28) + 0.5), Floor(3 * fvar(28) + 0.5)
animtype = Up
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = 6, 16
guard.pausetime = 6,16
sparkno = 2
guard.sparkno = 0
sparkxy = -5, -44
hitsound = 5, 4
guardsound = 6, 0
ground.type = Low
ground.hittime = 20
ground.slidetime = 20
ground.velocity = -0.42721 , 0
guard.velocity = -6.46730
air.velocity = -1.42721, -2.50000
air.hittime = 60
air.type = Low
getpower = 0, 0
givepower = 40, 60
fall = 0
air.fall = 1
fall.recover = 0
ground.cornerpush.veloff = 0
envshake.time = 15

[State 3410, Juggle]
Type = VarAdd
trigger1 = NumTarget > 0
trigger1 = target, statetype = A
v = 47
value = -3
persistent = 0
ignorehitpause = 1

[State 3410, ChangeState]
Type = ChangeState
trigger1 = animtime = 0
value = 3420
ctrl = 0

;---------------------------------------------------------------------------
;Dreamland Express (Third Hit)
[StateDef 3420]
Type = S
movetype = A
Physics = N
velset = 0,0
anim = 3420
ctrl = 0
sprpriority = 2

[State 3410, PlaySnd]
type = PlaySnd
trigger1 = time = 0
value = 220, 0
channel = 0

[State 3420, Chain]
Type = VarSet
trigger1 = time = 0
var(55) = 0

[State 3420, AfterImagetime]
Type = AfterImageTime
trigger1 = time % 2
trigger1 = animelemtime(5) < 28
time = 3

[State 3420, HitDef]
type = HitDef
trigger1 = var(47) >= 0
trigger1 = time = 0
attr = S, HA
damage = Floor((30 + (4 * Random/1000.0)) * fvar(28) + 0.5), Floor(3 * fvar(28) + 0.5)
animtype = Up
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = 9, 10
guard.pausetime = 9,10
sparkno = 2
guard.sparkno = 0
sparkxy = -5, -54
hitsound = 5, 4
guardsound = 6, 0
ground.type = Low
ground.hittime = 20
ground.slidetime = 20
ground.velocity = -1.42721 , -6.5
guard.velocity = -6.46730
air.velocity = -1.42721, -6.50000
air.hittime = 60
air.type = Low
getpower = 0, 0
givepower = 40, 60
fall = 1
air.fall = 1
fall.recover = 0
ground.cornerpush.veloff = 0
envshake.time = 15

[State 3420, HitDef]
type = HitDef
trigger1 = var(47) < 0
trigger1 = time = 0
attr = S, HA
damage = Floor((30 + (4 * Random/1000.0)) * fvar(28) + 0.5), Floor(3 * fvar(28) + 0.5)
animtype = Up
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = 9, 10
guard.pausetime = 9,10
sparkno = 2
guard.sparkno = 0
sparkxy = -5, -44
hitsound = 5, 4
guardsound = 6, 0
ground.type = Low
ground.hittime = 20
ground.slidetime = 20
ground.velocity = -1.42721 ,-6.5
guard.velocity = -6.46730
air.velocity = -1.42721, -6.50000
air.hittime = 60
air.type = Low
getpower = 0, 0
givepower = 40, 60
fall = 1
air.fall = 1
fall.recover = 0
ground.cornerpush.veloff = 0
envshake.time = 15

[State 3420, DamageDampner]
Type = VarAdd
trigger1 = NumTarget > 0
trigger1 = MoveHit = 1
v = 51
value = 2 + Floor(4.0/ifelse(var(49) > 0, var(49), 1) + 0.5)
ignorehitpause = 1
persistent = 0

[State 3420, Juggle]
Type = VarSet
trigger1 = NumTarget > 0
trigger1 = target, statetype = A
v = 47
value = -1
persistent = 0
ignorehitpause = 1

[State 3420, ChangeState]
Type = ChangeState
trigger1 = animtime = 0
value = 0
ctrl = 1

;-------------------------------------------------------------------------------
; Special Shake Fall State
[Statedef 5021]
type    = A
movetype= H
physics = N
velset = 0,0

[State 5020, 2] ;Anim for HIT_BACK
type = ChangeAnim
trigger1 = Time = 0
value = 5030

[State 5020, 4] ;Freeze anim
type = ChangeAnim
trigger1 = Time > 0
value = anim

[State 5020, 5]
type = ChangeState
trigger1 = HitShakeOver
value = 5031

;---------------------------------------------------------------------------
; Special Fall State
[Statedef 5031]
type    = A
movetype= H
physics = N
ctrl = 0
velset = -5,-4.5

[State 5030, 1]
type = VelAdd;Gravity
trigger1 = 1
y = GetHitVar(yaccel)

[State 5030, 4]
type = SelfState
triggerall = HitFall
trigger1 = HitOver
trigger2 = Vel Y > 0    ;Hit ground
trigger2 = Pos Y >= 10  ;.
value = 5050 ;HITA_FALL

[State 5030, 5]
type = SelfState
trigger1 = AnimTime = 0
value = 5035 ;HITA_UP (transition)

;---------------------------------------------------------------------------
;Zero Counter
[Statedef 2000]
type    = S
movetype= A
physics = S
velset = 0,0
ctrl = 0
anim = 2000
poweradd = -250

[State 2000, PlaySnd]
type = PlaySnd
trigger1 = time = 0
value = 1000, 0
channel = 0

[State 2000, After Image]
Type = AfterImage
trigger1 = time = 0
time = 2
length = 9
timegap = 3
trans = add

[State 2000, AfterImagetime]
Type = AfterImageTime
trigger1 = time % 2
time = 3

[State 2000, NotHitBy]
Type = NotHitBy
trigger1 = 1
value = ,AA, AP

[State 2000, Chain]
Type = VarSet
trigger1 = time = 0
trigger2 = animelemtime(3) = 6
var(55) = 0

[State 2000, Special Cancel Flag]
Type = VarSet
trigger1 = time = 0
trigger1 = var(54) >= 2
var(45) = 10

[State 2000, Special Cancel Limiter]
Type = VarAdd
trigger1 = time = 0
trigger1 = var(54) >= 2
v = 49
value = -1

[State 2000, Chain Flag]
Type = VarSet
trigger1 = animelemtime(2) = 8
var(55) = 63104

[State 2000, MoveType]
Type = VarSet
trigger1 = 1
var(54) = 3

[State 2000, HitDef]
type = HitDef
trigger1 = var(47) >= 8
trigger1 = time = 0
attr = S, ST
damage = Floor((4 + (Random/1000.0)) * fvar(28) + 0.5), Floor(2 * fvar(28) + 0.5)
animtype = Heavy
guardflag = 
hitflag = MAF
priority = 4, Hit
pausetime = 12, 12
guard.pausetime = 12,12
sparkno = 2
guard.sparkno = 0
sparkxy = -5, -44
hitsound = 5, 3
guardsound = 6, 0
ground.type = High
ground.hittime = 15
ground.slidetime = 15
ground.velocity = -1.42721, -7
guard.velocity = -6.46730
air.velocity = -1.42721, -6.50000
air.hittime = 60
air.type = Low
getpower = 0, 0
givepower = 40, 60
fall = 1
air.fall = 1
fall.recover = 0
ground.cornerpush.veloff = 0

[State 2000, HitDef]
type = HitDef
trigger1 = var(47) < 8
trigger1 = time = 0
attr = S, ST
damage = Floor((4 + (Random/1000.0)) * fvar(28) + 0.5), Floor(2 * fvar(28) + 0.5)
animtype = Heavy
guardflag = 
hitflag = MA
priority = 4, Hit
pausetime = 12, 12
guard.pausetime = 12,12
sparkno = 2
guard.sparkno = 0
sparkxy = -5, -44
hitsound = 5, 3
guardsound = 6, 0
ground.type = High
ground.hittime = 15
ground.slidetime = 15
ground.velocity = -1.42721, -7
guard.velocity = -6.46730
air.velocity = -1.42721, -6.50000
air.hittime = 60
air.type = Low
getpower = 0, 0
givepower = 40, 60
fall = 1
air.fall = 1
fall.recover = 0
ground.cornerpush.veloff = 0

[State 2000, DamageDampner]
Type = VarAdd
trigger1 = NumTarget > 0
trigger1 = MoveHit = 1
v = 51
value = 2 + Floor(4.0/ifelse(var(49) > 0, var(49), 1) + 0.5)
ignorehitpause = 1
persistent = 0

[State 2000, Juggle]
Type = VarAdd
trigger1 = NumTarget > 0
trigger1 = MoveContact
v = 47
value = -4
persistent = 0
ignorehitpause = 1

[State 2000, ChangeState]
Type = ChangeState
trigger1 = animtime = 0
value = 0
ctrl = 1

;---------------------------------------------------------------------------
;Emergency Escape RUN_FWD
[Statedef 2100]
type    = S
physics = S
anim = 100
sprpriority = 1
poweradd = -250
ctrl = 0

[State 2100, After Image]
Type = AfterImage
trigger1 = time = 0
time = 2
length = 9
timegap = 3
trans = add

[State 2100, AfterImagetime]
Type = AfterImageTime
trigger1 = time % 2
time = 3

[State 2100, PlayerPush]
Type = PlayerPush
trigger1 = 1
value = 0

[State 2100, NotHitBy]
Type = NotHitBy
trigger1 = 1
value = , AA, AP
time = 1

[State 2100, 1]
type = VelSet
trigger1 = 1
x = const(velocity.run.fwd.x)

[State 2100, 2] ;Prevent run from canceling into walk
type = AssertSpecial
trigger1 = 1
flag = NoWalk

[State 2100, 3] ;Prevent from turning
type = AssertSpecial
trigger1 = 1
flag = NoAutoTurn

[State 2100, Moveability]
Type = VarSet
trigger1 = ctrl
var(55) = 64895

[State 2100, Moveability]
Type = VarSet
trigger1 = !ctrl
var(55) = 0

[State 2100, MoveType]
Type = VarSet
trigger1 = 1
var(54) = 3

[State 2100, 4]
type = ChangeState
trigger1 = animelem = 3
value = 2101

;---------------------------------------------------------------------------
; RUN_FWD End
[Statedef 2101]
type    = S
physics = S
sprpriority = 1

[State 101, Moveability]
Type = VarSet
trigger1 = time > 3
var(55) = 65535

[State 2100, AfterImagetime]
Type = AfterImageTime
trigger1 = time < 4
time = 1

[State 101, MoveType]
Type = VarSet
trigger1 = 1
var(54) = 1

[State 101, ChangeState]
Type = ChangeState
trigger1 = animtime = 0
value = 0
ctrl = 1

;---------------------------------------------------------------------------
;Evade
[Statedef 2200]
type    = S
physics = S
anim = 100
sprpriority = 1
ctrl = 0

[State 2100, After Image]
Type = AfterImage
trigger1 = time = 0
time = 2
length = 9
timegap = 3
trans = add

[State 2100, AfterImagetime]
Type = AfterImageTime
trigger1 = time % 2
time = 3

[State 2100, PlayerPush]
Type = PlayerPush
trigger1 = 1
value = 0

[State 2100, NotHitBy]
Type = NotHitBy
trigger1 = 1
value = , AA, AP
time = 1

[State 2100, 1]
type = VelSet
trigger1 = 1
x = const(velocity.run.fwd.x) * 0.75

[State 2100, 2] ;Prevent run from canceling into walk
type = AssertSpecial
trigger1 = 1
flag = NoWalk

[State 2100, 3] ;Prevent from turning
type = AssertSpecial
trigger1 = 1
flag = NoAutoTurn

[State 2100, Moveability]
Type = VarSet
trigger1 = ctrl
var(55) = 64895

[State 2100, Moveability]
Type = VarSet
trigger1 = !ctrl
var(55) = 0

[State 2100, MoveType]
Type = VarSet
trigger1 = 1
var(54) = 3

[State 2100, 4]
type = ChangeState
trigger1 = animelem = 3
value = 2101