;===========================================================================
;Normal.St

;---------------------------------------------------------------------------
; Lose by Time Over
; CNS difficulty: basic
[Statedef 170]
type = S
ctrl = 0
anim = 170
velset = 0,0

[State 170, 1]
type = NotHitBy
trigger1 = Time >= 0
value = SCA
time = 1

[State 170, MoveType]
Type = VarSet
trigger1 = 1
var(54) = 0
ignorehitpause = 1

;---------------------------------------------------------------------------
; Win state decider
; CNS difficulty: basic
[Statedef 180]
type = S

[State 180, MoveType]
Type = VarSet
trigger1 = 1
var(54) = 0
ignorehitpause = 1

[State 180, 1]
type = ChangeState
trigger1 = Time = 0
value = 181 + (Random > 499)

;---------------------------------------------------------------------------
; Win pose 1
[Statedef 181]
type = S
ctrl = 0
anim = 181
velset = 0,0

[State 181, 2]
type = PlaySnd
trigger1 = time = 0
value = 180,0
channel = 0

[State 181, 1]
type = NotHitBy
trigger1 = Time >= 0
value = SCA
time = 1

;---------------------------------------------------------------------------
; Win pose 2
[Statedef 182]
type = S
ctrl = 0
anim = 182
velset = 0,0

[State 182, 1]
type = NotHitBy
trigger1 = Time >= 0
value = SCA
time = 1

;---------------------------------------------------------------------------
; Introduction
[Statedef 191]
type = S
ctrl = 0
anim = 190
velset = 0,0

[State 190, MoveType]
Type = VarSet
trigger1 = 1
var(54) = 0
ignorehitpause = 1

[State 191, Base Damage]
type = VarSet
trigger1 = time = 0
fvar(28) = 5

[State 191, 3]
type = VarSet
trigger1 = RoundState = 0
fvar(1) = 1

[State 190, AI Activate]
type = VarSet ;By Kamek
triggerall = var(59) = 0
trigger1 = IsHomeTeam
trigger1 = TeamSide = 2
var(59) = 1

[State 190, Give Power]
Type = PowerSet
trigger1 = time = 0
value = 1000

[State 191, 1] ;Freeze animation until PreIntro is over
type = ChangeAnim
trigger1 = RoundState = 0
value = 190

[State 191, 2] ;Assert this until you want "round 1, fight" to begin
type = AssertSpecial
trigger1 = animtime > 0
flag = Intro

[State 191, 3]
type = PlaySnd
trigger1 = animelem = 7
value = 190,1
channel = 0

[State 191, ChangeState]
Type = ChangeState
trigger1 = animtime = 0
value = 0

;---------------------------------------------------------------------------
; Taunt
; CNS difficulty: easy
[Statedef 195]
type = S
ctrl = 0
anim = 195
velset = 0,0
movetype = I
physics = S

[State 195, MoveType]
Type = VarSet
trigger1 = 1
var(54) = 0
ignorehitpause = 1

[state 195, Taunting has its costs]
Type = DefenceMulSet
trigger1 = 1
value = ifelse(life >= floor(fvar(32) * 0.85 + 0.5), 1.25, ifelse(life >= floor(fvar(32) * 0.7 + 0.5), 1.15, ifelse(life >= floor(fvar(32) * 0.55 + 0.5), 1.5, 0.95)))

[State 195, Taunt Timer]
Type = VarSet
trigger1 = 1
var(41) = 120

[State 195,3]
type = PlaySnd
trigger1 = time = 0
value = 195,0
channel = 0

[State 195, PowerAdd]
Type = PowerAdd
trigger1 = animtime = 0
value = 200

[State 195, 2]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1

;---------------------------------------------------------------------------
; Stand Light Punch
[Statedef 200]
type    = S
movetype= A
physics = S
velset = 0,0
ctrl = 0
anim = 200

[State 200, Chain Flag]
Type = VarSet
trigger1 = time = 6
var(55) = 59295
persistent = 0

[State 200, Chain Flag]
Type = VarSet
trigger1 = time = 15
trigger2 = time = 0
var(55) = 0

[State 200, MoveType]
Type = VarSet
trigger1 = 1
var(54) = 1

[State 200, HitDef]
type = HitDef
trigger1 = AnimElem = 2,1
trigger1 = Var(47) >= 8
attr = S, NA
damage = Floor((3 + (Random/1000.0)) * Fvar(28) + 0.5), 0
animtype = Light
guardflag = M
hitflag = MAF
priority = 3, Hit
pausetime = 8, 8
sparkno = 0
guard.sparkno = 40
sparkxy = -5, -44
hitsound = 5, 0
guardsound = 6, 0
ground.type = High
ground.hittime = 10
ground.slidetime = 10
ground.velocity = -2.04124, 0.00000
air.velocity = -0.90506, -3.00000
air.hittime = 24
air.type = High
air.juggle = 15
getpower = 30, 45
givepower = 30, 45

[State 200, HitDef]
type = HitDef
trigger1 = AnimElem = 2,1
trigger1 = Var(47) < 8
attr = S, NA
damage = Floor((3 + (Random/1000.0)) * Fvar(28) + 0.5), 0
animtype = Light
guardflag = M
hitflag = M
priority = 3, Hit
pausetime = 8, 8
sparkno = 0
guard.sparkno = 40
sparkxy = -5, -44
hitsound = 5, 0
guardsound = 6, 0
ground.type = High
ground.hittime = 10
ground.slidetime = 10
ground.velocity = -2.04124, 0.00000
air.velocity = -0.90506, -3.00000
air.hittime = 24
air.type = High
air.juggle = 15
getpower = 30, 45
givepower = 30, 45

[State 200, Juggle]
Type = VarAdd
trigger1 = NumTarget > 0
trigger1 = MoveHit
trigger1 = Target, StateType = A
v = 47
value = -8
persistent = 0
ignorehitpause = 1

[State 200, DamageDampner]
Type = VarAdd
trigger1 = NumTarget > 0
trigger1 = MoveHit
v = 51
value = 1
ignorehitpause = 1
persistent = 0

[State 200, PlaySnd]
type = PlaySnd
trigger1 = Time = 1
trigger1 = Random > 499
value = 200, 0

[State 200, ChangeState]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1
channel = 0

;---------------------------------------------------------------------------
;Near Stand Light Punch
[Statedef 205]
type    = S
movetype= A
physics = S
velset = 0,0
ctrl = 0
anim = 205

[State 205, Chain Flag]
Type = VarSet
trigger1 = time = 6
var(55) = 59295
persistent = 0

[State 205, Chain Flag]
Type = VarSet
trigger1 = time = 16
trigger2 = time = 0
var(55) = 0

[State 205, MoveType]
Type = VarSet
trigger1 = 1
var(54) = 1

[State 205, HitDef]
type = HitDef
trigger1 = AnimElem = 2,1
trigger1 = Var(47) >= 8
attr = S, NA
damage = Floor((3 + (Random/1000.0)) * Fvar(28) + 0.5), 0
animtype = Light
guardflag = M
hitflag = MAF
priority = 3, Hit
pausetime = 8, 8
sparkno = 0
guard.sparkno = 40
sparkxy = -5, -51
hitsound = 5, 0
guardsound = 6, 0
ground.type = High
ground.hittime = 10
ground.slidetime = 10
ground.velocity = -1.75849, 0.00000
air.velocity = -0.78372, -3.00000
air.hittime = 24
air.type = High
air.juggle = 15
getpower = 30, 45
givepower = 30, 45

[State 205, HitDef]
type = HitDef
trigger1 = AnimElem = 2,1
trigger1 = Var(47) < 8
attr = S, NA
damage = Floor((3 + (Random/1000.0)) * Fvar(28) + 0.5), 0
animtype = Light
guardflag = M
hitflag = M
priority = 3, Hit
pausetime = 8, 8
sparkno = 0
guard.sparkno = 40
sparkxy = -5, -51
hitsound = 5, 0
guardsound = 6, 0
ground.type = High
ground.hittime = 10
ground.slidetime = 10
ground.velocity = -1.75849, 0.00000
air.velocity = -0.78372, -3.00000
air.hittime = 24
air.type = High
air.juggle = 15
getpower = 30, 45
givepower = 30, 45

[State 205, Juggle]
Type = VarAdd
trigger1 = NumTarget > 0
trigger1 = MoveHit
trigger1 = Target, StateType = A
v = 47
value = -8
persistent = 0
ignorehitpause = 1

[State 205, DamageDampner]
Type = VarAdd
trigger1 = NumTarget > 0
trigger1 = MoveHit
v = 51
value = 1
ignorehitpause = 1
persistent = 0

[State 205, PlaySnd]
type = PlaySnd
trigger1 = Time = 1
trigger1 = Random > 499
value = 200, 0

[State 205, ChangeState]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1
channel = 0

;---------------------------------------------------------------------------
; Stand Light Kick
[Statedef 210]
type    = S
movetype= A
physics = S
velset = 0,0
ctrl = 0
anim = 210
poweradd = 0

[State 210, MoveType]
Type = VarSet
trigger1 = 1
var(54) = 1

[State 210, Chain Flag]
Type = VarSet
trigger1 = time = 0
trigger2 = time = 12
var(55) = 0

[State 210, Chain Flag]
Type = VarSet
trigger1 = time = 7
var(55) = 59295

[State 210, HitDef]
type = HitDef
trigger1 = AnimElem = 3, 1
trigger1 = var(47) >= 8
attr = S, NA
damage = Floor((3 + (Random/1000.0)) * Fvar(28) + 0.5), 0
animtype = Light
guardflag = M
hitflag = MAF
priority = 2, Hit
pausetime = 6, 6
sparkno = 0
guard.sparkno = 40
sparkxy = 0, -50
hitsound = 5, 0
guardsound = 6, 0
ground.type = High
ground.hittime = 10
ground.slidetime = 10
ground.velocity = -1.95849, 0.00000
air.velocity = -0.98372, -3.00000
air.hittime = 24
air.type = High
air.juggle = 15
getpower = 20, 30
givepower = 20, 30

[State 210, HitDef]
type = HitDef
trigger1 = AnimElem = 3, 1
trigger1 = var(47) < 8
attr = S, NA
damage = Floor((3 + (Random/1000.0)) * Fvar(28) + 0.5), 0
animtype = Light
guardflag = M
hitflag = MAF
priority = 2, Hit
pausetime = 6, 6
sparkno = 0
guard.sparkno = 40
sparkxy = 0, -50
hitsound = 5, 0
guardsound = 6, 0
ground.type = High
ground.hittime = 10
ground.slidetime = 10
ground.velocity = -1.95849, 0.00000
air.velocity = -0.98372, -3.00000
air.hittime = 24
air.type = High
air.juggle = 15
getpower = 20, 30
givepower = 20, 30

[State 210, Juggle]
Type = VarAdd
trigger1 = NumTarget > 0
trigger1 = MoveHit
trigger1 = Target, StateType = A
v = 47
value = -8
persistent = 0
ignorehitpause = 1

[State 210, DamageDampner]
Type = VarAdd
trigger1 = NumTarget > 0
trigger1 = MoveHit
v = 51
value = 1
ignorehitpause = 1
persistent = 0

[State 210, PlaySnd]
type = PlaySnd
trigger1 = Time = 1
trigger1 = Random > 499
value = 200, 0
channel = 0

[State 210, ChangeState]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1

;---------------------------------------------------------------------------
;Near Stand Light Kick
[Statedef 215]
type    = S
movetype= A
physics = S
velset = 0,0
ctrl = 0
anim = 215
poweradd = 0

[State 215, MoveType]
Type = VarSet
trigger1 = 1
var(54) = 1

[State 215, Chain Flag]
Type = VarSet
trigger1 = time = 0
trigger2 = time = 9
var(55) = 0 

[State 215, Chain Flag]
Type = VarSet
trigger1 = time = 4
var(55) = 59295

[State 215, HitDef]
type = HitDef
trigger1 = AnimElem = 2, 1
trigger1 = var(47) >= 8
attr = S, NA
damage = Floor((2 + (Random/1000.0)) * Fvar(28) + 0.5), 0
animtype = Light
guardflag = M
hitflag = MAF
priority = 2, Hit
pausetime = 6, 6
sparkno = 0
guard.sparkno = 40
sparkxy = -5, -12
hitsound = 5, 0
guardsound = 6, 0
ground.type = Low
ground.hittime = 10
ground.slidetime = 10
ground.velocity = -1.99900, 0.00000
air.velocity = -1.98915, -3.00000
air.hittime = 24
air.type = High
air.juggle = 15
getpower = 20, 30
givepower = 20, 30

[State 215, HitDef]
type = HitDef
trigger1 = AnimElem = 2, 1
trigger1 = var(47) < 8
attr = S, NA
damage = Floor((2 + (Random/1000.0)) * Fvar(28) + 0.5), 0
animtype = Light
guardflag = M
hitflag = M
priority = 2, Hit
pausetime = 6, 6
sparkno = 0
guard.sparkno = 40
sparkxy = -5, -12
hitsound = 5, 0
guardsound = 6, 0
ground.type = Low
ground.hittime = 10
ground.slidetime = 10
ground.velocity = -1.99900, 0.00000
air.velocity = -1.98915, -3.00000
air.hittime = 24
air.type = High
air.juggle = 15
getpower = 20, 30
givepower = 20, 30

[State 215, Juggle]
Type = VarAdd
trigger1 = NumTarget > 0
trigger1 = MoveHit
trigger1 = Target, StateNo = 5020
v = 47
value = -8
persistent = 0
ignorehitpause = 1

[State 215, DamageDampner]
Type = VarAdd
trigger1 = NumTarget > 0
trigger1 = MoveHit
v = 51
value = 1
ignorehitpause = 1
persistent = 0

[State 215, PlaySnd]
type = PlaySnd
trigger1 = Time = 1
trigger1 = Random > 499
value = 200, 0
channel = 0

[State 215, ChangeState]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1

;---------------------------------------------------------------------------
;Axe Kick
[Statedef 216]
type    = S
movetype= A
physics = S
velset = 0,0
ctrl = 0
anim = 216
poweradd = 0

[State 210, MoveType]
Type = VarSet
trigger1 = 1
var(54) = 1

[State 210, Chain Flag]
Type = VarSet
trigger1 = time = 0
trigger2 = animelemtime(6) = 2
var(55) = 0

[State 210, Chain Flag]
Type = VarSet
trigger1 = animelemtime(4)= 1
var(55) = 63376

[State 216, PosAdd]
Type = VelSet
trigger1 = animelemtime(2) = 0
x = 2.6

[State 210, HitDef]
type = HitDef
triggerall = var(47) >= 8
trigger1 = AnimElem = 4, 1
trigger2 = Animelem = 5, 0
attr = S, NA
damage = Floor((3 + (Random/1000.0)) * Fvar(28) + 0.5), 0
animtype = Light
guardflag = M
hitflag = MAF
priority = 2, Hit
pausetime = 8, 10
sparkno = 1
guard.sparkno = 40
sparkxy = 0, -50
hitsound = 5, 1
guardsound = 6, 0
ground.type = High
ground.hittime = 16
ground.slidetime = 16
ground.velocity = -1.75849, 0.00000
air.velocity = -0.78372, -3.00000
air.hittime = 24
air.type = High
air.juggle = 15
getpower = 20, 30
givepower = 20, 30

[State 210, HitDef]
type = HitDef
triggerall = var(47) < 8
trigger1 = AnimElem = 4, 1
trigger2 = Animelem = 5, 0
attr = S, NA
damage = Floor((3 + (Random/1000.0)) * Fvar(28) + 0.5), 0
animtype = Light
guardflag = M
hitflag = MAF
priority = 2, Hit
pausetime = 8, 10
sparkno = 1
guard.sparkno = 40
sparkxy = 0, -50
hitsound = 5, 1
guardsound = 6, 0
ground.type = High
ground.hittime = 16
ground.slidetime = 16
ground.velocity = -1.75849, 0.00000
air.velocity = -0.78372, -3.00000
air.hittime = 24
air.type = High
air.juggle = 15
getpower = 20, 30
givepower = 20, 30

[State 210, Juggle]
Type = VarAdd
trigger1 = NumTarget > 0
trigger1 = MoveHit
trigger1 = Target, StateType = A
v = 47
value = -8
persistent = 0
ignorehitpause = 1

[State 210, DamageDampner]
Type = VarAdd
trigger1 = NumTarget > 0
trigger1 = MoveHit
v = 51
value = 1
ignorehitpause = 1
persistent = 0

[State 210, PlaySnd]
type = PlaySnd
trigger1 = Time = 1
trigger1 = Random > 499
value = 200, 0
channel = 0

[State 210, ChangeState]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1


;---------------------------------------------------------------------------
; Stand Strong Punch
[Statedef 220]
type    = S
movetype= A
physics = S
velset = 0,0
ctrl = 0
anim = 220
poweradd = 0

[State 220, Chain Flag]
Type = VarSet
trigger1 = time = 12
var(55) = 9348

[State 220, Chain Flag]
Type = VarSet
trigger1 = time = 0
trigger2 = time = 21
var(55) = 0

[State 220, MoveType]
Type = VarSet
trigger1 = 1
var(54) = 1

[State 220, HitDef]
type = HitDef
trigger1 = AnimElem = 3, 1
trigger1 = Var(47) >= 8
attr = S, NA
damage = Floor((8 + (Random/1000.0)* 2) * Fvar(28) + 0.5), 0
animtype = Heavy
guardflag = M
hitflag = MAF
priority = 5, Hit
pausetime = 12, 13
sparkno = 1
guard.sparkno = 40
sparkxy = -5, -40
hitsound = 5, 1
guardsound = 6, 0
ground.type = High
ground.hittime = 15
ground.slidetime = 15
ground.velocity = -3.28715, 0.00000
air.velocity = -1.79407, -3.00000
air.hittime = 30
air.type = High
air.juggle = 15
getpower = 50, 75
givepower = 50, 75

[State 220, HitDef]
type = HitDef
trigger1 = AnimElem = 3, 1
trigger1 = Var(47) < 8
attr = S, NA
damage = Floor((8 + (Random/1000.0)* 2) * Fvar(28) + 0.5), 0
animtype = Heavy
guardflag = M
hitflag = M
priority = 5, Hit
pausetime = 12, 13
sparkno = 1
guard.sparkno = 40
sparkxy = -5, -40
hitsound = 5, 1
guardsound = 6, 0
ground.type = High
ground.hittime = 15
ground.slidetime = 15
ground.velocity = -3.28715, 0.00000
air.velocity = -1.79407, -3.00000
air.hittime = 30
air.type = High
air.juggle = 15
getpower = 50, 75
givepower = 50, 75

[State 220, Juggle]
Type = VarAdd
trigger1 = NumTarget > 0
trigger1 = MoveHit
trigger1 = Target, StateType = A
v = 47
value = -8
persistent = 0
ignorehitpause = 1

[State 215, DamageDampner]
Type = VarAdd
trigger1 = NumTarget > 0
trigger1 = MoveHit
v = 51
value = 1
ignorehitpause = 1
persistent = 0

[State 220, PlaySnd]
type = PlaySnd
trigger1 = Time = 1
trigger1 = Random > 499
value = 210, 0
channel = 0

[State 220, HitDef]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1

;---------------------------------------------------------------------------
; Near Stand Strong Punch
[Statedef 225]
type    = S
movetype= A
physics = S
velset = 0,0
ctrl = 0
anim = 225
poweradd = 0

[State 225, Chain Flag]
Type = VarSet
trigger1 = time = 8
var(55) = 59284

[State 225, Chain Flag]
Type = VarSet
trigger1 = time = 0
trigger2 = time = 18
var(55) = 0

[State 225, MoveType]
Type = VarSet
trigger1 = 1
var(54) = 1

[State 225, HitDef]
type = HitDef
triggerall = Var(47) >= 8
trigger1 = AnimElem = 3,1
attr = S, NA
damage = Floor((6 + (Random/1000.0)) * Fvar(28) + 0.5), 0
animtype = Heavy
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = 12, 12
sparkno = 1
guard.sparkno = 40
sparkxy = -5, -55
hitsound = 5, 1
guardsound = 6, 0
ground.type = High
ground.hittime = 15
ground.slidetime = 15
ground.velocity = -2.95843, 0.00000
air.velocity = -1.51467, -3.00000
air.hittime = 30
air.type = High
air.juggle = 15
getpower = 50, 75
givepower = 50, 75

[State 225, HitDef]
type = HitDef
triggerall = Var(47) < 8
trigger1 = AnimElem = 3,1
attr = S, NA
damage = Floor((6 + (Random/1000.0)) * Fvar(28) + 0.5), 0
animtype = Heavy
guardflag = M
hitflag = M
priority = 4, Hit
pausetime = 12, 12
sparkno = 1
guard.sparkno = 40
sparkxy = -5, -55
hitsound = 5, 1
guardsound = 6, 0
ground.type = High
ground.hittime = 15
ground.slidetime = 15
ground.velocity = -2.95843, 0.00000
air.velocity = -1.51467, -3.00000
air.hittime = 30
air.type = High
air.juggle = 15
getpower = 50, 75
givepower = 50, 75

[State 225, Juggle]
Type = VarAdd
trigger1 = NumTarget > 0
trigger1 = MoveHit = 1
trigger1 = Target, StateNo = 5020
v = 47
value = -8
ignorehitpause = 1
persistent = 0

[State 225, DamageDampner]
Type = VarAdd
trigger1 = NumTarget > 0
trigger1 = MoveHit
v = 51
value = 1
ignorehitpause = 1
persistent = 0

[State 225, PlaySnd]
type = PlaySnd
trigger1 = Time = 1
trigger1 = Random > 499
value = 210, 0
channel = 0

[State 225, ChangeState]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1

;---------------------------------------------------------------------------
; Stand Strong Kick
[Statedef 230]
type    = S
movetype= A
physics = S
velset = 0,0
ctrl = 0
anim = 231
poweradd = 0

[State 230, Chain Flag]
Type = VarSet
trigger1 = time = 0
trigger2 = animelemtime(4) > 0
var(55) = 0

[State 230, Chain Flag]
Type = VarSet
trigger1 = animelemtime(3) = 2
var(55) = 18304

[State 230, MoveType]
Type = VarSet
trigger1 = 1
var(54) = 1

[State 230, HitDef]
type = HitDef
trigger1 = AnimElem = 3, 1
trigger1 = Var(47) >= 8
attr = S, NA
damage = Floor((9 + (Random/1000.0) * 3) * Fvar(28) + 0.5), 0
animtype = Heavy
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = 12, 13
sparkno = 1
guard.sparkno = 40
sparkxy = -5, -32
hitsound = 5, 1
guardsound = 6, 0
ground.type = High
ground.hittime = 15
ground.slidetime = 15
ground.velocity = -3.78022, 0.00000
air.velocity = -1.91319, -3.00000
air.hittime = 30
air.type = High
air.juggle = 15
getpower = 50, 75
givepower = 50, 75

[State 230, HitDef]
type = HitDef
trigger1 = AnimElem = 3, 1
trigger1 = Var(47) < 8
attr = S, NA
damage = Floor((9 + (Random/1000.0) * 3) * Fvar(28) + 0.5), 0
animtype = Heavy
guardflag = M
hitflag = M
priority = 4, Hit
pausetime = 12, 13
sparkno = 1
guard.sparkno = 40
sparkxy = -5, -32
hitsound = 5, 1
guardsound = 6, 0
ground.type = High
ground.hittime = 15
ground.slidetime = 15
ground.velocity = -3.78022, 0.00000
air.velocity = -1.91319, -3.00000
air.hittime = 30
air.type = High
air.juggle = 15
getpower = 50, 75
givepower = 50, 75

[State 230, Juggle]
Type = VarAdd
trigger1 = NumTarget > 0
trigger1 = MoveHit
trigger1 = Target, StateType = A
v = 47
value = -8
persistent = 0
ignorehitpause = 1

[State 230, DamageDampner]
Type = VarAdd
trigger1 = NumTarget > 0
trigger1 = MoveHit
v = 51
value = 1
ignorehitpause = 1
persistent = 0

[State 230, PlaySnd]
type = PlaySnd
trigger1 = Time = 1
trigger1 = Random > 499
value = 210, 0
channel = 0

[State 230, ChangeState]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1

;---------------------------------------------------------------------------
; Near Stand Strong Kick
[Statedef 235]
type    = S
movetype= A
physics = S
velset = 0,0
ctrl = 0
anim = 235
poweradd = 0

[State 235, Player Width]
Type = Width
trigger1 = 1
value = -7,1

[State 235, Chain Flag]
Type = VarSet
trigger1 = time = 0
var(55) = 0

[State 235, MoveType]
Type = VarSet
trigger1 = 1
var(54) = 1

[State 230, Chain Flag]
Type = VarSet
trigger1 = animelemtime(2) = 1
var(55) = 26496

[State 235, HitDef 1]
type = HitDef
trigger1 = AnimElem = 2,1
trigger1 = Animelemtime(3) < 0
trigger1 = Var(47) >= 8
attr = S, NA
damage = Floor((3 + (Random/1000.0)) * Fvar(28) + 0.5), 0
animtype = Heavy
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = 10, 13
sparkno = 1
guard.sparkno = 40
sparkxy = -5, -60
hitsound = 5, 1
guardsound = 6, 0
ground.type = High
ground.hittime = 15
ground.slidetime = 15
ground.velocity = -0.82179, 0.00000
air.velocity = -0.69852, -3.00000
air.hittime = 30
air.type = High
air.juggle = 15
getpower = 30, 45
givepower = 30, 45

[State 235, HitDef 1]
type = HitDef
trigger1 = AnimElem = 2,1
trigger1 = Animelemtime(3) < 0
trigger1 = Var(47) < 8
attr = S, NA
damage = Floor((3 + (Random/1000.0)) * Fvar(28) + 0.5), 0
animtype = Heavy
guardflag = M
hitflag = M
priority = 4, Hit
pausetime = 10, 13
sparkno = 1
guard.sparkno = 40
sparkxy = -5, -60
hitsound = 5, 1
guardsound = 6, 0
ground.type = High
ground.hittime = 15
ground.slidetime = 15
ground.velocity = -0.82179, 0.00000
air.velocity = -0.69852, -3.00000
air.hittime = 30
air.type = High
air.juggle = 15
getpower = 30, 45
givepower = 30, 45

[State 235, ChangeState]
type = ChangeState
trigger1 = AnimElemtime(3) = 0
value = 236
ctrl = 0

;---------------------------------------------------------------------------
; Near Stand Strong Kick
[Statedef 236]
type    = S
movetype= A
physics = S
velset = 0,0
ctrl = 0
poweradd = 0

[State 235, Player Width]
Type = Width
trigger1 = 1
value = -7,1

[State 235, Chain Flag]
Type = VarSet
trigger1 = 1
var(55) = 0

[State 235, MoveType]
Type = VarSet
trigger1 = 1
var(54) = 1

[State 235, HitDef 2]
type = HitDef
trigger1 = AnimElem = 3,1
trigger1 = Var(47) >= 8
attr = S, NA
damage = Floor((3 + (Random/1000.0)) * Fvar(28) + 0.5), 0
animtype = Heavy
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = 10, 13
sparkno = 1
guard.sparkno = 40
sparkxy = -5, -60
hitsound = 5, 1
guardsound = 6, 0
ground.type = Low
ground.hittime = 15
ground.slidetime = 15
ground.velocity = -2.95843, 0.00000
air.velocity = -1.51467, -3.00000
air.hittime = 30
air.type = High
air.juggle = 15
getpower = 30, 45
givepower = 30, 45

[State 235, HitDef 2]
type = HitDef
trigger1 = AnimElem = 3,1
trigger1 = Var(47) < 8
attr = S, NA
damage = Floor((3 + (Random/1000.0)) * Fvar(28) + 0.5), 0
animtype = Heavy
guardflag = M
hitflag = M
priority = 4, Hit
pausetime = 10, 13
sparkno = 1
guard.sparkno = 40
sparkxy = -5, -60
hitsound = 5, 1
guardsound = 6, 0
ground.type = Low
ground.hittime = 15
ground.slidetime = 15
ground.velocity = -2.95843, 0.00000
air.velocity = -1.51467, -3.00000
air.hittime = 30
air.type = High
air.juggle = 15
getpower = 30, 45
givepower = 30, 45

[State 235, DamageDampner]
Type = VarAdd
trigger1 = NumTarget > 0
trigger1 = MoveHit
v = 51
value = 1
ignorehitpause = 1
persistent = 0

[State 235, Juggle]
Type = VarAdd
trigger1 = NumTarget > 0
trigger1 = MoveHit
trigger1 = Target, StateType = A
v = 47
value = -8
persistent = 0
ignorehitpause = 1

[State 235, PlaySnd]
type = PlaySnd
trigger1 = Time = 1
trigger1 = Random > 499
value = 210, 0
channel = 0

[State 235, ChangeState]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1

;---------------------------------------------------------------------------
; Crouch Light Punch
[Statedef 400]
type    = C
movetype= A
physics = S
velset = 0,0
ctrl = 0
anim = 400
poweradd = 0

[State 400, Chain Flag]
Type = VarSet
trigger1 = time = 6
var(55) = 59295

[State 400, Chain Flag]
Type = VarSet
trigger1 = time = 0
trigger2 = time = 14
var(55) = 0

[State 400, MoveType]
Type = VarSet
trigger1 = 1
var(54) = 1

[State 400, HitDef]
type = HitDef
trigger1 = AnimElem = 2, 1
trigger1 = Var(47) >= 8
attr = C, NA
damage = Floor((3 + (Random/1000.0)) * Fvar(28) + 0.5), 0
animtype = Light
guardflag = M
hitflag = MAF
priority = 3, Hit
pausetime = 10, 10
sparkno = 0
guard.sparkno = 40
sparkxy = 0, -26
hitsound = 5, 0
guardsound = 6, 0
ground.type = Low
ground.hittime = 10
ground.slidetime = 10
ground.velocity = -1.76770, 0.00000
air.velocity = -0.98755, -3.00000
air.hittime = 20
air.type = High
air.juggle = 15
getpower = 30, 45
givepower = 30, 45

[State 400, HitDef]
type = HitDef
trigger1 = AnimElem = 2, 1
trigger1 = Var(47) < 8
attr = C, NA
damage = Floor((3 + (Random/1000.0)) * Fvar(28) + 0.5), 0
animtype = Light
guardflag = M
hitflag = M
priority = 3, Hit
pausetime = 8, 8
sparkno = 0
guard.sparkno = 40
sparkxy = 0, -26
hitsound = 5, 0
guardsound = 6, 0
ground.type = Low
ground.hittime = 10
ground.slidetime = 10
ground.velocity = -1.76770, 0.00000
air.velocity = -0.98755, -3.00000
air.hittime = 20
air.type = High
air.juggle = 15
getpower = 30, 45
givepower = 30, 45

[State 400, Juggle]
Type = VarAdd
trigger1 = NumTarget > 0
trigger1 = MoveHit
trigger1 = Target, StateType = A
v = 47
value = -8
persistent = 0
ignorehitpause = 1

[State 400, DamageDampner]
Type = VarAdd
trigger1 = NumTarget > 0
trigger1 = MoveHit
v = 51
value = 1
ignorehitpause = 1
persistent = 0

[State 400, PlaySnd]
type = PlaySnd
trigger1 = Time = 1
trigger1 = Random > 499
value = 200, 0
channel = 0

[State 400, ChangeState]
type = ChangeState
trigger1 = AnimTime = 0
value = 11
ctrl = 1

;---------------------------------------------------------------------------
; Crouch Light Kick
[Statedef 410]
type    = C
movetype= A
physics = S
velset = 0,0
ctrl = 0
anim = 410
poweradd = 0

[State 410, Chain Flag]
Type = VarSet
trigger1 = time = 5
var(55) = 59295

[State 410, Chain Flag]
Type = VarSet
trigger1 = time = 0
trigger2 = time = 10
var(55) = 0

[State 410, HitDef]
type = HitDef
trigger1 = AnimElem = 2, 1
trigger1 = Var(47) >= 8
attr = C, NA
damage = Floor((2 + (Random/1000.0)) * Fvar(28) + 0.5), 0
animtype = Light
guardflag = L
hitflag = MAF
priority = 5, Hit
pausetime = 6, 6
sparkno = 0
guard.sparkno = 40
sparkxy = 0, 0
hitsound = 5, 0
guardsound = 6, 0
ground.type = Low
ground.hittime = 8
ground.slidetime = 8
ground.velocity = -1.96183, 0.00000
air.velocity = -0.95000, -3.00000
air.hittime = 16
air.type = High
air.juggle = 15
getpower = 30, 45
givepower = 30, 45

[State 410, HitDef]
type = HitDef
trigger1 = AnimElem = 2, 1
trigger1 = Var(47) < 8
attr = C, NA
damage = Floor((2 + (Random/1000.0)) * Fvar(28) + 0.5), 0
animtype = Light
guardflag = L
hitflag = M
priority = 5, Hit
pausetime = 6, 6
sparkno = 0
guard.sparkno = 40
sparkxy = 0, 0
hitsound = 5, 0
guardsound = 6, 0
ground.type = Low
ground.hittime = 8
ground.slidetime = 8
ground.velocity = -1.96183, 0.00000
air.velocity = -0.95000, -3.00000
air.hittime = 16
air.type = High
air.juggle = 15
getpower = 30, 45
givepower = 30, 45

[State 410, Juggle]
Type = VarAdd
trigger1 = NumTarget > 0
trigger1 = MoveHit
trigger1 = Target, StateType = A
v = 47
value = -8
persistent = 0
ignorehitpause = 1

[State 410, DamageDampner]
Type = VarAdd
trigger1 = NumTarget > 0
trigger1 = MoveHit
v = 51
value = 1
ignorehitpause = 1
persistent = 0

[State 410, PlaySnd]
type = PlaySnd
trigger1 = Time = 1
trigger1 = Random > 499
value = 200, 0
channel = 0

[State 410, ChangeState]
type = ChangeState
trigger1 = AnimTime = 0
value = 11
ctrl = 1

;---------------------------------------------------------------------------
; Crouch Strong Punch
[Statedef 420]
type    = C
movetype= A
physics = S
juggle = 8
velset = 0,0
ctrl = 0
anim = 420
poweradd = 0

[State 420, Chain Flag]
Type = VarSet
trigger1 = time = 12
var(55) = 59268

[State 420, Chain Flag]
Type = VarSet
trigger1 = time = 0
trigger2 = time = 22
var(55) = 0

[State 420, MoveType]
Type = VarSet
trigger1 = 1
var(54) = 1

[State 420, HitDef]
type = HitDef
trigger1 = AnimElem = 3, 1
trigger1 = var(47) >= 8
attr = C, NA
damage = Floor((6 + (Random/1000.0)) * Fvar(28) + 0.5), 0
animtype = Heavy
air.animtype = Up
guardflag = M
hitflag = MAF
priority = 3, Hit
pausetime = 12, 12
sparkno = 2
guard.sparkno = 40
sparkxy = 0, -60
hitsound = 5, 1
guardsound = 6, 0
ground.type = High
ground.hittime = 15
ground.slidetime = 15
ground.velocity = -3.28715, 0.00000
air.velocity = -1.79407, -3.00000
air.hittime = 30
air.type = High
air.juggle = 15
getpower = 50, 75
givepower = 50, 75

[State 420, HitDef]
type = HitDef
trigger1 = AnimElem = 3, 1
trigger1 = var(47) < 8
attr = C, NA
damage = Floor((6 + (Random/1000.0)) * Fvar(28) + 0.5), 0
animtype = Heavy
air.animtype = Up
guardflag = M
hitflag = M
priority = 3, Hit
pausetime = 12, 12
sparkno = 2
guard.sparkno = 40
sparkxy = 0, -60
hitsound = 5, 1
guardsound = 6, 0
ground.type = High
ground.hittime = 15
ground.slidetime = 15
ground.velocity = -3.28715, 0.00000
air.velocity = -1.79407, -3.00000
air.hittime = 30
air.type = High
air.juggle = 15
getpower = 50, 75
givepower = 50, 75

[State 420, Juggle]
Type = VarAdd
trigger1 = NumTarget > 0
trigger1 = MoveHit
trigger1 = Target, StateType = A
v = 47
value = -8
persistent = 0
ignorehitpause = 1

[State 420, DamageDampner]
Type = VarAdd
trigger1 = NumTarget > 0
trigger1 = MoveHit
v = 51
value = 1
ignorehitpause = 1
persistent = 0

[State 420, PlaySnd]
type = PlaySnd
trigger1 = Time = 1
trigger1 = Random > 499
value = 210, 0
channel = 0

[State 420, ChangeState]
type = ChangeState
trigger1 = AnimTime = 0
value = 11
ctrl = 1

;---------------------------------------------------------------------------
; Crouch Strong Kick
[Statedef 430]
type    = C
movetype= A
physics = S
juggle = 8
velset = 0,0
ctrl = 0
anim = 430
poweradd = 0

[State 430, Chain Flag]
Type = VarSet
trigger1 = time = 9
var(55) = 32768

[State 420, Chain Flag]
Type = VarSet
trigger1 = time = 0
trigger2 = time = 19
var(55) = 0

[State 430, MoveType]
Type = VarSet
trigger1 = 1
var(54) = 1

[State 430, HitDef]
type = HitDef
trigger1 = AnimElem = 2, 1
trigger1 = Var(47) >= 8
attr = C, NA
damage = Floor((8 + (Random/1000.0)* 2) * Fvar(28) + 0.5), 0
animtype = Back
guardflag = L
hitflag = MAF
priority = 3, Hit
pausetime = 10, 11
sparkno = 1
guard.sparkno = 40
sparkxy = -5, 0
hitsound = 5, 1
guardsound = 6, 0
ground.type = Trip
ground.hittime = 15
ground.slidetime = 15
ground.velocity = -1.29407, -4.00000
guard.velocity = -3.28715
air.velocity = -1.29407, -3.00000
air.hittime = 30
air.type = Trip
air.juggle = 15
getpower = 50, 75
givepower = 50, 75

[State 430, HitDef]
type = HitDef
trigger1 = AnimElem = 2, 1
trigger1 = Var(47) < 8
attr = C, NA
damage = Floor((8 + (Random/1000.0)* 2) * Fvar(28) + 0.5), 0
animtype = Back
guardflag = L
hitflag = M
priority = 3, Hit
pausetime = 10, 11
sparkno = 1
guard.sparkno = 40
sparkxy = -5, 0
hitsound = 5, 1
guardsound = 6, 0
ground.type = Trip
ground.hittime = 15
ground.slidetime = 15
ground.velocity = -1.29407, -4.00000
guard.velocity = -3.28715
air.velocity = -1.29407, -3.00000
air.hittime = 30
air.type = Trip
air.juggle = 15
getpower = 50, 75
givepower = 50, 75

[State 430, Juggle]
Type = VarAdd
trigger1 = MoveHit
v = 47
value = -5
persistent = 0
ignorehitpause = 1

[State 430, DamageDampner]
Type = VarAdd
trigger1 = MoveHit
v = 51
value = 1
ignorehitpause = 1
persistent = 0

[State 430, PlaySnd]
type = PlaySnd
trigger1 = Time = 1
trigger1 = Random > 499
value = 210, 0
channel = 0

[State 430, ChangeState]
type = ChangeState
trigger1 = AnimTime = 0
value = 11
ctrl = 1

;---------------------------------------------------------------------------
; Jump Light Punch
[Statedef 600]
type    = A
movetype= A
physics = A
ctrl = 0
anim = 600
poweradd = 0

[State 600, Chain Flag]
Type = VarSet
trigger1 = time = 0
trigger2 = animelemtime(3) = 2
var(55) = 0

[State 600, Chain Flag]
Type = VarSet
trigger1 = animelemtime(2) = 0
var(55) = 17348

[State 600, MoveType]
Type = VarSet
trigger1 = 1
var(54) = 1

[State 600, HitDef]
type = HitDef
trigger1 = AnimElem = 2, 1
trigger1 = Var(47) >= 0
attr = A, NA
damage = Floor((3 + (Random/1000.0)) * Fvar(28) + 0.5), 0
animtype = Light
guardflag = H
hitflag = MAF
priority = 3, Hit
pausetime = 8, 10
sparkno = 0
guard.sparkno = 40
sparkxy = 0, -40
hitsound = 5, 0
guardsound = 6, 0
ground.type = High
ground.hittime = 12
ground.slidetime = 12
ground.velocity = -2.51467, 0.00000
guard.velocity = -2.95843
air.velocity = -1.51467, -3.00000
air.hittime = 30
air.type = High
getpower = 30, 45
givepower = 50, 75

[State 600, HitDef]
type = HitDef
trigger1 = AnimElem = 2, 1
trigger1 = Var(47) < 0
attr = A, NA
damage = Floor((3 + (Random/1000.0)) * Fvar(28) + 0.5), 0
animtype = Light
guardflag = H
hitflag = MA
priority = 3, Hit
pausetime = 8, 10
sparkno = 0
guard.sparkno = 40
sparkxy = 0, -40
hitsound = 5, 0
guardsound = 6, 0
ground.type = High
ground.hittime = 12
ground.slidetime = 12
ground.velocity = -2.51467, 0.00000
guard.velocity = -2.95843
air.velocity = -1.51467, -2.00000
air.hittime = 30
air.type = High
getpower = 30, 45
givepower = 50, 75

[State 600, Juggle]
Type = VarAdd
trigger1 = NumTarget > 0
trigger1 = MoveHit
trigger1 = Target, StateType = A
v = 47
value = -4
persistent = 0
ignorehitpause = 1

[State 600, DamageDampner]
Type = VarAdd
trigger1 = NumTarget > 0
trigger1 = MoveHit
v = 51
value = 1
ignorehitpause = 1
persistent = 0

[State 600, PlaySnd]
type = PlaySnd
trigger1 = Time = 1
trigger1 = Random > 499
value = 200, 0
channel = 0

;---------------------------------------------------------------------------
; Jump Light Kick
[Statedef 610]
type    = A
movetype= A
physics = A
ctrl = 0
anim = 610 + (5*(vel x= 0))
poweradd = 0

[State 610, MoveType]
Type = VarSet
trigger1 = 1
var(54) = 1

[State 610, Chain Flag]
Type = VarSet
trigger1 = time = 0
trigger2 = animelemtime(3) = 2
var(55) = 0

[State 610, Chain Flag]
Type = VarSet
trigger1 = animelemtime(2) = 0
var(55) = 17348

[State 610, HitDef]
type = HitDef
trigger1 = AnimElem = 2, 1
trigger1 = Var(47) >= 0
attr = A, NA
damage = Floor((3 + (Random/1000.0)) * Fvar(28) + 0.5), 0
animtype = Light
guardflag = H
hitflag = MAF
priority = 2, Hit
pausetime = 8, 10
sparkno = 0
guard.sparkno = 40
sparkxy = 0, -40
hitsound = 5, 0
guardsound = 6, 0
ground.type = High
ground.hittime = 12
ground.slidetime = 12
ground.velocity = -2.09556, 0.00000
guard.velocity = -2.46536
air.velocity = -1.09556, -2.50000
air.hittime = 30
air.type = High
air.juggle = 15
getpower = 30, 45
givepower = 50, 75
persistent = 0
ignorehitpause = 1

[State 610, HitDef]
type = HitDef
trigger1 = AnimElem = 2, 1
trigger1 = Var(47) < 0
attr = A, NA
damage = Floor((3 + (Random/1000.0)) * Fvar(28) + 0.5), 0
animtype = Light
guardflag = H
hitflag = MA
priority = 2, Hit
pausetime = 8, 10
sparkno = 0
guard.sparkno = 40
sparkxy = 0, -40
hitsound = 5, 0
guardsound = 6, 0
ground.type = High
ground.hittime = 12
ground.slidetime = 12
ground.velocity = -2.09556, 0.00000
guard.velocity = -2.46536
air.velocity = -1.09556, -2.50000
air.hittime = 30
air.type = High
air.juggle = 15
getpower = 30, 45
givepower = 30, 45
persistent = 0
ignorehitpause = 1

[State 610, Juggle]
Type = VarAdd
trigger1 = NumTarget > 0
trigger1 = MoveHit
trigger1 = Target, StateType = A
v = 47
value = -4
persistent = 0
ignorehitpause = 1

[State 610, DamageDampner]
Type = VarAdd
trigger1 = NumTarget > 0
trigger1 = MoveHit
v = 51
value = 1
ignorehitpause = 1
persistent = 0

[State 610, PlaySnd]
type = PlaySnd
trigger1 = Time = 1
trigger1 = Random > 499
value = 200, 0
channel = 0

;---------------------------------------------------------------------------
; Jump Strong Punch
[Statedef 620]
type    = A
movetype= A
physics = A
ctrl = 0
anim = 620
poweradd = 0

[State 620, Chain Flag]
Type = VarSet
trigger1 = animelemtime(3) = 1
var(55) = 17284

[State 620, Chain Flag]
Type = VarSet
trigger1 = time = 0
trigger2 = animelemtime(4) = 2
var(55) = 0

[State 620, MoveType]
Type = VarSet
trigger1 = 1
var(54) = 1

[State 620, HitDef]
type = HitDef
trigger1 = AnimElem = 2
trigger1 = var(47) >= 0
attr = S, NA
damage = Floor((7 + (Random/1000.0)* 2) * Fvar(28) + 0.5), 0
animtype = Hard
guardflag = H
hitflag = MAF
priority = 4, Hit
pausetime = 10, 12
sparkno = 1
guard.sparkno = 40
sparkxy = 0, -40
hitsound = 5, 1
guardsound = 6, 0
ground.type = High
ground.hittime = 14
ground.slidetime = 14
ground.velocity = -2.79407, 0.00000
guard.velocity = -3.28715
air.velocity = -1.79407, -4.00000
air.hittime = 30
air.type = High
air.juggle = 15
getpower = 50, 75
givepower = 50, 75

[State 620, HitDef]
type = HitDef
trigger1 = AnimElem = 2
trigger1 = var(47) < 0
attr = S, NA
damage = Floor((7 + (Random/1000.0)* 2) * Fvar(28) + 0.5), 0
animtype = Hard
guardflag = H
hitflag = MA
priority = 4, Hit
pausetime = 10, 12
sparkno = 1
guard.sparkno = 40
sparkxy = 0, -40
hitsound = 5, 1
guardsound = 6, 0
ground.type = High
ground.hittime = 14
ground.slidetime = 14
ground.velocity = -2.79407, 0.00000
guard.velocity = -3.28715
air.velocity = -1.79407, -4.00000
air.hittime = 30
air.type = High
air.juggle = 15
getpower = 50, 75
givepower = 50, 75

[State 620, Juggle]
Type = VarAdd
trigger1 = NumTarget > 0
trigger1 = MoveHit
trigger1 = Target, StateType = A
v = 47
value = -4
persistent = 0
ignorehitpause = 1

[State 620, DamageDampner]
Type = VarAdd
trigger1 = NumTarget > 0
trigger1 = MoveHit
v = 51
value = 1
ignorehitpause = 1
persistent = 0

[State 620, PlaySnd]
type = PlaySnd
trigger1 = Time = 1
trigger1 = Random > 499
value = 210, 0
channel = 0

;---------------------------------------------------------------------------
; Jump Strong Kick
[Statedef 630]
type    = A
movetype= A
physics = A
ctrl = 0
anim = 630 + 5 * (vel x = 0)
poweradd = 0

[State 620, Chain Flag]
Type = VarSet
trigger1 = animelemtime(2) = 1
var(55) = 17284

[State 620, Chain Flag]
Type = VarSet
trigger1 = time = 0
trigger2 = animelemtime(3) = 4
var(55) = 0

[State 630, MoveType]
Type = VarSet
trigger1 = 1
var(54) = 1

[State 630, HitDef]
type = HitDef
trigger1 = AnimElem = 2
trigger1 = Var(47) >= 0
attr = S, NA
damage = Floor((9 + (Random/1000.0)* 2) * Fvar(28) + 0.5), 0
animtype = Hard
guardflag = H
hitflag = MAF
priority = 4, Hit
pausetime = 10, 12
sparkno = 1
guard.sparkno = 40
sparkxy = -5, -37
hitsound = 5, 1
guardsound = 6, 0
ground.type = High
ground.hittime = 14
ground.slidetime = 14
ground.velocity = -3.07348, 0.00000
guard.velocity = -3.61586
air.velocity = -2.07348, -4.00000
air.hittime = 30
air.type = High
air.juggle = 15
hitonce = 1
getpower = 50, 75
givepower = 50, 75

[State 630, HitDef]
type = HitDef
trigger1 = AnimElem = 2
trigger1 = Var(47) < 0
attr = S, NA
damage = Floor((9 + (Random/1000.0)* 2) * Fvar(28) + 0.5), 0
animtype = Hard
guardflag = H
hitflag = MA
priority = 4, Hit
pausetime = 10, 12
sparkno = 1
guard.sparkno = 40
sparkxy = -5, -37
hitsound = 5, 1
guardsound = 6, 0
ground.type = High
ground.hittime = 14
ground.slidetime = 14
ground.velocity = -3.07348, 0.00000
guard.velocity = -3.61586
air.velocity = -2.07348, -4.00000
air.hittime = 30
air.type = High
air.juggle = 15
hitonce = 1
getpower = 50, 75
givepower = 50, 75

[State 630, Juggle]
Type = VarAdd
trigger1 = NumTarget > 0
trigger1 = MoveHit
trigger1 = Target, StateType = A
v = 47
value = -4
persistent = 0
ignorehitpause = 1

[State 630, DamageDampner]
Type = VarAdd
trigger1 = NumTarget > 0
trigger1 = MoveHit
v = 51
value = 1
ignorehitpause = 1
persistent = 0

[State 630, PlaySnd]
type = PlaySnd
trigger1 = Time = 1
trigger1 = Random > 499
value = 210, 0
channel = 0

;---------------------------------------------------------------------------
; Throw Start
[StateDef 800]
type    = S
movetype= A
physics = S
juggle = 8
velset = 0,0
ctrl = 0
anim = 800
poweradd = 0
sprpriority = 2

[State 800, ChangeState]
Type = NotHitBy
trigger1 = MoveHit
value = SCA
ignorehitpause = 1

[State 800, HitDef]
Type = HitDef
trigger1 = animelem = 4
trigger1 = enemy, stateno != [130,160]
trigger1 = p2bodydist x = [-5, 20]
attr = S, NT
guardflag = 
hitflag = M
guard.dist = -1
priority = 1, Miss
sparkno = S4000
guard.sparkno = S4000
sparkxy = -5, -41
sprpriority = 2
hitonce = 1
p2facing = 1
p2stateno = 802
p1stateno = 801
fall = 1
;hitsound = 5,0

[State 800, ChangeState]
Type = ChangeState
trigger1 = MoveHit
value = 801

[State 800, ChangeState]
Type = ChangeState
trigger1 = animtime = 0
value = 830

;---------------------------------------------------------------------------
; Bite, bite, bite! :D
[StateDef 801]
type    = S
movetype= A
physics = N
ctrl = 0
anim = 850
poweradd = 0
velset = 0,0
sprpriority = 3

[State 801, TargetState]
Type = TargetState
trigger1 = time = 0
value = 802

[State 801, TargetState]
Type = VarSet
trigger1 = time = 0
var(43) = 0

[State 802, Sprpriority]
Type = SprPriority
trigger1 = 1
value = 3

[State 810, PosAdd]
Type = Width
trigger1 = 1
edge = 25,25

[State 801, No Chain Flag]
Type = VarSet
trigger1 = time = 0
var(55) = 0

[State 801, PlayerPush]
Type = PlayerPush
trigger1 = 1
value = 0

[State 801, PlaySnd]
Type = PlaySnd
trigger1 = animelem = 1
trigger1 = random < 500
value = 200, 0
channel = 0

[State 801, Turn]
Type = Turn
trigger1 = time = 0
trigger1 = var(50) = 2

[State 801, TargetFacing]
Type = TargetFacing
trigger1 = time = 0
trigger1 = facing = target, facing
trigger1 = var(50) = 2
value = -1

[State 801, TargetBind]
Type = TargetBind
trigger1 = var(43) >= 0
pos = 18, 0
ignorehitpause = 1

[State 1410, Damn, That Hurts]
Type = TargetLifeAdd
trigger1 = animelem = 3
value = -Floor((2 + (Random/1000.0)) * Fvar(28) + 0.5)

[State 1410, Damn, That Hurts]
Type = PlaySnd
trigger1 = animelem = 3
value = 200,0
channel = 0

[State 1410, Explod 1]
Type = Explod
trigger1 = animelem = 3
anim = F2
pos = 26, -35
sprpriority = 3

[State 1410, Explod 1]
Type = HitAdd
trigger1 = animelem = 3
value = 1

[State 1212, PlaySnd]
Type = PlaySnd
trigger1 = animelem = 3
value = F5,0
channel = 2

[State 801, Mash]
Type = varadd
trigger1 = (command = "x") 
v = 43
value = 1

[State 801, Mash]
Type = varadd
trigger1 = (command = "y")
v = 43
value = 1

[State 801, Mash]
Type = varadd
trigger1 = (command = "Shoulder Slam")
v = 43
value = 1

[State 801, Mash]
Type = VarSet
trigger1 = var(43) > 6
var(43) = 6

[State 3125, DamageDampner]
Type = VarAdd
trigger1 = animelemtime(3) = 0
v = 51
value = 1
ignorehitpause = 1

[State 801, ChangeState]
Type = ChangeAnim
trigger1 = animtime = 0
trigger1 = time < 144
value = 850 + (var(43) / 2) + (var(43) := 0)
ctrl = 1

[State 801, ChangeState]
Type = ChangeState
trigger1 = animtime = 0
trigger1 = time >= 144
value = 805
ctrl = 1

;---------------------------------------------------------------------------
; Bite, bite, bite! :D
[StateDef 805]
type    = S
movetype= A
physics = N
ctrl = 0
anim = 855
poweradd = 0
velset = 0,0
sprpriority = 3

[State 801, TargetState]
Type = TargetState
trigger1 = time = 0
value = 803

[State 801, TargetBind]
Type = TargetBind
trigger1 = animelemtime(2) < 0
pos = 18, 0
ignorehitpause = 1

[State 1410, Damn, That Hurts]
Type = PlaySnd
trigger1 = animelem = 2
value = 200,0
channel = 0

[State 1000, Chain Flag]
Type = VarSet
trigger1 = animelemtime(2) > 1
var(55) = 61312

[State 1000, Chain Flag]
Type = VarSet
trigger1 = time = 0
trigger2 = animelemtime(3) > 0
var(55) = 0

[State 1100, HitDef]
type = HitDef
triggerall = (Var(47) >= 8)
trigger1 = animelemtime(2) = 0
attr = S, SA
damage = Floor((2 + (Random/1000.0)) * fvar(28) + 0.5), Floor(fvar(28) + 0.5)
animtype = Heavy
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = 10, 10
guard.pausetime = 10,10
sparkno = 2
guard.sparkno = 0
id = 1500
nochainid = 1500
sparkxy = -5, -62
hitsound = 5, 2
guardsound = 6, 0
ground.type = Low
ground.hittime = 18
ground.slidetime = 18
ground.velocity = -0.45282, -7.7
guard.velocity = -3.12097
air.velocity = -0.45282, -7.50000
air.hittime = 40
air.type = High
getpower = 40, 60
givepower = 40, 60
fall = 1
air.fall = 1
fall.recover = 0
ground.cornerpush.veloff = 0

[State 1100, HitDef]
type = HitDef
triggerall = (Var(47) < 8)
trigger1 = animelemtime(2) = 0
attr = S, SA
damage = Floor((2 + (Random/1000.0)) * fvar(28) + 0.5), Floor(fvar(28) + 0.5)
animtype = Heavy
guardflag = M
hitflag = MA
priority = 4, Hit
pausetime = 10, 10
guard.pausetime = 10,10
sparkno = 2
guard.sparkno = 0
id = 1500
nochainid = 1500
sparkxy = -5, -62
hitsound = 5, 2
guardsound = 6, 0
ground.type = Low
ground.hittime = 18
ground.slidetime = 18
ground.velocity = -0.45282, -7.7
guard.velocity = -3.12097
air.velocity = -0.45282, -7.50000
air.hittime = 40
air.type = High
getpower = 40, 60
givepower = 40, 60
fall = 1
fall.recover = 0
air.fall = 1
ground.cornerpush.veloff = 0

[State 1500, Juggle]
Type = VarAdd
triggerall = NumTarget > 0
trigger1 = Target, stateno = 5020
trigger1 = Target, Time = 0
v = 47
value = -4
ignorehitpause = 1

[State 1500, DamageDampner]
Type = VarAdd
trigger1 = NumTarget > 0
trigger1 = MoveHit
v = 51
value = 1
ignorehitpause = 1
persistent = 0

[State 801, ChangeState]
Type = ChangeState
trigger1 = animtime = 0
value = 0
ctrl = 1

;---------------------------------------------------------------------------
; Being bitten
[StateDef 802]
type    = S
movetype= H
physics = N
ctrl = 0
poweradd = 0
sprpriority = 1

[State 802, ChangeAnim2]
Type = ChangeAnim2
trigger1 = time = 0
value = 860

[State 802, Sprpriority]
Type = SprPriority
trigger1 = 1
value = 0

[State 811, VelSet]
Type = VelSet
trigger1 = !gethitvar(isbound)
x = -3
y = -5.5

[State 811, 6]
Type = ChangeState
trigger1 = !gethitvar(isbound)
value = 822

;---------------------------------------------------------------------------
; Being bitten
[StateDef 803]
type    = S
movetype= H
physics = N
ctrl = 0
poweradd = 0
sprpriority = 1

[State 802, ChangeAnim2]
Type = ChangeAnim
trigger1 = time = 0
value = 5000

[State 802, Sprpriority]
Type = SprPriority
trigger1 = 1
value = 0

[State 811, 6]
Type = ChangeState
trigger1 = animtime = 0
value = 0

;---------------------------------------------------------------------------
; Shoulder Slam
[StateDef 801]
type    = S
movetype= A
physics = N
ctrl = 0
anim = 801
poweradd = 0
velset = 0,0

[State 801, TargetState]
Type = TargetState
trigger1 = time = 0
value = 802

[State 801, No Chain Flag]
Type = VarSet
trigger1 = 1
var(55) = 0

[State 801, PlayerPush]
Type = PlayerPush
trigger1 = animelemtime(4) < 0
value = 0

[State 810, PosAdd]
Type = Width
trigger1 = 1
edge = 25,25

[State 801, PlaySnd]
Type = PlaySnd
trigger1 = animelem = 4
trigger1 = random < 500
value = 220, 0
channel = 0

[State 801, Turn]
Type = Turn
trigger1 = animelemtime(2) = 0
trigger1 = var(50) = 2

[State 801, TargetFacing]
Type = TargetFacing
trigger1 = facing = target, facing
trigger1 = animelemtime(2) = 0
trigger1 = var(50) = 2
value = -1

[State 801, TargetBind]
Type = TargetBind
trigger1 = animelemtime(2) < 0
pos = 15, 0

[State 801, TargetBind 2]
Type = TargetBind
trigger1 = animelemtime(3) < 0
trigger1 = animelemtime(2) >= 0
pos = -18, -7

[State 801, TargetBind 3]
Type = TargetBind
trigger1 = animelemtime(4) < 0
trigger1 = animelemtime(3) >= 0
pos = 0, -47

[State 801, TargetBind 4]
Type = TargetBind
trigger1 = animelemtime(4) = 0
pos = 36, -47

[State 801, That Hurts]
type = TargetLifeAdd
trigger1 = animelem = 4
value = -Floor((9 + (Random/1000.0)* 3) * Fvar(28) + 0.5)

[State 801, PlaySnd]
type = PlaySnd
trigger1 = Animelem = 1
trigger1 = Random > 499
value = 800, 0
channel = 0

[State 801, ChangeState]
Type = ChangeState
trigger1 = animtime = 0
value = 0
ctrl = 1

;---------------------------------------------------------------------------
; Being Thrown by Shoulder Slam
[StateDef 802]
type    = S
movetype= H
physics = N
ctrl = 0
poweradd = 0
sprpriority = 1

[State 802, ChangeAnim2]
Type = ChangeAnim2
trigger1 = time = 0
value = 802

[State 811, VelSet]
Type = Turn
trigger1 = animelem = 4,0

[State 811, VelSet]
Type = VelSet
trigger1 = animelem = 4,0
x = 1.4
y = -5.8

[State 811, 6]
Type = ChangeState
trigger1 = animtime = 0
trigger2 = animelemtime(4) < 0
trigger2 = !gethitvar(isbound)
trigger3 = animelemtime(4) > 0
trigger3 = pos y >= 0
value = 822

[State 811, Gravity]
Type = Gravity
trigger1 = animelemtime(4) > 0

;---------------------------------------------------------------------------
; Tomoe Nage Start
[StateDef 810]
type    = S
movetype= A
physics = S
juggle = 8
ctrl = 0
velset = 0,0
anim = 800
poweradd = 0
sprpriority = 2

[State 800, ChangeState]
Type = NotHitBy
trigger1 = MoveHit
value = SCA
ignorehitpause = 1

[State 810, HitDef]
Type = HitDef
trigger1 = animelem = 4
trigger1 = enemy, stateno != [130,160]
trigger1 = p2bodydist x = [-5, 20]
attr = S, NT
guardflag = 
hitflag = M
guard.dist = -1
priority = 1, Miss
sparkno = S4000
guard.sparkno = S4000
sparkxy = -5, -41
sprpriority = 2
hitonce = 1
p2facing = 1
p2stateno = 812
p1stateno = 811
fall = 1
;hitsound = 5,0

[State 810, ChangeState]
Type = ChangeState
trigger1 = MoveHit
value = 811

[State 810, ChangeState]
Type = ChangeState
trigger1 = animtime = 0
value = 830

;---------------------------------------------------------------------------
; Tomoe Nage
[StateDef 811]
type    = S
movetype= A
physics = N
ctrl = 0
anim = 810
poweradd = 0
velset = 0,0

[State 801, TargetState]
Type = TargetState
trigger1 = time = 0
value = 812

[State 811, No Chain Flag]
Type = VarSet
trigger1 = 1
var(55) = 0

[State 801, PlaySnd]
Type = PlaySnd
trigger1 = animelem = 4
trigger1 = random < 500
value = 220, 0
channel = 0

[State 811, PlayerPush]
Type = PlayerPush
trigger1 = animelemtime(7) < 0
value = 0

[State 811, Turn]
Type = Turn
trigger1 = animelemtime(2) = 0
trigger1 = var(50) = 2

[State 811, PosAdd]
Type = Width
trigger1 = 1
edge = 30,30

[State 811, TargetFacing]
Type = TargetFacing
trigger1 = facing = target, facing
trigger1 = animelemtime(2) = 0
trigger1 = var(50) = 2
value = -1

[State 811, TargetBind]
Type = TargetBind
trigger1 = animelemtime(2) < 0
pos = 15, 0

[State 811, TargetBind 2]
Type = TargetBind
trigger1 = animelemtime(3) < 0
trigger1 = animelemtime(2) >= 0
trigger2 = animelemtime(7) < 0
trigger2 = animelemtime(6) >= 0
pos = 15, 0

[State 811, VelSet]
Type = VelSet
trigger1 = animelemtime(3) = 0
x = -2

[State 811, VelSet]
Type = VelMul
trigger1 = animelemtime(6) >= 0
x = 0.80

[State 811, TargetBind 3]
Type = TargetBind
trigger1 = animelemtime(4) < 0
trigger1 = animelemtime(3) >= 0
pos = 0, -32

[State 811, TargetBind 4]
Type = TargetBind
trigger1 = animelemtime(5) < 0
trigger1 = animelemtime(4) >= 0
pos = -15, -15

[State 811, TargetBind 4]
Type = TargetBind
trigger1 = animelemtime(6) < 0
trigger1 = animelemtime(5) >= 0
pos = 0, -10

[State 811, TargetBind 4]
Type = TargetBind
trigger1 = animelemtime(7) = 0
pos = -10, -37

[State 811, That Hurts]
type = TargetLifeAdd
trigger1 = animelem = 7
value = -Floor((10 + (Random/1000.0)* 3) * Fvar(28) + 0.5)

[State 811, PlaySnd]
type = PlaySnd
trigger1 = Animelem = 2
trigger1 = Random > 499
value = 800, 0
channel = 0

[State 811, ChangeState]
Type = ChangeState
trigger1 = animtime = 0
value = 0
ctrl = 1


;---------------------------------------------------------------------------
; Being Thrown by Tomoe Nage
[StateDef 812]
type    = S
movetype= H
physics = N
ctrl = 0
poweradd = 0
sprpriority = 1

[State 812, ChangeAnim2]
Type = ChangeAnim2
trigger1 = time = 0
value = 812

[State 812, VelSet]
Type = VelSet
trigger1 = animelem = 7,0
x = 3
y = -5.5

[State 812, 6]
Type = ChangeState
trigger1 = animtime = 0
trigger2 = animelemtime(7) < 0
trigger2 = !gethitvar(isbound)
trigger3 = animelemtime(7) > 0
trigger3 = pos y >= 0
value = 822

[State 812, Gravity]
Type = Gravity
trigger1 = animelemtime(7) > 0


;---------------------------------------------------------------------------
; Aerial Back Tomoe Nage
[StateDef 840]
type    = A
movetype= A
physics = A
ctrl = 0
anim = 830
poweradd = 0
sprpriority = 2

[State 800, ChangeState]
Type = NotHitBy
trigger1 = MoveHit
value = SCA
ignorehitpause = 1

[State 810, HitDef]
Type = HitDef
trigger1 = var(40) != 2
trigger1 = var(47) >= 0
trigger1 = time = 0
;trigger1 = p2dist y = [-30,30]
attr = S, NT
guardflag = 
hitflag = AFD
guard.dist = -1
priority = 2, Miss
sparkno = S4000
guard.sparkno = S4000
sparkxy = -5, -41
sprpriority = 2
hitonce = 1
id = 840
nochainid = 840
p2facing = 1
p2stateno = 845
p1stateno = 841
fall = 1
;hitsound = 5,0

[State 810, HitDef]
Type = HitDef
trigger1 = var(40) != 2
trigger1 = var(47) < 0
trigger1 = time = 0
attr = S, NT
guardflag = 
hitflag = A
guard.dist = -1
priority = 2, Miss
sparkno = S4000
guard.sparkno = S4000
sparkxy = -5, -41
sprpriority = 2
hitonce = 1
id = 840
nochainid = 840
p2facing = 1
p2stateno = 845
p1stateno = 841
fall = 1
;hitsound = 5,0

[State 810, VarSet]
Type = VarSet
trigger1 = time = 0
var(55) = 0

;---------------------------------------------------------------------------
; Tomoe Nage
[StateDef 841]
type    = A
movetype= A
physics = N
ctrl = 0
anim = 831
poweradd = 0
velset = 2, 0

[State 801, TargetState]
Type = TargetState
trigger1 = time = 0
value = 845

[State 843, Turn]
Type = Turn
trigger1 = time = 0

[State 843, PosAdd]
Type = PosAdd
trigger1 = time = 0
y = -10

[State 811, TargetFacing]
Type = TargetFacing
trigger1 = facing = target, facing
value = -1

[State 811, No Chain Flag]
Type = VarSet
trigger1 = 1
var(55) = 0

[State 811, PlayerPush]
Type = PlayerPush
trigger1 = animelemtime(7) < 0
value = 0

[State 811, Turn]
Type = Turn
trigger1 = animelemtime(2) = 0
trigger1 = var(50) = 2

[State 811, PosAdd]
Type = Width
trigger1 = 1
edge = 30,30

[State 811, TargetBind 3]
Type = TargetBind
trigger1 = animelemtime(2) < 0
trigger1 = animelemtime(1) >= 0
pos = 0, -32

[State 811, TargetBind 4]
Type = TargetBind
trigger1 = animelemtime(3) < 0
trigger1 = animelemtime(2) >= 0
pos = -15, -15

[State 811, TargetBind 4]
Type = TargetBind
trigger1 = animelemtime(4) < 0
trigger1 = animelemtime(3) >= 0
pos = 0, -10

[State 811, TargetBind 2]
Type = TargetBind
trigger1 = animelemtime(4) >= 0
pos = 15, 0

[State 831, Gravity]
Type = Gravity
trigger1 = 1

[State 842, PosSet]
Type = PosSet
trigger1 = pos y >= 0
y = 0

[State 811, ChangeState]
Type = ChangeState
trigger1 = pos y >= 0
value = 842
ctrl = 1

;---------------------------------------------------------------------------
; Tomoe Nage
[StateDef 842]
type    = S
movetype= A
physics = N
ctrl = 0
poweradd = 0
velset = -2,0
anim = 831

[State 801, TargetState]
Type = TargetState
trigger1 = time = 0
value = 845

[State 842, PosSet]
Type = PosSet
trigger1 = time = 0
y = 0

[State 811, No Chain Flag]
Type = VarSet
trigger1 = 1
var(55) = 0

[State 811, PlayerPush]
Type = PlayerPush
trigger1 = animelemtime(7) < 0
value = 0

[State 811, PosAdd]
Type = Width
trigger1 = 1
edge = 30,30

[State 811, VelSet]
Type = VelMul
trigger1 = time > 5
x = 0.80

[State 811, TargetBind 3]
Type = TargetBind
trigger1 = animelemtime(2) < 0
trigger1 = animelemtime(1) >= 0
pos = 0, -32

[State 811, TargetBind 4]
Type = TargetBind
trigger1 = animelemtime(3) < 0
trigger1 = animelemtime(2) >= 0
pos = -15, -15

[State 811, TargetBind 4]
Type = TargetBind
trigger1 = animelemtime(4) < 0
trigger1 = animelemtime(3) >= 0
pos = 0, -10

[State 811, TargetBind 2]
Type = TargetBind
trigger1 = animelemtime(4) >= 0
pos = 15, 0

[State 811, ChangeState]
Type = ChangeState
trigger1 = animtime = 0
value = 843
ctrl = 1

;---------------------------------------------------------------------------
; Tomoe Nage
[StateDef 843]
type    = S
movetype= A
physics = N
ctrl = 0
poweradd = 0
velset = 0,0
anim = 835

[State 801, TargetState]
Type = TargetState
trigger1 = time = 0
value = 846

[State 811, TargetBind 4]
Type = TargetBind
trigger1 = time = 0
pos = -10, -37

[State 811, That Hurts]
type = TargetLifeAdd
trigger1 = time = 0
value = -Floor((12 + (Random/1000.0)* 3) * Fvar(28) + 0.5)

[State 811, PlaySnd]
type = PlaySnd
trigger1 = time = 0
trigger1 = Random > 499
value = 220, 0
channel = 0

[State 811, ChangeState]
Type = ChangeState
trigger1 = animtime = 0
value = 0
ctrl = 1

;---------------------------------------------------------------------------
; Being Thrown by Tomoe Nage
[StateDef 845]
type    = S
movetype= H
physics = N
ctrl = 0
poweradd = 0
sprpriority = 1

[State 812, ChangeAnim2]
Type = ChangeAnim2
trigger1 = time = 0
value = 840

[State 812, 6]
Type = ChangeState
trigger1 = animtime = 0
trigger2 = !gethitvar(isbound)
value = 822

;---------------------------------------------------------------------------
; Being Thrown by Tomoe Nage
[StateDef 846]
type    = S
movetype= H
physics = N
ctrl = 0
poweradd = 0
sprpriority = 1

[State 812, ChangeAnim2]
Type = ChangeAnim2
trigger1 = time = 0
value = 845

[State 812, VelSet]
Type = VelSet
trigger1 = animelem = 1,0
x = 3
y = -5.5

[State 812, 6]
Type = ChangeState
trigger1 = animelemtime(1) > 0
trigger1 = pos y >= 0
value = 822

[State 812, Gravity]
Type = Gravity
trigger1 = animelemtime(1) > 0


;---------------------------------------------------------------------------
; Throw_BOUNCE (hit ground)
[Statedef 822]
type    = L
movetype= H
physics = N

[State 822, 1]
type = VelSet
trigger1 = Time = 0
trigger1 = GetHitVar(fall.yvel) = 0
trigger1 = vel x > 1
x = 1

[State 822, EnvShake]
type = FallEnvShake
trigger1 = Time = 0

[State 822, Var] ;Save fall velocity
type = VarSet
trigger1 = Time = 0
sysvar(1) = floor(vel y)

[State 822, 2] ;Hit ground anim (normal)
type = ChangeAnim
trigger1 = time = 0
value = 5100

[State 822, 4]
type = PosSet
trigger1 = Time = 0
y = 0

[State 822, 5]
type = VelSet
trigger1 = Time = 0
y = 0

[State 822, 6] ;Reduce speed
type = VelMul
trigger1 = Time = 0
x = 0.75

[State 822, 7]
type = ChangeState
trigger1 = Time = 0
trigger1 = GetHitVar(fall.yvel) = 0
value = 824 ;Throw_LIEDOWN

[State 822, 8]
type = GameMakeAnim
trigger1 = Time = 1
value = 60 + (sysvar(1) > 5) + (sysvar(1) > 14)
pos = 0, 0
under = sysvar(1) <= 10

[State 822, 9]
type = HitFallDamage
trigger1 = Time = 3

[State 822, 10]
type = PlaySnd
trigger1 = Time = 1
value = F7, (sysvar(1) > 5) + (sysvar(1) > 14)

[State 822, 11]
type = PosFreeze
trigger1 = 1

[State 822, 12]
type = ChangeState
trigger1 = AnimTime = 0
value = 823

[State 822, 13]
type = ForceFeedback
trigger1 = Time = 0
waveform = sinesquare
ampl = 128,-3,-.2,.005
time = 20

;---------------------------------------------------------------------------
; Throw_BOUNCE (bounce into air)
[Statedef 823]
type    = L
movetype= H
physics = N

[State 823, 1] ;Coming hit ground anim (normal)
type = ChangeAnim
trigger1 = time = 0
value = 5160

[State 823, 3]
type = HitFallVel
trigger1 = Time = 0

[State 823, 5] ;Acceleration
type = VelAdd
trigger1 = 1
y = .4

[State 823, 6] ;Hit ground
trigger1 = Vel Y > 0
trigger1 = Pos Y >= 12
type = ChangeState
value = 824

;---------------------------------------------------------------------------
; HIT_LIEDOWN
[Statedef 824]
type    = L
movetype= H
physics = N

[State 824, EnvShake]
type = FallEnvShake
trigger1 = Time = 0

[State 824, 2] ;Hit ground anim (normal)
type = ChangeAnim
trigger1 = time = 0
value = 5170

[State 824, 4]
type = HitFallDamage
trigger1 = Time = 0

[State 824, 5]
type = PosSet
trigger1 = Time = 0
y = 0

[State 824, Var] ;Get fall velocity
type = VarSet
trigger1 = Time = 0
trigger1 = GetHitVar(fall.yvel) != 0
sysvar(1) = floor(vel y)

[State 824, 6]
type = PlaySnd
trigger1 = Time = 0
trigger1 = !SysVar(0)
value = F7, (sysvar(1) > 5) + (sysvar(1) > 14)

[State 824, 7]
type = GameMakeAnim
trigger1 = Time = 0
trigger1 = !SysVar(0)
value = 60 + (sysvar(1) > 5) + (sysvar(1) > 14)
pos = 0, 0
under = sysvar(1) <= 10

[State 824, 8]
type = VelSet
trigger1 = Time = 0
y = 0

[State 824, 10] ;For normal
type = ChangeAnim
persistent = 0
trigger1 = AnimTime = 0
trigger2 = SysVar(0) ;SysVar(0) = 1 avoids hit ground frame
value = 5110

[State 824, 11] ;If just died
type = ChangeState
triggerall = !alive
trigger1 = AnimTime = 0
trigger2 = SysVar(0) ;SysVar(0) = 1 avoids hit ground frame
value = 5150

[State 824, 12]
type = VarSet
trigger1 = SysVar(0)
trigger1 = Time = 0
sysvar(0) = 0

[State 824, 13] ;Friction
type = VelMul
trigger1 = 1
x = 0.85

[State 824, 14]
type = ForceFeedback
trigger1 = alive
trigger1 = Time = 0
time = 8
ampl = 240
waveform = sine

[State 824, 15]
type = ForceFeedback
trigger1 = !alive
trigger1 = Time = 0
ampl = 200, 7, -.467
time = 30
waveform = sine

[State 824, ChangeState]
Type = SelfState
trigger1 = anim = 5110
trigger1 = time > 40
value = 5120

;---------------------------------------------------------------------------
; Throw recover
[StateDef 830]
type    = S
movetype= A
physics = S
juggle = 8
ctrl = 0
anim = 820
poweradd = 0
sprpriority = 2

[State 830, Do Nothing]
Type = VarSet
trigger1 = 1
var(55) = 0

[State 830, ChangeState]
Type = ChangeState
trigger1 = animtime = 0
value = 0
ctrl = 1
