;===========================================================================
;Normal.St

;---------------------------------------------------------------------------
; Lose by Time Over
; CNS difficulty: basic
[Statedef 170]
type = S
ctrl = 0
anim = 170
velset = 0,0

[State 170, 1]
type = NotHitBy
trigger1 = Time >= 0
value = SCA
time = 1

[State 170, MoveType]
Type = VarSet
trigger1 = 1
var(54) = 0
ignorehitpause = 1

;---------------------------------------------------------------------------
; Win state decider
; CNS difficulty: basic
[Statedef 180]
type = S

[State 180, MoveType]
Type = VarSet
trigger1 = 1
var(54) = 0
ignorehitpause = 1

[State 180, 1]
type = ChangeState
trigger1 = Time = 0
value = 181 + (random % 2)

;---------------------------------------------------------------------------
; Win pose 1
[Statedef 181]
type = S
ctrl = 0
anim = 181
velset = 0,0

[State 181, 2]
type = PlaySnd
trigger1 = time = 0
value = 180,0

[State 181, 1]
type = NotHitBy
trigger1 = Time >= 0
value = SCA
time = 1

;---------------------------------------------------------------------------
; Win pose 2
[Statedef 182]
type = S
ctrl = 0
anim = 182
velset = 0,0

[State 181, 2]
type = PlaySnd
trigger1 = time = 0
value = 180,0

[State 181, 1]
type = NotHitBy
trigger1 = Time >= 0
value = SCA
time = 1

;---------------------------------------------------------------------------
; Introduction
[Statedef 191]
type = S
ctrl = 0
anim = 0
velset = 0,0

[State 190, MoveType]
Type = VarSet
trigger1 = 1
var(54) = 0
ignorehitpause = 1

[State 191, Base Damage]
type = VarSet
trigger1 = time = 0
fvar(28) = 5

[State 191, 3]
type = VarSet
trigger1 = RoundState = 0
fvar(1) = 1

[State 190, AI Activate]
type = VarSet ;By Kamek
triggerall = var(59) = 0
trigger1 = IsHomeTeam
trigger1 = TeamSide = 2
var(59) = 1

[State 190, Give Power]
Type = PowerSet
trigger1 = time = 0
value = 1000

[State 191, 1] ;Freeze animation until PreIntro is over
type = ChangeAnim
trigger1 = RoundState = 0
value = 190

[State 195,3]
type = PlaySnd
trigger1 = time = 0
value = 190,0
channel = 0

[State 195,3]
type = PlaySnd
trigger1 = animelemtime(4) = 0
value = 190,1

[State 191, Explod]
Type = Explod
trigger1 = animelemtime(4) = 0
anim = 191
postype = p1
pos = 0,0
vel = -1, -5.2
accel = 0, 0.3
sprpriority = 1
persistent = 0

[State 191, 2] ;Assert this until you want "round 1, fight" to begin
type = AssertSpecial
trigger1 = animtime > 0
flag = Intro

[State 191, ChangeState]
Type = ChangeState
trigger1 = animtime = 0
value = 0

;---------------------------------------------------------------------------
; Taunt
; CNS difficulty: easy
[Statedef 195]
type = S
ctrl = 0
anim = 195
velset = 0,0
movetype = I
physics = S

[State 195, MoveType]
Type = VarSet
trigger1 = 1
var(54) = 0
ignorehitpause = 1

[state 195, Taunting has its costs]
Type = DefenceMulSet
trigger1 = 1
value = ifelse(life >= floor(fvar(32) * 0.85 + 0.5), 1.25, ifelse(life >= floor(fvar(32) * 0.7 + 0.5), 1.15, ifelse(life >= floor(fvar(32) * 0.55 + 0.5), 1.5, 0.95)))

[State 195, Taunt Timer]
Type = VarSet
trigger1 = 1
var(41) = 120

[State 195,3]
type = PlaySnd
trigger1 = time = 0
value = 220,0
channel = 0

[State 195, PowerAdd]
Type = PowerAdd
trigger1 = animtime = 0
value = 200

[State 195, 2]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1

;---------------------------------------------------------------------------
; Stand Light Punch
[Statedef 200]
type    = S
movetype= A
physics = S
velset = 0,0
ctrl = 0
anim = 200

[State 200, Chain Flag]
Type = VarSet
trigger1 = animelemtime(3) = 0
var(55) = 65439
persistent = 0

[State 200, Chain Flag]
Type = VarSet
trigger1 = time = 0
trigger2 = animelemtime(4) = 1
var(55) = 0

[State 200, MoveType]
Type = VarSet
trigger1 = 1
var(54) = 1

[State 200, HitDef]
type = HitDef
trigger1 = AnimElem = 2,1
trigger1 = Var(47) >= 8
attr = S, NA
damage = Floor((5 + (Random/1000.0)) * Fvar(28) + 0.5), 0
animtype = Light
guardflag = M
hitflag = MAF
priority = 3, Hit
pausetime = 8, 8
sparkno = 0
guard.sparkno = 40
sparkxy = -5, -59
hitsound = 5, 0
guardsound = 6, 0
ground.type = High
ground.hittime = 10
ground.slidetime = 10
ground.velocity = -2.62312, 0.00000
air.velocity = -1.22965, -5.00000
air.hittime = 24
air.type = High
air.juggle = 15
getpower = 30, 45
givepower = 30, 45

[State 200, HitDef]
type = HitDef
trigger1 = AnimElem = 2,1
trigger1 = Var(47) < 8
attr = S, NA
damage = Floor((5 + (Random/1000.0)) * Fvar(28) + 0.5), 0
animtype = Light
guardflag = M
hitflag = M
priority = 3, Hit
pausetime = 8, 8
sparkno = 0
guard.sparkno = 40
sparkxy = -5, -59
hitsound = 5, 0
guardsound = 6, 0
ground.type = High
ground.hittime = 10
ground.slidetime = 10
ground.velocity = -2.62312, 0.00000
air.velocity = -1.22965, -5.00000
air.hittime = 24
air.type = High
air.juggle = 15
getpower = 30, 45
givepower = 30, 45

[State 200, Juggle]
Type = VarAdd
trigger1 = NumTarget > 0
trigger1 = MoveHit = 1
trigger1 = Target, StateType = A
v = 47
value = -8
persistent = 0
ignorehitpause = 1

[State 200, DamageDampner]
Type = VarAdd
trigger1 = NumTarget > 0
trigger1 = MoveHit
v = 51
value = 1
ignorehitpause = 1
persistent = 0

[State 200, PlaySnd]
type = PlaySnd
trigger1 = Time = 1
trigger1 = Random > 499
value = 200, 0

[State 200, ChangeState]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1
channel = 0

;---------------------------------------------------------------------------
;Close Stand Light Punch
[Statedef 205]
type    = S
movetype= A
physics = S
velset = 0,0
ctrl = 0
anim = 205

[State 200, Chain Flag]
Type = VarSet
trigger1 = animelemtime(2) = 1
var(55) = 65439
persistent = 0

[State 200, Chain Flag]
Type = VarSet
trigger1 = time = 0
var(55) = 0

[State 200, MoveType]
Type = VarSet
trigger1 = 1
var(54) = 1

[State 200, HitDef]
type = HitDef
trigger1 = AnimElem = 2,1
trigger1 = Var(47) >= 8
attr = S, NA
damage = Floor((3 + (Random/1000.0)) * Fvar(28) + 0.5), 0
animtype = Light
guardflag = M
hitflag = MAF
priority = 3, Hit
pausetime = 8, 8
sparkno = 0
guard.sparkno = 40
sparkxy = -5, -49
hitsound = 5, 0
guardsound = 6, 0
ground.type = High
ground.hittime = 10
ground.slidetime = 10
ground.velocity = -1.62312, 0.00000
air.velocity = -1.22965, -5.00000
air.hittime = 24
air.type = High
air.juggle = 15
getpower = 30, 45
givepower = 30, 45

[State 200, HitDef]
type = HitDef
trigger1 = AnimElem = 2,1
trigger1 = Var(47) < 8
attr = S, NA
damage = Floor((3 + (Random/1000.0)) * Fvar(28) + 0.5), 0
animtype = Light
guardflag = M
hitflag = M
priority = 3, Hit
pausetime = 8, 8
sparkno = 0
guard.sparkno = 40
sparkxy = -5, -49
hitsound = 5, 0
guardsound = 6, 0
ground.type = High
ground.hittime = 10
ground.slidetime = 10
ground.velocity = -1.62312, 0.00000
air.velocity = -1.22965, -5.00000
air.hittime = 24
air.type = High
air.juggle = 15
getpower = 30, 45
givepower = 30, 45

[State 200, Juggle]
Type = VarAdd
trigger1 = NumTarget > 0
trigger1 = MoveHit = 1
trigger1 = Target, StateType = A
v = 47
value = -8
persistent = 0
ignorehitpause = 1

[State 200, DamageDampner]
Type = VarAdd
trigger1 = NumTarget > 0
trigger1 = MoveHit
v = 51
value = 1
ignorehitpause = 1
persistent = 0

[State 200, PlaySnd]
type = PlaySnd
trigger1 = Time = 1
trigger1 = Random > 499
value = 200, 0

[State 200, ChangeState]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1
channel = 0

;---------------------------------------------------------------------------
; Stand Light Kick
[Statedef 210]
type    = S
movetype= A
physics = S
velset = 0,0
ctrl = 0
anim = 210
poweradd = 0

[State 210, MoveType]
Type = VarSet
trigger1 = 1
var(54) = 1

[State 210, Chain Flag]
Type = VarSet
trigger1 = animelemtime(2) = 3
var(55) = 65439

[State 210, Chain Flag]
Type = VarSet
trigger1 = time = 0
trigger2 = animelemtime(3) = 2
var(55) = 0

[State 210, HitDef]
type = HitDef
trigger1 = AnimElem = 2, 1
trigger1 = var(47) >= 8
attr = S, NA
damage = Floor((6 + (Random/1000.0)) * Fvar(28) + 0.5), 0
animtype = Light
guardflag = M
hitflag = MAF
priority = 2, Hit
pausetime = 6, 6
sparkno = 0
guard.sparkno = 40
sparkxy = 0, -38
hitsound = 5, 0
guardsound = 6, 0
ground.type = Low
ground.hittime = 10
ground.slidetime = 10
ground.velocity = -3.27799, 0.00000
air.velocity = -1.42629, -5.00000
air.hittime = 28
air.type = Low
air.juggle = 15
getpower = 30, 45
givepower = 30, 45

[State 210, HitDef]
type = HitDef
trigger1 = AnimElem = 2, 1
trigger1 = var(47) < 8
attr = S, NA
damage = Floor((6 + (Random/1000.0)) * Fvar(28) + 0.5), 0
animtype = Light
guardflag = M
hitflag = M
priority = 2, Hit
pausetime = 6, 6
sparkno = 0
guard.sparkno = 40
sparkxy = 0, -38
hitsound = 5, 0
guardsound = 6, 0
ground.type = Low
ground.hittime = 10
ground.slidetime = 10
ground.velocity = -3.27799, 0.00000
air.velocity = -1.42629, -5.00000
air.hittime = 28
air.type = Low
air.juggle = 15
getpower = 30, 45
givepower = 30, 45

[State 210, Juggle]
Type = VarAdd
trigger1 = NumTarget > 0
trigger1 = MoveHit = 1
trigger1 = Target, StateType = A
v = 47
value = -8
persistent = 0
ignorehitpause = 1

[State 210, DamageDampner]
Type = VarAdd
trigger1 = NumTarget > 0
trigger1 = MoveHit
v = 51
value = 1
ignorehitpause = 1
persistent = 0

[State 210, PlaySnd]
type = PlaySnd
trigger1 = Time = 1
trigger1 = Random > 499
value = 200, 0
channel = 0

[State 210, ChangeState]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1

;---------------------------------------------------------------------------
; Stand Strong Punch
[Statedef 220]
type    = S
movetype= A
physics = S
velset = 0,0
ctrl = 0
anim = 220
poweradd = 0

[State 220, Chain Flag]
Type = VarSet
trigger1 = animelemtime(3) = 0
var(55) = 32644

[State 220, Chain Flag]
Type = VarSet
trigger1 = time = 0
trigger2 = animelemtime(6) = 0
var(55) = 0

[State 220, MoveType]
Type = VarSet
trigger1 = 1
var(54) = 1

[State 220, HitDef]
type = HitDef
trigger1 = AnimElem = 2, 1
trigger1 = Var(47) >= 8
attr = S, NA
damage = Floor((10 + (3 * Random/1000.0)) * Fvar(28) + 0.5), 0
animtype = Heavy
guardflag = M
hitflag = MAF
priority = 5, Hit
pausetime = 12, 13
sparkno = 1
guard.sparkno = 40
sparkxy = -5, -59
hitsound = 5, 1
guardsound = 6, 0
ground.type = low
ground.hittime = 15
ground.slidetime = 15
ground.velocity = -4.25509, 0.00000
air.velocity = -2.04183, -5.50000
air.hittime = 36
air.type = low
air.juggle = 15
getpower = 50, 75
givepower = 50, 75

[State 220, HitDef]
type = HitDef
trigger1 = AnimElem = 2, 1
trigger1 = Var(47) < 8
attr = S, NA
damage = Floor((10 + (3 * Random/1000.0)) * Fvar(28) + 0.5), 0
animtype = Heavy
guardflag = M
hitflag = M
priority = 5, Hit
pausetime = 12, 13
sparkno = 1
guard.sparkno = 40
sparkxy = -5, -59
hitsound = 5, 1
guardsound = 6, 0
ground.type = low
ground.hittime = 15
ground.slidetime = 15
ground.velocity = -4.25509, 0.00000
air.velocity = -2.04183, -5.50000
air.hittime = 36
air.type = low
air.juggle = 15
getpower = 50, 75
givepower = 50, 75

[State 220, Juggle]
Type = VarAdd
trigger1 = NumTarget > 0
trigger1 = MoveHit
trigger1 = Target, StateType = A
v = 47
value = -8
persistent = 0
ignorehitpause = 1

[State 220, DamageDampner]
Type = VarAdd
trigger1 = NumTarget > 0
trigger1 = MoveHit
v = 51
value = 1
ignorehitpause = 1
persistent = 0

[State 220, PlaySnd]
type = PlaySnd
trigger1 = Time = 1
trigger1 = Random > 499
value = 210, 0
channel = 0

[State 220, HitDef]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1

;---------------------------------------------------------------------------
; Stand Strong Kick
[Statedef 230]
type    = S
movetype= A
physics = S
velset = 0,0
ctrl = 0
anim = 230
poweradd = 0

[State 230, Chain Flag]
Type = VarSet
trigger1 = time = 0
var(55) = 0

[State 230, MoveType]
Type = VarSet
trigger1 = 1
var(54) = 1

[State 230, HitDef]
type = HitDef
triggerall = Var(47) >= 8
trigger1 = AnimElem = 2, 1
trigger2 = AnimElem = 3, 1
attr = S, NA
damage = Floor((9 + (Random/1000.0)* 2) * Fvar(28) + 0.5), 0
animtype = Heavy
guardflag = M
hitflag = MAF
priority = 7, Hit
pausetime = 12, 13
sparkno = 1
guard.sparkno = 40
sparkxy = -5, -64
hitsound = 5, 1
guardsound = 6, 0
ground.type = low
ground.hittime = 15
ground.slidetime = 15
ground.velocity = -4.75509, 0.00000
air.velocity = -2.04183, -5.00000
air.hittime = 36
air.type = low
air.juggle = 15
getpower = 60, 90
givepower = 60, 90

[State 230, HitDef]
type = HitDef
triggerall = Var(47) < 8
trigger1 = AnimElem = 2, 1
trigger2 = AnimElem = 3, 1
attr = S, NA
damage = Floor((9 + (Random/1000.0)* 2) * Fvar(28) + 0.5), 0
animtype = Heavy
guardflag = M
hitflag = M
priority = 7, Hit
pausetime = 12, 13
sparkno = 1
guard.sparkno = 40
sparkxy = -5, -64
hitsound = 5, 1
guardsound = 6, 0
ground.type = low
ground.hittime = 15
ground.slidetime = 15
ground.velocity = -4.75509, 0.00000
air.velocity = -2.04183, -5.00000
air.hittime = 36
air.type = low
air.juggle = 15
getpower = 60, 90
givepower = 60, 90

[State 230, Juggle]
Type = VarAdd
trigger1 = NumTarget > 0
trigger1 = MoveHit
trigger1 = Target, StateType = A
v = 47
value = -8
persistent = 0
ignorehitpause = 1

[State 230, DamageDampner]
Type = VarAdd
trigger1 = NumTarget > 0
trigger1 = MoveHit
v = 51
value = 1
ignorehitpause = 1
persistent = 0

[State 230, PlaySnd]
type = PlaySnd
trigger1 = Time = 1
trigger1 = Random > 499
value = 210, 0
channel = 0

[State 230, ChangeState]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1

;---------------------------------------------------------------------------
; Crouch Light Punch
[Statedef 400]
type    = C
movetype= A
physics = S
velset = 0,0
ctrl = 0
anim = 400
poweradd = 0

[State 400, Chain Flag]
Type = VarSet
trigger1 = animelemtime(2) = 1
var(55) = 65435

[State 400, Chain Flag]
Type = VarSet
trigger1 = time = 0
trigger2 = animelemtime(3) = 0
var(55) = 0

[State 400, MoveType]
Type = VarSet
trigger1 = 1
var(54) = 1

[State 400, HitDef]
type = HitDef
trigger1 = AnimElem = 2, 1
trigger1 = Var(47) >= 8
attr = C, NA
damage = Floor((5 + (Random/1000.0)) * Fvar(28) + 0.5), 0
animtype = Light
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = 10, 10
sparkno = 0
guard.sparkno = 40
sparkxy = 0, -33
hitsound = 5, 0
guardsound = 6, 0
ground.type = Low
ground.hittime = 10
ground.slidetime = 10
ground.velocity = -2.21478, 0.00000
air.velocity = -1.22257, -4.00000
air.hittime = 20
air.type = Low
air.juggle = 15
getpower = 30, 45
givepower = 30, 45

[State 400, HitDef]
type = HitDef
trigger1 = AnimElem = 2, 1
trigger1 = Var(47) < 8
attr = C, NA
damage = Floor((5 + (Random/1000.0)) * Fvar(28) + 0.5), 0
animtype = Light
guardflag = M
hitflag = M
priority = 4, Hit
pausetime = 10, 10
sparkno = 0
guard.sparkno = 40
sparkxy = 0, -33
hitsound = 5, 0
guardsound = 6, 0
ground.type = Low
ground.hittime = 10
ground.slidetime = 10
ground.velocity = -2.21478, 0.00000
air.velocity = -1.22257, -4.00000
air.hittime = 20
air.type = Low
air.juggle = 15
getpower = 30, 45
givepower = 30, 45

[State 400, Juggle]
Type = VarAdd
trigger1 = NumTarget > 0
trigger1 = MoveHit
trigger1 = Target, StateType = A
v = 47
value = -8
persistent = 0
ignorehitpause = 1

[State 400, DamageDampner]
Type = VarAdd
trigger1 = NumTarget > 0
trigger1 = MoveHit
v = 51
value = 1
ignorehitpause = 1
persistent = 0

[State 400, PlaySnd]
type = PlaySnd
trigger1 = Time = 1
trigger1 = Random > 499
value = 200, 0
channel = 0

[State 400, ChangeState]
type = ChangeState
trigger1 = AnimTime = 0
value = 11
ctrl = 1

;---------------------------------------------------------------------------
; Crouch Light Kick
[Statedef 410]
type    = C
movetype= A
physics = S
velset = 0,0
ctrl = 0
anim = 410
poweradd = 0

[State 410, Chain Flag]
Type = VarSet
trigger1 = animelemtime(2) = 1
var(55) = 65426

[State 410, Chain Flag]
Type = VarSet
trigger1 = time = 0
trigger2 = animelemtime(3) = 0
var(55) = 0

[State 410, HitDef]
type = HitDef
trigger1 = AnimElem = 2, 1
trigger1 = Var(47) >= 8
attr = C, NA
damage = Floor((6 + 2* (Random/1000.0)) * Fvar(28) + 0.5), 0
animtype = Light
guardflag = L
hitflag = MAF
priority = 2, Hit
pausetime = 10, 10
sparkno = 0
guard.sparkno = 40
sparkxy = 0, -5
hitsound = 5, 0
guardsound = 6, 0
ground.type = Low
ground.hittime = 10
ground.slidetime = 10
ground.velocity = -3.61478, 0.00000
air.velocity = -1.92257, -4.00000
air.hittime = 20
air.type = High
air.juggle = 15
getpower = 30, 45
givepower = 30, 45

[State 410, HitDef]
type = HitDef
trigger1 = AnimElem = 2, 1
trigger1 = Var(47) < 8
attr = C, NA
damage = Floor((6 + 2* (Random/1000.0)) * Fvar(28) + 0.5), 0
animtype = Light
guardflag = L
hitflag = M
priority = 2, Hit
pausetime = 10, 10
sparkno = 0
guard.sparkno = 40
sparkxy = 0, -5
hitsound = 5, 0
guardsound = 6, 0
ground.type = Low
ground.hittime = 10
ground.slidetime = 10
ground.velocity = -3.61478, 0.00000
air.velocity = -1.92257, -4.00000
air.hittime = 20
air.type = High
air.juggle = 15
getpower = 30, 45
givepower = 30, 45

[State 410, Juggle]
Type = VarAdd
trigger1 = NumTarget > 0
trigger1 = MoveHit
trigger1 = Target, StateType = A
v = 47
value = -8
persistent = 0
ignorehitpause = 1

[State 410, DamageDampner]
Type = VarAdd
trigger1 = NumTarget > 0
trigger1 = MoveHit
v = 51
value = 1
ignorehitpause = 1
persistent = 0

[State 410, PlaySnd]
type = PlaySnd
trigger1 = Time = 1
trigger1 = Random > 499
value = 200, 0
channel = 0

[State 410, ChangeState]
type = ChangeState
trigger1 = AnimTime = 0
value = 11
ctrl = 1

;---------------------------------------------------------------------------
; Crouch Strong Punch
[Statedef 420]
type    = C
movetype= A
physics = S
juggle = 8
velset = 0,0
ctrl = 0
anim = 420
poweradd = 0

[State 420, Chain Flag]
Type = VarSet
trigger1 = animelemtime(2) = 1
var(55) = 65408

[State 420, Chain Flag]
Type = VarSet
trigger1 = time = 0
trigger2 = animelemtime(3) = 0
var(55) = 0

[State 420, MoveType]
Type = VarSet
trigger1 = 1
var(54) = 1

[State 420, HitDef]
type = HitDef
trigger1 = AnimElem = 2, 1
trigger1 = var(47) >= 0
attr = C, NA
damage = Floor((11 + (Random/1000.0)* 5) * Fvar(28) + 0.5), 0
animtype = Heavy
air.animtype = Up
guardflag = M
hitflag = MAF
priority = 3, Hit
pausetime = 12, 12
sparkno = 2
guard.sparkno = 40
sparkxy = 0, -33
hitsound = 5, 1
guardsound = 6, 0
ground.type = Low
ground.hittime = 15
ground.slidetime = 15
ground.velocity = -3.92108, 0.00000
air.velocity = -2.50292, -5.50000
air.hittime = 36
air.type = Low
air.juggle = 15
getpower = 50, 75
givepower = 50, 75

[State 420, HitDef]
type = HitDef
trigger1 = AnimElem = 2, 1
trigger1 = var(47) < 0
attr = C, NA
damage = Floor((11 + (Random/1000.0)* 5) * Fvar(28) + 0.5), 0
animtype = Heavy
air.animtype = Up
guardflag = M
hitflag = M
priority = 3, Hit
pausetime = 12, 12
sparkno = 2
guard.sparkno = 40
sparkxy = 0, -33
hitsound = 5, 1
guardsound = 6, 0
ground.type = Low
ground.hittime = 15
ground.slidetime = 15
ground.velocity = -3.92108, 0.00000
air.velocity = -2.50292, -5.50000
air.hittime = 36
air.type = Low
air.juggle = 15
getpower = 50, 75
givepower = 50, 75

[State 420, Juggle]
Type = VarAdd
trigger1 = NumTarget > 0
trigger1 = MoveHit
trigger1 = Target, StateType = A
v = 47
value = -8
persistent = 0
ignorehitpause = 1

[State 420, DamageDampner]
Type = VarAdd
trigger1 = NumTarget > 0
trigger1 = MoveHit
v = 51
value = 1
ignorehitpause = 1
persistent = 0

[State 420, PlaySnd]
type = PlaySnd
trigger1 = Time = 1
trigger1 = Random > 499
value = 210, 0
channel = 0

[State 420, ChangeState]
type = ChangeState
trigger1 = AnimTime = 0
value = 11
ctrl = 1

;---------------------------------------------------------------------------
; Crouch Strong Kick
[Statedef 430]
type    = C
movetype= A
physics = S
velset = 0,0
ctrl = 0
anim = 430
poweradd = 0

[State 430, Chain Flag]
Type = VarSet
trigger1 = animelemtime(2) = 1
var(55) = 8576

[State 430, Chain Flag]
Type = VarSet
trigger1 = time = 0
trigger2 = animelemtime(3) = 0
var(55) = 0

[State 430, MoveType]
Type = VarSet
trigger1 = 1
var(54) = 1

[State 430, HitDef]
type = HitDef
triggerall = Var(47) >= 8
trigger1 = AnimElem = 2, 1
attr = C, NA
damage = Floor((13 + (Random/1000.0)* 3) * Fvar(28) + 0.5), 0
animtype = Back
guardflag = L
hitflag = MAF
priority = 5, Hit
pausetime = 10, 11
sparkno = 1
guard.sparkno = 40
sparkxy = -5, -13
hitsound = 5, 1
guardsound = 6, 0
ground.type = Trip
ground.hittime = 15
ground.slidetime = 15
ground.velocity = -2.79407, -4.00000
guard.velocity = -3.28715
air.velocity = -2.79407, -4.00000
air.hittime = 30
air.type = Trip
air.juggle = 15
getpower = 50, 75
givepower = 50, 75

[State 430, HitDef]
type = HitDef
triggerall = Var(47) < 8
trigger1 = AnimElem = 2, 1
attr = C, NA
damage = Floor((13 + (Random/1000.0)* 3) * Fvar(28) + 0.5), 0
animtype = Back
guardflag = L
hitflag = M
priority = 5, Hit
pausetime = 10, 11
sparkno = 1
guard.sparkno = 40
sparkxy = -5, -13
hitsound = 5, 1
guardsound = 6, 0
ground.type = Trip
ground.hittime = 15
ground.slidetime = 15
ground.velocity = -2.79407, -4.00000
guard.velocity = -3.28715
air.velocity = -2.79407, -4.00000
air.hittime = 30
air.type = Trip
air.juggle = 15
getpower = 50, 75
givepower = 50, 75

[State 430, Juggle]
Type = VarAdd
trigger1 = MoveHit
v = 47
value = -4
persistent = 0
ignorehitpause = 1

[State 430, DamageDampner]
Type = VarAdd
trigger1 = NumTarget > 0
trigger1 = MoveHit
v = 51
value = 1
ignorehitpause = 1
persistent = 0

[State 430, PlaySnd]
type = PlaySnd
trigger1 = Time = 1
trigger1 = Random > 499
value = 210, 0
channel = 0

[State 430, ChangeState]
type = ChangeState
trigger1 = AnimTime = 0
value = 11
ctrl = 1

;---------------------------------------------------------------------------
; Jump Light Punch
[Statedef 600]
type    = A
movetype= A
physics = A
ctrl = 0
anim = 600
poweradd = 0

[State 600, Chain Flag]
Type = VarSet
trigger1 = time = 0
var(55) = 0

[State 600, MoveType]
Type = VarSet
trigger1 = 1
var(54) = 1

[State 600, HitDef]
type = HitDef
trigger1 = AnimElem = 2, 1
trigger1 = Var(47) >= 8
attr = A, NA
damage = Floor((5 + (Random/1000.0)) * Fvar(28) + 0.5), 0
animtype = Light
guardflag = H
hitflag = MAF
priority = 2, Hit
pausetime = 8, 10
sparkno = 0
guard.sparkno = 40
sparkxy = 0, -30
hitsound = 5, 0
guardsound = 6, 0
ground.type = High
ground.hittime = 12
ground.slidetime = 12
ground.velocity = -2.51467, 0.00000
guard.velocity = -2.95843
air.velocity = -1.51467, -5.00000
air.hittime = 30
air.type = High
getpower = 30, 45
givepower = 30, 45

[State 600, HitDef]
type = HitDef
trigger1 = AnimElem = 2, 1
trigger1 = Var(47) < 8
attr = A, NA
damage = Floor((5 + (Random/1000.0)) * Fvar(28) + 0.5), 0
animtype = Light
guardflag = H
hitflag = M
priority = 2, Hit
pausetime = 8, 10
sparkno = 0
guard.sparkno = 40
sparkxy = 0, -30
hitsound = 5, 0
guardsound = 6, 0
ground.type = High
ground.hittime = 12
ground.slidetime = 12
ground.velocity = -2.51467, 0.00000
guard.velocity = -2.95843
air.velocity = -1.51467, -5.00000
air.hittime = 30
air.type = High
getpower = 30, 45
givepower = 30, 45

[State 600, Juggle]
Type = VarAdd
trigger1 = NumTarget > 0
trigger1 = MoveHit
trigger1 = Target, StateType = A
v = 47
value = -8
persistent = 0
ignorehitpause = 1

[State 600, DamageDampner]
Type = VarAdd
trigger1 = NumTarget > 0
trigger1 = MoveHit
v = 51
value = 1
ignorehitpause = 1
persistent = 0

[State 600, PlaySnd]
type = PlaySnd
trigger1 = Time = 1
trigger1 = Random > 499
value = 200, 0
channel = 0

;---------------------------------------------------------------------------
; Jump Light Kick
[Statedef 610]
type    = A
movetype= A
physics = A
ctrl = 0
anim = 610
poweradd = 0

[State 610, MoveType]
Type = VarSet
trigger1 = 1
var(54) = 1

[State 610, Chain Flag]
Type = VarSet
trigger1 = time = 0
var(55) = 0

[State 610, HitDef]
type = HitDef
trigger1 = AnimElem = 2, 1
trigger1 = Var(47) >= 8
attr = A, NA
damage = Floor((6 + (Random/1000.0)) * Fvar(28) + 0.5), 0
animtype = Light
guardflag = H
hitflag = MAF
priority = 4, Hit
pausetime = 8, 10
sparkno = 0
guard.sparkno = 40
sparkxy = 5, -18
hitsound = 5, 0
guardsound = 6, 0
ground.type = High
ground.hittime = 12
ground.slidetime = 12
ground.velocity = -2.09556, 0.00000
guard.velocity = -2.46536
air.velocity = -1.09556, -5.00000
air.hittime = 30
air.type = High
air.juggle = 15
getpower = 30, 45
givepower = 30, 45
persistent = 0
ignorehitpause = 1

[State 610, HitDef]
type = HitDef
trigger1 = AnimElem = 2, 1
trigger1 = Var(47) < 8
attr = A, NA
damage = Floor((6 + (Random/1000.0)) * Fvar(28) + 0.5), 0
animtype = Light
guardflag = H
hitflag = M
priority = 4, Hit
pausetime = 8, 10
sparkno = 0
guard.sparkno = 40
sparkxy = 5, -18
hitsound = 5, 0
guardsound = 6, 0
ground.type = High
ground.hittime = 12
ground.slidetime = 12
ground.velocity = -2.09556, 0.00000
guard.velocity = -2.46536
air.velocity = -1.09556, -5.00000
air.hittime = 30
air.type = High
air.juggle = 15
getpower = 30, 45
givepower = 30, 45
persistent = 0
ignorehitpause = 1

[State 610, Juggle]
Type = VarAdd
trigger1 = NumTarget > 0
trigger1 = MoveHit
trigger1 = Target, StateType = A
v = 47
value = -8
persistent = 0
ignorehitpause = 1

[State 610, DamageDampner]
Type = VarAdd
trigger1 = NumTarget > 0
trigger1 = MoveHit
v = 51
value = 1
ignorehitpause = 1
persistent = 0

[State 610, PlaySnd]
type = PlaySnd
trigger1 = Time = 1
trigger1 = Random > 499
value = 200, 0
channel = 0

;---------------------------------------------------------------------------
; Jump Strong Punch
[Statedef 620]
type    = A
movetype= A
physics = A
ctrl = 0
anim = 620
poweradd = 0

[State 620, Chain Flag]
Type = VarSet
trigger1 = time = 0
var(55) = 0

[State 620, MoveType]
Type = VarSet
trigger1 = 1
var(54) = 1

[State 620, HitDef]
type = HitDef
trigger1 = AnimElem = 2, 1
trigger1 = var(47) >= 8
attr = S, NA
damage = Floor((10 + (Random/1000.0)* 4) * Fvar(28) + 0.5), 0
animtype = Hard
guardflag = H
hitflag = MAF
priority = 4, Hit
pausetime = 10, 12
sparkno = 1
guard.sparkno = 40
sparkxy = 0, -30
hitsound = 5, 1
guardsound = 6, 0
ground.type = High
ground.hittime = 14
ground.slidetime = 14
ground.velocity = -2.39407, 0.00000
guard.velocity = -3.28715
air.velocity = -1.79407, -5.00000
air.hittime = 30
air.type = High
air.juggle = 15
getpower = 50, 75
givepower = 50, 75

[State 620, HitDef]
type = HitDef
trigger1 = AnimElem = 2, 1
trigger1 = var(47) < 8
attr = S, NA
damage = Floor((10 + (Random/1000.0)* 4) * Fvar(28) + 0.5), 0
animtype = Hard
guardflag = H
hitflag = M
priority = 2, Hit
pausetime = 10, 12
sparkno = 1
guard.sparkno = 40
sparkxy = 0, -30
hitsound = 5, 1
guardsound = 6, 0
ground.type = High
ground.hittime = 14
ground.slidetime = 14
ground.velocity = -2.39407, 0.00000
guard.velocity = -3.28715
air.velocity = -1.79407, -5.00000
air.hittime = 30
air.type = High
air.juggle = 15
getpower = 50, 75
givepower = 50, 75

[State 620, Juggle]
Type = VarAdd
trigger1 = NumTarget > 0
trigger1 = MoveHit
trigger1 = Target, StateType = A
v = 47
value = -8
persistent = 0
ignorehitpause = 1

[State 620, DamageDampner]
Type = VarAdd
trigger1 = NumTarget > 0
trigger1 = MoveHit
v = 51
value = 1
ignorehitpause = 1
persistent = 0

[State 620, PlaySnd]
type = PlaySnd
trigger1 = Time = 1
trigger1 = Random > 499
value = 210, 0
channel = 0

;---------------------------------------------------------------------------
; Jump Strong Punch
[Statedef 625]
type    = A
movetype= A
physics = A
ctrl = 0
anim = 625
poweradd = 0

[State 620, Chain Flag]
Type = VarSet
trigger1 = time = 0
var(55) = 0

[State 620, Width]
Type = Width
trigger1 = 1
player = 9, 0
ignorehitpause = 1

[State 620, MoveType]
Type = VarSet
trigger1 = 1
var(54) = 1

[State 620, HitDef]
type = HitDef
trigger1 = AnimElem = 2, 1
trigger1 = var(47) >= 8
attr = S, NA
damage = Floor((9 + (Random/1000.0)* 4) * Fvar(28) + 0.5), 0
animtype = Hard
guardflag = H
hitflag = MAF
priority = 4, Hit
pausetime = 10, 14
sparkno = 1
guard.sparkno = 40
sparkxy = 0, -30
hitsound = 5, 1
guardsound = 6, 0
ground.type = High
ground.hittime = 18
ground.slidetime = 18
ground.velocity = -2.39407, 0.00000
guard.velocity = -3.28715
air.velocity = -1.79407, -5.00000
air.hittime = 30
air.type = High
air.juggle = 15
getpower = 50, 75
givepower = 50, 75

[State 620, HitDef]
type = HitDef
trigger1 = AnimElem = 2, 1
trigger1 = var(47) < 8
attr = S, NA
damage = Floor((9 + (Random/1000.0)* 4) * Fvar(28) + 0.5), 0
animtype = Hard
guardflag = H
hitflag = M
priority = 2, Hit
pausetime = 10, 14
sparkno = 1
guard.sparkno = 40
sparkxy = 0, -30
hitsound = 5, 1
guardsound = 6, 0
ground.type = High
ground.hittime = 18
ground.slidetime = 18
ground.velocity = -2.39407, 0.00000
guard.velocity = -3.28715
air.velocity = -1.79407, -5.00000
air.hittime = 30
air.type = High
air.juggle = 15
getpower = 50, 75
givepower = 50, 75

[State 620, Juggle]
Type = VarAdd
trigger1 = NumTarget > 0
trigger1 = MoveHit
trigger1 = Target, StateType = A
v = 47
value = -8
persistent = 0
ignorehitpause = 1

[State 620, DamageDampner]
Type = VarAdd
trigger1 = NumTarget > 0
trigger1 = MoveHit
v = 51
value = 1
ignorehitpause = 1
persistent = 0

[State 620, PlaySnd]
type = PlaySnd
trigger1 = Time = 1
trigger1 = Random > 499
value = 210, 0
channel = 0


;---------------------------------------------------------------------------
; Jump Strong Kick
[Statedef 630]
type    = A
movetype= A
physics = A
ctrl = 0
anim = 630
poweradd = 0

[State 630, Chain Flag]
Type = VarSet
trigger1 = time = 0
var(55) = 0

[State 630, MoveType]
Type = VarSet
trigger1 = 1
var(54) = 1

[State 630, HitDef]
type = HitDef
trigger1 = AnimElem = 2, 1
trigger1 = Var(47) >= 8
attr = S, NA
damage = Floor((12 + (Random/1000.0)* 4) * Fvar(28) + 0.5), 0
animtype = Hard
guardflag = H
hitflag = MAF
priority = 5, Hit
pausetime = 10, 12
sparkno = 1
guard.sparkno = 40
sparkxy = 0, -38
hitsound = 5, 1
guardsound = 6, 0
ground.type = High
ground.hittime = 14
ground.slidetime = 14
ground.velocity = -2.57348, 0.00000
guard.velocity = -3.61586
air.velocity = -2.07348, -5.00000
air.hittime = 30
air.type = High
air.juggle = 15
hitonce = 1
getpower = 50, 75
givepower = 50, 75

[State 630, HitDef]
type = HitDef
trigger1 = AnimElem = 2, 1
trigger1 = Var(47) < 8
attr = S, NA
damage = Floor((12 + (Random/1000.0)* 4) * Fvar(28) + 0.5), 0
animtype = Hard
guardflag = H
hitflag = M
priority = 5, Hit
pausetime = 10, 12
sparkno = 1
guard.sparkno = 40
sparkxy = 0, -38
hitsound = 5, 1
guardsound = 6, 0
ground.type = High
ground.hittime = 14
ground.slidetime = 14
ground.velocity = -2.57348, 0.00000
guard.velocity = -3.61586
air.velocity = -2.07348, -5.00000
air.hittime = 30
air.type = High
air.juggle = 15
hitonce = 1
getpower = 50, 75
givepower = 50, 75

[State 630, Juggle]
Type = VarAdd
trigger1 = NumTarget > 0
trigger1 = MoveHit
trigger1 = Target, StateType = A
v = 47
value = -8
persistent = 0
ignorehitpause = 1

[State 630, DamageDampner]
Type = VarAdd
trigger1 = NumTarget > 0
trigger1 = MoveHit
v = 51
value = 1
ignorehitpause = 1
persistent = 0

[State 630, PlaySnd]
type = PlaySnd
trigger1 = Time = 1
trigger1 = Random > 499
value = 210, 0
channel = 0

;---------------------------------------------------------------------------
;Head Butt start
[StateDef 800]
type    = S
movetype= A
physics = S
ctrl = 0
velset = 0,0
anim = 800
poweradd = 0
sprpriority = 3

[State 800, ChangeState]
Type = NotHitBy
trigger1 = MoveHit
value = SCA
ignorehitpause = 1

[State 801, No Chain Flag]
Type = VarSet
trigger1 = time = 0
var(55) = 0

[State 800, HitDef]
Type = HitDef
trigger1 = time = 0
trigger1 = enemy, stateno != [130,160]
trigger1 = p2bodydist x = [-5, 30]
attr = S, NT
guardflag =
hitflag = M
guard.dist = -1
priority = 3, Miss
sparkno = S4000
guard.sparkno = S4000
sparkxy = -5, -41
sprpriority = 2
hitonce = 1
p2facing = 1
p2stateno = 802
p1stateno = 801
;hitsound = 5,0

[State 800, ChangeState]
Type = ChangeState
trigger1 = MoveHit
value = 801

[State 800, ChangeState]
Type = ChangeState
trigger1 = animtime = 0
value = 1205

;---------------------------------------------------------------------------
; Bite, bite, bite! :D
[StateDef 801]
type    = S
movetype= A
physics = N
ctrl = 0
anim = 801
poweradd = 0
velset = 0,0
sprpriority = 3

[State 801, Set the amount of the bites]
Type = VarSet
trigger1 = time = 0
var(43) = 6

[State 801, TargetState]
Type = TargetState
trigger1 = time = 0
trigger1 = var(43) = 6
value = 802

[State 802, Sprpriority]
Type = SprPriority
trigger1 = 1
value = 3

[State 810, PosAdd]
Type = Width
trigger1 = 1
edge = 25,25

[State 801, No Chain Flag]
Type = VarSet
trigger1 = time = 0
trigger2 = var(43) = 1
var(55) = 0

[State 801, No Chain Flag]
Type = VarSet
trigger1 = var(43) = 4
var(55) = 3584

[State 801, Back Drop]
Type = ChangeState
trigger1 = var(55) != 0
trigger1 = command = "Leg Drop"
value = 811

[State 801, PlayerPush]
Type = PlayerPush
trigger1 = 1
value = 0

[State 801, PlaySnd]
Type = PlaySnd
trigger1 = animelem = 1
trigger1 = random < 500
value = 200, 0
channel = 0

[State 801, Turn]
Type = Turn
trigger1 = time = 0
trigger1 = var(50) = 2

[State 801, TargetFacing]
Type = TargetFacing
trigger1 = time = 0
trigger1 = facing = target, facing
trigger1 = var(50) = 2
value = -1

[State 801, TargetBind]
Type = TargetBind
trigger1 = var(43) > 1
trigger2 = var(43) = 1
trigger2 = animelemtime(3) < 0
pos = 18, 0
ignorehitpause = 1

;Bite, bite, bite. :D
[State 801, HitDef]
type = HitDef
trigger1 = animelemtime(2) = 0
attr = S, NT
damage = Floor((2.5 + (Random/1000.0)) * Fvar(28) + 0.5), 0
animtype = heavy
guardflag = 
hitflag = MAF+
priority = 3, Hit
pausetime = 8 * (var(43) = 1), 8 * (var(43) = 1)
sparkno = 2
guard.sparkno = 40
sparkxy = -7, -50
hitsound = 5, 5
guardsound = 6, 0
ground.type = Low
ground.hittime = 18
ground.slidetime = 18
ground.velocity = 0 -3 * (var(43) = 1), -6.00000 * (var(43) = 1)
air.velocity = 0, 0
air.hittime = 24
air.type = High
fall = 1
getpower = 10, 15
givepower = 10, 15
p2stateno = 803

[State 801, PlaySnd]
type = PlaySnd
trigger1 = Animelem = 2
value = 800, 0
channel = 0

[State 801, Decrease bite number]
Type = VarAdd
trigger1 = animtime = 0
v = 43
value = -1

[State 801, TargetState]
Type = TargetState
trigger1 = var(43) = 0
value = 837

[State 801, TargetBind]
Type = TargetBind
trigger1 = var(43) = 0
pos = 18, -75
ignorehitpause = 1

[State 801, ChangeState]
Type = ChangeState
trigger1 = var(43) = 0
value = 0
ctrl = 1

;---------------------------------------------------------------------------
; Being bitten
[StateDef 802]
type    = S
movetype= H
physics = N
ctrl = 0
poweradd = 0
sprpriority = 1

[State 802, ChangeAnim2]
Type = ChangeAnim2
trigger1 = time = 0
value = 802

[State 802, Sprpriority]
Type = SprPriority
trigger1 = 1
value = 0

[State 811, VelSet]
Type = VelSet
trigger1 = !gethitvar(isbound)
x = -3
y = -5.5

[State 811, 6]
Type = ChangeState
trigger1 = !gethitvar(isbound)
value = 822

;---------------------------------------------------------------------------
; Being bitten
[StateDef 803]
type    = S
movetype= H
physics = N
ctrl = 0
poweradd = 0
sprpriority = 1

[State 803, ChangeAnim2]
Type = ChangeAnim2
trigger1 = time = 0
value = 803

[State 802, Sprpriority]
Type = SprPriority
trigger1 = 1
value = 0

[State 811, VelSet]
Type = VelSet
trigger1 = !gethitvar(isbound)
trigger1 = animtime = 0
x = -1.5
y = -3.5

[State 811, 6]
Type = SelfState
trigger1 = !gethitvar(isbound)
trigger1 = animtime = 0
value = 5021

;---------------------------------------------------------------------------
; Back Drop
[StateDef 810]
type    = S
movetype= A
physics = S
ctrl = 0
velset = 0,0
anim = 800
poweradd = 0
sprpriority = 3

[State 800, ChangeState]
Type = NotHitBy
trigger1 = MoveHit
value = SCA
ignorehitpause = 1

[State 801, No Chain Flag]
Type = VarSet
trigger1 = time = 0
var(55) = 0

[State 810, HitDef]
Type = HitDef
trigger1 = time = 0
trigger1 = enemy, stateno != [130,160]
trigger1 = p2bodydist x = [-5, 30]
attr = S, NT
guardflag = 
hitflag = M
guard.dist = -1
priority = 3, Miss
sparkno = S4000
guard.sparkno = S4000
sparkxy = -5, -41
sprpriority = 2
hitonce = 1
p2facing = 1
p2stateno = 830
p1stateno = 811
fall = 1
;hitsound = 5,0

[State 810, ChangeState]
Type = ChangeState
trigger1 = MoveHit
value = 811

[State 810, ChangeState]
Type = ChangeState
trigger1 = animtime = 0
value = 1205

;---------------------------------------------------------------------------
; Leg Drop Cont
[StateDef 811]
type = S
movetype= A
physics = N
velset = 0,0
anim = 810

[State 801, TargetState]
Type = TargetState
trigger1 = time = 0
value = 830

[State 801, No Chain Flag]
Type = VarSet
trigger1 = time = 0
var(55) = 0

[State 811, Width]
Type = Width
trigger1 = 1
edge = 25, 25

[State 811, PlayerPush]
Type = PlayerPush
trigger1 = 1
value = 0

[State 811, SprPriority]
type = SprPriority
trigger1 = 1
value = 2

[State 811, Bind 1]
type = TargetBind
trigger1 = AnimElemtime(2) < 0
trigger1 = Animelemtime(1) >= 0
pos = -23, 0

[State 811, Bind 2]
type = TargetBind
trigger1 = AnimElemtime(3) < 0
trigger1 = Animelemtime(2) >= 0
pos = 38, -47

[State 811, Bind 3]
type = TargetBind
trigger1 = animelemtime(4) < 0
trigger1 = animelemtime(3) >= 0
pos = 38, -13

[State 801, PlaySnd]
Type = PlaySnd
trigger1 = animelem = 1
trigger1 = random < 500
value = 220, 0
channel = 0

[State 820, Hurt]
type = TargetLifeAdd
trigger1 = AnimElemtime(3) = 0
value = -Floor((15 + (random/1000.0))* fvar(28))

[State 1212, TargetPowerAdd]
Type = TargetPowerAdd
trigger1 = time = 0
value = 50

[State 1410, HitAdd]
Type = HitAdd
trigger1 = animelemtime(3) = 0
value = 1

[State 1410, Explod 1]
Type = Explod
trigger1 = animelemtime(3) = 0
anim = F2
pos = 38, 0
sprpriority = 3

[State 1212, PlaySnd]
Type = PlaySnd
trigger1 = animelemtime(3) = 0
value = F5,1
channel = 2

[State 1212, EnvShake]
Type = EnvShake
trigger1 = animelemtime(3) = 0
time = 30
freq = 60

[State 1212, Explod]
Type = Explod
trigger1 = animelemtime(3) = 0
anim = F60
pos = 38, 0
pausemovetime = 4

[State 820, State End]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1

;----------------------------------------------------------------------
[Statedef 830]
type = A
movetype = H
physics = N
velset = 0,0

[State 830, 1]
type = ChangeAnim2
Trigger1 = Time = 0
value = 811

[State 830, VelSet]
Type = VelSet
trigger1 = !GetHitVar(IsBound)
x = -2
y = -3

[State 830, ChangeState]
Type = SelfState
trigger1 = !GetHitVar(IsBound)
value = 5050

;---------------------------------------------------------------------------
; Throw_BOUNCE (hit ground)
[Statedef 822]
type    = L
movetype= H
physics = N

[State 822, 1]
type = VelSet
trigger1 = Time = 0
trigger1 = GetHitVar(fall.yvel) = 0
trigger1 = vel x > 1
x = 1

[State 822, EnvShake]
type = FallEnvShake
trigger1 = Time = 0

[State 822, Var] ;Save fall velocity
type = VarSet
trigger1 = Time = 0
sysvar(1) = floor(vel y)

[State 822, 2] ;Hit ground anim (normal)
type = ChangeAnim
trigger1 = time = 0
value = 5100

[State 822, 4]
type = PosSet
trigger1 = Time = 0
y = 0

[State 822, 5]
type = VelSet
trigger1 = Time = 0
y = 0

[State 822, 6] ;Reduce speed
type = VelMul
trigger1 = Time = 0
x = 0.75

[State 822, 7]
type = ChangeState
trigger1 = Time = 0
trigger1 = GetHitVar(fall.yvel) = 0
value = 824 ;Throw_LIEDOWN

[State 822, 8]
type = GameMakeAnim
trigger1 = Time = 1
value = 60 + (sysvar(1) > 5) + (sysvar(1) > 14)
pos = 0, 0
under = sysvar(1) <= 10

[State 822, 9]
type = HitFallDamage
trigger1 = Time = 3

[State 822, 10]
type = PlaySnd
trigger1 = Time = 1
value = F7, (sysvar(1) > 5) + (sysvar(1) > 14)

[State 822, 11]
type = PosFreeze
trigger1 = 1

[State 822, 12]
type = ChangeState
trigger1 = AnimTime = 0
value = 823

[State 822, 13]
type = ForceFeedback
trigger1 = Time = 0
waveform = sinesquare
ampl = 128,-3,-.2,.005
time = 20

;---------------------------------------------------------------------------
; Throw_BOUNCE (bounce into air)
[Statedef 823]
type    = L
movetype= H
physics = N

[State 823, 1] ;Coming hit ground anim (normal)
type = ChangeAnim
trigger1 = time = 0
value = 5160

[State 823, 3]
type = HitFallVel
trigger1 = Time = 0

[State 823, 5] ;Acceleration
type = VelAdd
trigger1 = 1
y = .4

[State 823, 6] ;Hit ground
trigger1 = Vel Y > 0
trigger1 = Pos Y >= 12
type = ChangeState
value = 824

;---------------------------------------------------------------------------
; HIT_LIEDOWN
[Statedef 824]
type    = L
movetype= H
physics = N

[State 824, EnvShake]
type = FallEnvShake
trigger1 = Time = 0

[State 824, 2] ;Hit ground anim (normal)
type = ChangeAnim
trigger1 = time = 0
value = 5170

[State 824, 4]
type = HitFallDamage
trigger1 = Time = 0

[State 824, 5]
type = PosSet
trigger1 = Time = 0
y = 0

[State 824, Var] ;Get fall velocity
type = VarSet
trigger1 = Time = 0
trigger1 = GetHitVar(fall.yvel) != 0
sysvar(1) = floor(vel y)

[State 824, 6]
type = PlaySnd
trigger1 = Time = 0
trigger1 = !SysVar(0)
value = F7, (sysvar(1) > 5) + (sysvar(1) > 14)

[State 824, 7]
type = GameMakeAnim
trigger1 = Time = 0
trigger1 = !SysVar(0)
value = 60 + (sysvar(1) > 5) + (sysvar(1) > 14)
pos = 0, 0
under = sysvar(1) <= 10

[State 824, 8]
type = VelSet
trigger1 = Time = 0
y = 0

[State 824, 10] ;For normal
type = ChangeAnim
persistent = 0
trigger1 = AnimTime = 0
trigger2 = SysVar(0) ;SysVar(0) = 1 avoids hit ground frame
value = 5110

[State 824, 11] ;If just died
type = ChangeState
triggerall = !alive
trigger1 = AnimTime = 0
trigger2 = SysVar(0) ;SysVar(0) = 1 avoids hit ground frame
value = 5150

[State 824, 12]
type = VarSet
trigger1 = SysVar(0)
trigger1 = Time = 0
sysvar(0) = 0

[State 824, 13] ;Friction
type = VelMul
trigger1 = 1
x = 0.85

[State 824, 14]
type = ForceFeedback
trigger1 = alive
trigger1 = Time = 0
time = 8
ampl = 240
waveform = sine

[State 824, 15]
type = ForceFeedback
trigger1 = !alive
trigger1 = Time = 0
ampl = 200, 7, -.467
time = 30
waveform = sine

[State 824, ChangeState]
Type = SelfState
trigger1 = anim = 5110
trigger1 = time > 40
value = 5120

;-------------------------------------------------------------------------------
; Special Shake Fall State
[Statedef 835]
type    = A
movetype= H
physics = N
velset = 0,0

[State 5020, 2] ;Anim for HIT_BACK
type = ChangeAnim
trigger1 = Time = 0
value = 5030

[State 5020, 4] ;Freeze anim
type = ChangeAnim
trigger1 = Time > 0
value = anim

[State 5020, 5]
type = ChangeState
trigger1 = HitShakeOver
value = 836

;---------------------------------------------------------------------------
; Special Fall State
[Statedef 836]
type    = A
movetype= H
physics = N
ctrl = 0
velset = 0.8,-8

[State 5030, 1]
type = VelAdd;Gravity
trigger1 = 1
y = GetHitVar(yaccel)

[State 5030, 4]
type = SelfState
triggerall = HitFall
trigger1 = HitOver
trigger2 = Vel Y > 0    ;Hit ground
trigger2 = Pos Y >= 10  ;.
value = 5050 ;HITA_FALL

[State 5030, 5]
type = SelfState
trigger1 = AnimTime = 0
value = 5035 ;HITA_UP (transition)

;-------------------------------------------------------------------------------
; Special Shake Fall State
[Statedef 837]
type    = A
movetype= H
physics = N
velset = 0,0

[State 837, Adjust Pos]
Type = PosAdd
trigger1 = time = 0
y = 67

[State 5020, 2] ;Anim for HIT_BACK
type = ChangeAnim
trigger1 = Time = 0
value = 5030

[State 5020, 4] ;Freeze anim
type = ChangeAnim
trigger1 = Time > 0
value = anim

[State 5020, 5]
type = ChangeState
trigger1 = HitShakeOver
value = 838

;---------------------------------------------------------------------------
; Special Fall State
[Statedef 838]
type    = A
movetype= H
physics = N
ctrl = 0
velset = -2,-4.5

[State 5030, 1]
type = VelAdd;Gravity
trigger1 = 1
y = GetHitVar(yaccel)

[State 5030, 4]
type = SelfState
triggerall = HitFall
trigger1 = HitOver
trigger2 = Vel Y > 0    ;Hit ground
trigger2 = Pos Y >= 10  ;.
value = 5050 ;HITA_FALL

[State 5030, 5]
type = SelfState
trigger1 = AnimTime = 0
value = 5035 ;HITA_UP (transition)

